/**
 * @file {@link http://xotic750.github.io/astrodate/ AstroDate}. Javascript Date object with Astronomy in mind..
 * @version 0.6.4
 * @author Graham Fairweather <xotic750@gmail.com>
 * @copyright Copyright (c) 2013 Graham Fairweather
 * @license {@link <http://www.gnu.org/licenses/gpl-3.0.html> GPL3}
 * @module astrodate
 */
!function(a,b){"use strict";function c(a){return+a}function d(a,b){return a===b}function e(a,b){return b>a}function f(a,b){return b>=a}function g(a,b){return a>b}function h(a,b){return a>=b}function i(a,b){return a%b}function j(a,b,c){return Math.min(Math.max(a,b),c)}function k(a,b,c){return h(a,b)&&f(a,c)}function l(a){return d(typeof a,"undefined")}function m(a){return d(a,null)}function n(a){return d(a,!0)||d(a,!1)}function o(a){return d(typeof a,"number")}function p(a){return d(a,0)}function q(a){return d(typeof a,"string")}function r(a){return d(a,"")}function s(a){if(l(a)||m(a))throw new TypeError('Cannot convert "'+a+'" to object');return a}function t(a){var b;return b=q(a)?a:l(a)?"undefined":String(a)}function u(a){return d(T(a),"[object RegExp]")}function v(a){return d(T(a),"[object Object]")}function w(a){return d(T(a),"[object Function]")}function x(a){return d(typeof a,"object")||u(a)}function y(a){return!m(a)&&x(a)}function z(a){var b;return b=cb(a)||y(a)&&!w(a)&&_(a,"length")?p(a.length):null}function A(a){var b;return z(a)||(b=a[0]),b}function B(a){var b;return z(a)||(b=a[a.length-1]),b}function C(a){return d(T(a),"[object Date]")}function D(a){var b,d=c(a);return b=p(d)||!tb(d)?0:i(ub(d)*Math.floor(Math.abs(d)),xb)}function E(a){return t(s(a)).charAt(0)}function F(a,b){return d(E(a),E(b))}function G(a){var b=t(s(a));return b.charAt(b.length-1)}function H(a,b){return d(G(a),E(b))}function I(a,b){return j(jb(t(s(a)),E(b)).length-1,0,Number.POSITIVE_INFINITY)}function J(a,b,c){var f=t(s(a)),g=E(b),h=rb(c)-f.length;return(e(h,0)||d(h,1/0))&&(h=0),ib(g,h)+f}function K(a,b){return!d(W(a,b),-1)}function L(a){return Z(a),mb(gb(a),function(b){var c=a[b];!y(c)&&!w(c)||$(c)||L(c)}),a}function M(a){return C(a)&&!sb(a.getTime())}function N(a){return q(a)&&/^\d+$/.test(a)}function O(a){return a.replace(/[\[\](){}?*+\^$\\.|]/g,"\\$&")}function P(a,b){return b+a+b}function Q(a,b,c){return a.replace(new RegExp(O(b),"g"),c)}function R(a){function b(a){return a.year.mod(400).isZero()||!a.year.mod(100).isZero()&&a.year.mod(4).isZero()}function f(a){return a.year.mod(4).equals(0)}function j(c){var d;return c.month.eq(2)?(d=new a(28),b(c)&&(d=d.plus(1))):d=c.month.minus(1).mod(7).mod(2).neg().plus(31),d}function n(b){var c=new a(28);return b.month.eq(2)&&f(b)&&(c=c.plus(1)),c}function p(c){var d=new a(365);return b(c)&&(d=d.plus(1)),d}function u(b){var c=new a(365);return f(b)&&(c=c.plus(1)),c}function x(a){return a.isFinite()}function y(a){return a.inRange(1,12)}function z(a,b){return a.inRange(1,b)}function D(a){return a.inRange(0,24)}function G(a,b){return b.equals(24)&&a.isZero()||!b.equals(24)&&a.gte(0)&&a.lt(60)}function R(a,b){var d,e=60;if(b.year.gte(1961)&&b.hour.equals(23)&&b.minute.equals(59)){if(!fb(yc))throw new Error("No leap second table!");d=yc[b.year.toString()],fb(d)&&(d=d[b.month.toString()],fb(d)&&(d=c(d[b.day.toString()]),tb(d)&&(e+=d)))}return b.hour.equals(24)&&a.isZero()||!b.hour.equals(24)&&a.gte(0)&&a.lt(e)}function S(a,b){return b.equals(24)&&a.isZero()||!b.equals(24)&&a.gte(0)&&a.lt(1e3)}function T(a){return a.inRange(-1440,1440)}function U(b,c){var e=!1;return fb(b)&&(e=!nb(Bc,function(e){var f,g=b[e.full];if(!a.isBigNumber(g))return!0;switch(e.full){case"year":if(!x(g))return!0;break;case"month":if(!y(g))return!0;break;case"day":if(f=d(c,!0)?n(b):j(b),!z(g,f))return!0;break;case"hour":if(!D(g))return!0;break;case"minute":if(!G(g,b.hour))return!0;break;case"second":if(!R(g,b))return!0;break;case"millisecond":if(!S(g,b.hour))return!0;break;case"offset":if(!T(g))return!0;break;default:throw new Error(e.full)}return!1})),e}function Z(a){var c;return c=b(a)?1:2,a.month.times(275).div(9).floor().minus(a.month.plus(9).div(12).floor().times(c)).plus(a.day).minus(30)}function $(a){var b=a.month.times(28).plus(a.day);return a.month.gte(2)&&f(a)&&(b=b.plus(1)),b}function _(a){var b;return q(a)&&(a=hb(a).toLowerCase(),g(a.length,2)&&H(a,"s")&&(a=a.slice(0,-1)),nb(Bc,function(c){var e;return d(a,c.alias)||d(a,c.full)?(b=c.full,e=!0):e=!1,e})),b}function ab(a,b){var c;switch(_(b)){case"day":c=a.hour.div(24).plus(a.minute.div(1440)).plus(a.second.div(86400)).plus(a.millisecond.div(864e5));break;case"hour":c=a.hour.plus(a.minute.div(60)).plus(a.second.div(3600)).plus(a.millisecond.div(36e5));break;case"minute":c=a.hour.times(60).plus(a.minute).plus(a.second.div(60)).plus(a.millisecond.div(6e4));break;case"second":c=a.hour.times(3600).plus(a.minute.times(60)).plus(a.second).plus(a.millisecond.div(1e3));break;case"millisecond":c=a.hour.times(36e5).plus(a.minute.times(6e4)).plus(a.second.times(1e3)).plus(a.millisecond);break;default:throw new Error(b)}return c}function bb(c){var d,e=c.year.minus(1),f=e.times(365),g=e.div(4).floor(),h=e.div(100).floor().neg(),i=e.div(400).floor(),j=c.month.times(367).minus(362).div(12).floor();return d=c.month.gt(2)?b(c)?-1:-2:0,new a(1721424.5).plus(f).plus(g).plus(h).plus(i).plus(j.plus(d).plus(c.day).floor()).plus(ab(c,"day"))}function eb(a){return bb(a).round(1,1)}function ib(a){var b=bb(a).plus(1.5).mod(7).floor();return b.lt(0)&&(b=b.plus(7)),b}function lb(b){var c=ib(b);return c.isZero()&&(c=new a(7)),c}function pb(a){return Cc[c(ib(a))]}function qb(b,c,e,f){var g,h,i={};switch(b=new a(b),c){case"year":h=d(f,!0)?u(e):p(e),g=b.times(h.times(864e5));break;case"month":h=d(f,!0)?n(e):j(e),g=b.times(h.times(864e5));break;case"day":g=b.times(864e5);break;case"hour":g=b.times(36e5);break;case"minute":g=b.times(6e4);break;case"second":g=b.times(1e3);break;case"millisecond":g=b;break;default:throw new Error(c)}return i.hour=g.div(36e5).floor(),i.minute=g.minus(i.hour.times(36e5)).div(6e4).floor(),i.second=g.minus(i.hour.times(36e5)).minus(i.minute.times(6e4)).div(1e3).floor(),i.millisecond=g.minus(i.hour.times(36e5)).minus(i.minute.times(6e4)).minus(i.second.times(1e3)).floor(),i}function rb(a){return bb(a).minus(2440587.5).times(864e5).floor()}function sb(b,c){var d,e,f,g=b.year.plus(b.month.minus(.5).div(12));return b.year.inRange(-500,2150)?b.year.lt(500)?(d=g.div(100),f=new a(10583.6).minus(d.times(1014.41)).plus(d.pow(2).times(33.78311)).minus(d.pow(3).times(5.952053)).minus(d.pow(4).times(.1798452)).plus(d.pow(5).times(.022174192)).plus(d.pow(6).times(.0090316521))):b.year.lt(1600)?(d=g.minus(1e3).div(100),f=new a(1574.2).minus(d.times(556.01)).plus(d.pow(2).times(71.23472)).plus(d.pow(3).times(.319781)).minus(d.pow(4).times(.8503463)).minus(d.pow(5).times(.005050998)).plus(d.pow(6).times(.0083572073))):b.year.lt(1700)?(e=g.minus(1600),f=new a(120).minus(e.times(.9808)).minus(e.pow(2).times(.01532)).plus(e.pow(3).div(7129))):b.year.lt(1800)?(e=g.minus(1700),f=new a(8.83).plus(e.times(.1603)).minus(e.pow(2).times(.0059285)).plus(e.pow(3).times(13336e-8)).minus(e.pow(4).div(1174e3))):b.year.lt(1860)?(e=g.minus(1800),f=new a(13.72).minus(e.times(.332447)).plus(e.pow(2).times(.0068612)).plus(e.pow(3).times(.0041116)).minus(e.pow(4).times(37436e-8)).plus(e.pow(5).times(121272e-10)).minus(e.pow(6).times(1.699e-7)).plus(e.pow(7).times(8.75e-10))):b.year.lt(1900)?(e=g.minus(1860),f=new a(7.62).plus(e.times(.5737)).minus(e.pow(2).times(.251754)).plus(e.pow(3).times(.01680668)).minus(e.pow(4).times(.0004473624)).plus(e.pow(5).div(233174))):b.year.lt(1920)?(e=g.minus(1900),f=new a(-2.79).plus(e.times(1.494119)).minus(e.pow(2).times(.0598939)).plus(e.pow(3).times(.0061966)).minus(e.pow(4).times(197e-6))):b.year.lt(1941)?(e=g.minus(1920),f=new a(21.2).plus(e.times(.84493)).minus(e.pow(2).times(.0761)).plus(e.pow(3).times(.0020936))):b.year.lt(1961)?(e=g.minus(1950),f=new a(29.07).plus(e.times(.407)).minus(e.pow(2).div(233)).plus(e.pow(3).div(2547))):b.year.lt(1986)?(e=g.minus(1975),f=new a(45.45).plus(e.times(1.067)).minus(e.pow(2).div(260)).minus(e.pow(3).div(718))):b.year.lt(2005)?(e=g.minus(2e3),f=new a(63.86).plus(e.times(.3345)).minus(e.pow(2).times(.060374)).plus(e.pow(3).times(.0017275)).plus(e.pow(4).times(651814e-9)).plus(e.pow(5).times(2373599e-11))):b.year.lt(2050)?(e=g.minus(2e3),f=new a(62.92).plus(e.times(.32217)).plus(e.pow(2).times(.005589))):f=new a(-20).plus(g.minus(1820).div(100).pow(2).times(32)).minus(g.neg().plus(2150).times(.5628)):(d=g.minus(1820).div(100),f=d.pow(2).times(32).plus(-20)),c&&!b.year.inRange(1955,2004)&&f.plus(g.minus(1955).pow(2).times(-12932e-9)),f.times(1e3).trunc()}function vb(b,c){var e={};return cb(b)&&nb(Bc,function(f,g){var h,i,k=b[g];switch(h=o(k)||q(k)||k&&k instanceof a?new a(k):new a(0/0),f.full){case"year":if(!x(h))return e={},!0;break;case"month":if(l(k)&&(h=a.one()),!y(h))return e={},!0;break;case"day":if(i=d(c,!0)?n(e):j(e),l(k)&&(h=a.one()),!z(h,i))return e={},!0;break;case"hour":if(l(k)&&(h=a.zero()),!D(h))return e={},!0;break;case"minute":if(l(k)&&(h=a.zero()),!G(h,e.hour))return e={},!0;break;case"second":if(l(k)&&(h=a.zero()),!R(h,e))return e={},!0;break;case"millisecond":if(l(k)&&(h=a.zero()),!S(h,e.hour))return e={},!0;break;case"offset":if(l(k)&&(h=a.zero()),!T(h))return e={},!0;break;default:throw new Error(f)}return e[f.full]=h,!1}),e}function xb(a){var b;return b=U(a)?ob(Bc,function(b){return a[b.full]}):[]}function yb(a){return a.toString()}function zb(a){return ob(xb(a),yb)}function Ab(b,c){var e={};return fb(b)&&nb(Bc,function(f){var g,h,i=b[f.alias]||b[f.full]||b[f.full+"s"];switch(g=o(i)||q(i)||i&&i instanceof a?new a(i):new a(0/0),f.full){case"year":if(!x(g))return e={},!0;break;case"month":if(l(i)&&(g=a.one()),!y(g))return e={},!0;break;case"day":if(h=d(c,!0)?n(e):j(e),l(i)&&(g=a.one()),!z(g,h))return e={},!0;break;case"hour":if(l(i)&&(g=a.zero()),!D(g))return e={},!0;break;case"minute":if(l(i)&&(g=a.zero()),!G(g,e.hour))return e={},!0;break;case"second":if(l(i)&&(g=a.zero()),!R(g,e))return e={},!0;break;case"millisecond":if(l(i)&&(g=a.zero()),!S(g,e.hour))return e={},!0;break;case"offset":if(l(i)&&(g=a.zero()),!T(g))return e={},!0;break;default:throw new Error(f)}return e[f.full]=g,!1}),e}function Bb(a){var b={};return fb(a)&&mb(gb(a),function(c){b[c]=a[c].toString()}),b}function Cb(b){var c={};return M(b)&&mb(Bc,function(e){var f=new a(b[e.local]());d(e.full,"month")&&(f=f.plus(1)),c[e.full]=f}),c}function Db(a){var b,c,d,e=a.year;return b=a.month,b.lte(2)&&(e=e.minus(1),b=b.plus(12)),c=e.plus(4716).times(365.25).floor(),d=b.plus(1).times(30.6001).floor(),c.plus(d).plus(a.day).minus(1524.5).plus(ab(a,"day"))}function Eb(b){var c,d,e={},f=new a(b);return f.isFinite()&&(f=f.plus(.5),c=f.plus(68569).floor(),d=c.times(4).div(146097).floor(),c=c.minus(d.times(146097).plus(3).div(4).floor()),e.year=c.plus(1).times(4e3).div(1461001).floor(),c=c.minus(e.year.times(1461).div(4).floor()).plus(31),e.month=c.times(80).div(2447).floor(),e.day=c.minus(e.month.times(2447).div(80).floor()),c=e.month.div(11).floor(),e.month=e.month.plus(2).minus(c.times(12)),e.year=d.minus(49).times(100).plus(e.year).plus(c).floor(),e.offset=a.zero(),V(e,qb(f.modf().abs(),"day"))),e}function Fb(b){var c,d,e,f,g,h,i={},j=new a(b);return j.isFinite()&&(j=j.plus(.5),c=j.floor(),d=c.plus(1524),e=d.minus(122.1).div(365.25).floor(),f=e.times(365.25).floor(),h=d.minus(f),g=h.div(30.6001).floor(),i.day=h.minus(g.times(30.6001).floor()),i.month=g.lt(14)?g.minus(1):g.minus(13),i.year=i.month.gt(2)?e.minus(4716):e.minus(4715),i.offset=a.zero(),V(i,qb(j.modf().abs(),"day"))),i}function Gb(a){return bb(a).minus(2400000.5)}function Hb(a){return Db(a).minus(2400000.5)}function Ib(a){var b;return b=U(a)?Fb(bb(a)):{}}function Jb(a){var b;return b=U(a)?Eb(Db(a)):{}}function Kb(a){return Eb(bb(a).times(864e5).plus(a.offset.times(6e4)).div(864e5))}function Lb(a){var b=a.offset,c=Eb(bb(a).times(864e5).minus(sb(a)).div(864e5));return c.offset=b,c}function Mb(a){var b=a.offset,c=Eb(bb(a).times(864e5).plus(sb(a)).div(864e5));return c.offset=b,c}function Nb(a){var b=a.offset,c=Eb(bb(a).times(864e5).plus(sb(a)).div(864e5));return c.offset=b,c}function Ob(){return new a((new Date).getTimezoneOffset())}function Pb(a){var b=Ob(),c=Eb(bb(a).times(864e5).plus(a.offset.times(6e4)).minus(Ob().times(6e4)).div(864e5));return c.offset=b,c}function Qb(a,b){var f,g,h,i,j,m,n,o;for(o=c(b),(e(o,5)||!tb(o))&&(o=6),g=0,f="",h=0;e(h,3);h+=1)if(l(a[Bc[h].full])){g=3;break}for(j=Bc.length-1;e(g,j);g+=1)n=Bc[g].full,m=a[n],d(n,"year")?m.lt(0)?(f+="-",i=o):m.gte(1e4)?(f+="+",i=o):i=4:d(n,"hour")?(f+="T",i=2):i=d(n,"millisecond")?3:2,f+=m.abs().padLeadingZero(i),e(g,2)?f+="-":k(g,3,4)?f+=":":d(n,"second")&&(f+=".");return m=a.offset,m.isZero()?f+="Z":(f+=m.lte(0)?"+":"-",m=qb(m.abs(),"minute"),f+=m.hour.padLeadingZero(2),f+=":",f+=m.minute.padLeadingZero(2)),f}function Rb(a){var b;return b=k(I(a," ")+I(a,"T"),0,1)?k(I(a,"W"),0,1)?k(I(a,"Z"),0,1)?k(I(a,".")+I(a,","),0,1)?k(I(a,"+"),0,2)?k(I(a,"-"),0,4)?k(I(a,":"),0,4)?e(a.replace(/\D/g,"").length,2)?!1:!0:!1:!1:!1:!1:!1:!1:!1}function Sb(b,c){var d,e={year:new a(b),month:a.one(),day:a.one(),hour:a.zero(),minute:a.zero(),second:a.zero(),millisecond:a.zero()},f=p(e);return c=new a(c),c.inRange(1,f)&&(e=Eb(bb(e).plus(c).minus(1)),d={sign:1,year:e.year,month:e.month,day:e.day}),d}function Tb(b,c,d){var e,f={year:new a(b),month:a.one(),day:new a(4),hour:a.zero(),minute:a.zero(),second:a.zero(),millisecond:a.zero()},g=lb(f);return e=new a(7).times(c).plus(d).minus(g.plus(3)),e.lt(1)?(f.year=f.year.minus(1),e=p(f).plus(e)):e.gt(p(f))&&(f.year=f.year.plus(1),e=e.minus(p(f))),Sb(f.year,e)}function Ub(b){var c,d,e=lb(b),f=b.year,g=b.month;return c=b.day.plus(4).minus(e),b.month.equals(12)&&c.gt(31)?d={year:f.plus(1),week:a.one(),weekDay:e}:(b.month.equals(1)&&c.lt(1)&&(f=b.year.minus(1),g=new a(12),c=c.plus(31)),d={year:f,week:Z({year:f,month:g,day:c}).div(7).floor().plus(1),weekDay:e}),d}function Vb(a){return a.day.plus(4).minus(lb(a)).plus(6).div(7).floor()}function Wb(a){return a.day.minus(1).div(7).plus(1).floor()}function Xb(a,b){return d(b,"+")||!a.isZero()||a.isZero()&&!d(b,"-")}function Yb(b,c){return new a(b).times(60).plus(c)}function Zb(a){return qb("0."+a,"hour")}function $b(a){return qb("0."+a,"minute")}function _b(a){return qb("0."+a,"second")}function ac(a){return a+"1"}function bc(a){var b,c={date:"",time:""},e=jb(hb(a),/[T ]/),f=e.length;return k(f,1,2)&&(d(f,1)?(b=A(e),d(b.slice(-4),"-")||F(b,"+")||F(b,"-")||d(b.length,2)||h(I(b,"-"),2)||kb(b,"W")?(c.date=b,c.time="00"):H(b,"Z")||kb(b,":")||kb(b,".")||kb(b,",")||kb(b,"+")||d(b.slice(-3),"-")?(c.date="00",c.time=b):(c.date=b,c.time="00")):(c.date=A(e)||"00",c.time=B(e))),c}function cc(a){var b,c,d={input:a};return q(a)&&!r(a)&&!Hc.test(a)&&Rb(a)&&(wb=function(a){var b,e=a.regex.exec(c),f=!1;return m(e)||(b=a.func(e),l(b)||V(d,b),f=!0),f},V(d,bc(a)),c=d.date,nb(uc.basic,wb)?(c=d.time,nb(vc.basic,wb)):nb(uc.extended,wb)&&(c=d.time,nb(vc.extended,wb))),b=null,d}function dc(a,b){return a.isDT()&&(b=a.isUT2TT()?Nb(b):Mb(b)),a.isUT()?b=Kb(b):a.isLocal()&&(b=Pb(b)),b}function ec(b,c){var e,f,g=t(s(b));return N(g)&&new a(g).isFinite()?(e=E(g),f="",d(e,"-")&&(g=g.slice(1),c-=1,f=e),f+=J(g,"0",c)):f=g,f}function fc(a,b,c){function e(a,e){var f;return f=e?ec(c,e.length):c,d(j,!0)||(f=P(f,"'")),a.replace(new RegExp(b,"g"),f)}function f(a,b,c){var d;return a&&(d=b?b.replace(new RegExp(i,"g"),e):c),d}if(!q(b)||r(b))throw new Error;var g,h,i,j;if(/^\{\d\}$/.test(b))b=O(b),i=b,j=!0;else{if(g=E(b),!/^\S\{\d+,\d*\}$/.test(b)&&(h=b.length,!d(h,I(b,g))))throw new Error(b);i="(?:^|[^"+g+"])("+b+")(?:[^"+g+"]|$)"}return a.replace(Ic,f)}function gc(a){function b(a,b,c){var d;return d=a&&b&&!c?b:""}return a.replace(Ic,b).replace(Jc,"")}function hc(a){return!r(gc(a))}function ic(a){return Q(a,"'","")}function jc(a){return Q(a,"-","_")}function kc(a){return a.split("_")}function lc(a){var b,c,e,f,g,h,i=[];return q(a)&&/^([a-z]{2,3}|[a-z]{2,3}[\-_][a-z]{2}|[a-z]{2,3}[\-_][a-z]{4}|[a-z]{2,3}[\-_][a-z]{4}[\-_][a-z]{2})$/i.test(a)&&(b=kc(jc(a)),c=b.length,i.push(b[0].toLowerCase()),d(c,1)||(e=b[1],d(c,2)?(f=e.length,d(f,2)?h=e.toUpperCase():g=e.charAt(0).toUpperCase()+e.slice(1).toLowerCase()):(g=e.charAt(0).toUpperCase()+e.slice(1).toLowerCase(),h=b[2].toUpperCase())),l(g)||d(g,"Zzzz")||i.push(g),l(h)||d(h,"ZZ")||i.push(h)),i.join("_")}function mc(a){var b,c,e,f,g,h,i,j,k,m=lc(a);return r(m)||(b=zc.likelySubtags,c=b[m],l(c)&&(e=kc(m),i=e.length,f=A(e),d(i,3)?(h=B(e),g=e[1]):d(i,2)&&(j=B(e),k=j.length,d(k,2)?h=j:g=j),l(c)&&!l(h)&&(c=b[[f,h].join("_")]),l(c)&&!l(g)&&(c=b[[f,g].join("_")]),l(c)&&(l(Kc[m])||(c=m)),l(c)&&(c=b[f]),l(c)&&!l(g)&&(c=b[["und",g].join("_")]))),l(c)&&(c=""),c}function nc(a){var b,c,d;return r(a)?b="":(c=jc(a),l(Kc[c])?(d=kc(mc(a)),c=[A(d),B(d)].join("_"),l(Kc[c])?(c=A(d),l(Kc[c])||(b=c)):b=c):b=c),b}function oc(a){return B(kc(a))}function pc(a,b,c,d,e){var f,g,h,j,k,l,m,n,o,p,q=Kc[d].dates.calendars.gregorian,r=q.dateFormats,s=q.eras,t=B(Ec),u=q.months,v=u.format,w=u[t],x=q.days,y=x.format,z=x[t],A=B(Gc),C=Ub(a),D=pb(a);return K(Gc,b)&&(b=r[b]),f=a.year.lt(1)?0:1,g=f.toString(),b=fc(b,"GGGGG",s.eraNarrow[g]),b=fc(b,"GGGG",s.eraNames[g]),b=fc(b,"G{1,3}",s.eraAbbr[g]),h=a.year.plus(f-1),j=h.lt(0)?"-":"",b=fc(b,"y{3,}",h),b=fc(b,"yy",j+h.toString().slice(-2)),b=fc(b,"y",h),b=fc(b,"U{1,}",h),b=fc(b,"u{1,}",a.year),b=fc(b,"Y{1,}",C.year),n=C.week.toString(),b=fc(b,"w{1,2}",n),b=fc(b,"W",Vb(a)),k=a.month.toString(),b=fc(b,"MMMMM",v.narrow[k]),b=fc(b,"MMMM",v.wide[k]),b=fc(b,"MMM",v.abbreviated[k]),b=fc(b,"M{1,2}",k),b=fc(b,"LLLLL",w.narrow[k]),b=fc(b,"LLLL",w.wide[k]),b=fc(b,"LLL",w.abbreviated[k]),b=fc(b,"L{1,2}",k),b=fc(b,"d{1,2}",a.day),l=c?$(Ib(a)):Z(a),b=fc(b,"D{1,3}",l),b=fc(b,"F",Wb(a)),p=c?Hb(Kb(a)):Gb(Kb(a)),b=fc(b,"g{1,}",p),m=y[A][D],b=fc(b,"EEEEEE",m),b=fc(b,"eeeeee",m),m=y.narrow[D],b=fc(b,"EEEEE",m),b=fc(b,"eeeee",m),m=y.wide[D],b=fc(b,"EEEE",m),b=fc(b,"eeee",m),m=y.abbreviated[D],b=fc(b,"EEE",m),b=fc(b,"eee",m),b=fc(b,"E{1,2}",C.weekDay),o=i(1+(7-W(Cc,zc.weekData.firstDay[oc(e)])+W(Cc,D)),7),b=fc(b,"e{1,2}",o),b=fc(b,"cccccc",z[A][D]),b=fc(b,"ccccc",z.narrow[D]),b=fc(b,"cccc",z.wide[D]),b=fc(b,"ccc",z.abbreviated[D]),b=fc(b,"c{1,2}",o)}function qc(a,b,c,e,f){var g,h,i,j=Kc[b].dates.timeZoneNames,k=j.hourFormat.split(";");if(c&&a.offset.isZero())i="Z";else if(g=a.offset.lte(0)?A(k):B(k),g=g.replace(/([\-+])H:/,"$1HH:"),h=qb(a.offset.abs(),"minute"),g=fc(g,"H{1,2}",h.hour),d(e,"basic")?d(f,B(Gc))&&h.minute.isZero()?i=A(g.split(":")):(g=g.replace(":",""),i=fc(g,"m{1,2}",h.minute)):i=fc(g,"m{1,2}",h.minute),hc(i))throw new Error("formatIsoTimeZone has remaining tokens! "+gc(i));return ic(i)}function rc(a,b,c){var e,f,g,h,i=Kc[b].dates.timeZoneNames,j=i.hourFormat.split(";");if(a.offset.isZero())h=i.gmtZeroFormat;else{if(e=a.offset.lte(0)?A(j):B(j),g=d(c,B(Gc)),e=g?e.replace("HH","H"):e.replace(/([\-+])H:/,"$1HH:"),f=qb(a.offset.abs(),"minute"),e=fc(e,"H{1,2}",f.hour),h=g&&f.minute.isZero()?A(e.split(":")):fc(e,"m{1,2}",f.minute),hc(h))throw new Error("formatLocalisedGMT has remaining tokens! "+gc(h));h=fc(i.gmtFormat,"{0}",h)}return ic(h)}function sc(a,b,c){var d,e,f,g,h,i,j,k,l,m,n=Kc[c],o=n.dates.calendars.gregorian;return K(Gc,b)&&(b=o.timeFormats[b]),l=a.hour.inRange(12,23)?"pm":"am",b=fc(b,"a",o.dayPeriods.format.abbreviated[l]),m=a.hour.plus(11).mod(12).plus(1),b=fc(b,"h{1,2}",m),b=fc(b,"H{1,2}",a.hour),b=fc(b,"K{1,2}",m.minus(1)),b=fc(b,"m{1,2}",a.minute),b=fc(b,"s{1,2}",a.second),b=fc(b,"S{1,}",a.millisecond),d=rc(a,c,B(Gc)),b=fc(b,"O",d),b=fc(b,"z{1,3}",d),e=rc(a,c),b=fc(b,"OOOO",e),b=fc(b,"zzzz",e),b=fc(b,"ZZZZ",e),b=fc(b,"vvvv",e),b=fc(b,"v",e),b=fc(b,"VVVV",e),f=qc(a,c,!0,"basic",B(Gc)),b=fc(b,"X",f),g=qc(a,c,!1,"basic",B(Gc)),b=fc(b,"x",g),h=qc(a,c,!0,"basic"),b=fc(b,"Z{1,3}",h),b=fc(b,"XXXX",h),b=fc(b,"XX",h),i=qc(a,c,!1,"basic"),b=fc(b,"xxxx",i),b=fc(b,"xx",i),j=qc(a,c,!0),b=fc(b,"XXXXX",j),b=fc(b,"XXX",j),b=fc(b,"ZZZZZ",j),k=qc(a,c,!1),b=fc(b,"xxxxx",k),b=fc(b,"xxx",k)}function tc(){var b,c,e=arguments,f=arguments,g=e.length,h=!1,i=!1,k=!1,m=!1,p=null,s=0,t=wc,u=xc;switch(Y(this,{getter:{value:function(a){var c;if(l(a))c=V({},b);else{if(!q(a))throw new TypeError(a);switch(a){case"struct":c=V({},b);break;case"isJulian":c=h;break;case"isUT":c=i;break;case"isTT":c=k;break;case"DT":c=s;break;case"isLocal":c=m;break;case"args":c=e;break;case"input":c=f;break;case"error":c=p;break;case"lang":c=t;break;case"locale":c=u;break;default:throw new SyntaxError(a)}}return c}},setter:{value:function(c,e){var g,l,o=_(c),v=!1;if(o){switch(g=new a(e),o){case"year":v=x(g);break;case"month":v=y(g);break;case"day":l=d(h,!0)?n(b):j(b),v=z(g,l);break;case"hour":v=D(g);break;case"minute":v=G(g,b.hour);break;case"second":v=R(g,b);break;case"millisecond":v=S(g,b.hour);break;case"offset":v=T(g);break;default:throw new Error(o)}v?b[o]=g:b={}}else if(cb(c))b=vb(c,!1);else if(tc.isAstroDate(c))b=c.getter(),h=c.isJulian();else if(C(c))b=Cb(c);else{if(!q(c))throw new SyntaxError(c);switch(c){case"input":f=e;break;case"error":p=e;break;case"struct":b=U(e)?V({},e):{};break;case"isJulian":h=Boolean(e);break;case"isUT":i=Boolean(e);break;case"isTT":k=Boolean(e);break;case"DT":s=ub(e)||0;break;case"isLocal":m=Boolean(e);break;case"lang":q(e)&&!r(e)?t=e:(t=wc,u=xc);break;case"locale":q(e)&&!r(e)?u=mc(e):(t=wc,u=xc);break;default:b=cc(c)}}return this}}}),g.toString()){case"0":b=Cb(new Date);break;case"1":if(c=A(e),tc.isAstroDate(c))h=c.getter("isJulian"),b=V({},c.getter());else if(cb(c))b=vb(c,!1);else if(C(c))b=Cb(c);else if(o(c))b=Cb(new Date(c));else if(q(c))b=cc(c);else{if(!fb(c))throw new TypeError(c);b=Ab(c),U(b)||(b={})}break;case"2":if(c=A(e),!q(c))throw new TypeError(c);switch(c=hb(c).toLowerCase()){case"j":if(c=e[1],cb(c))b=Jb(vb(c,!0));else{if(!fb(c))throw new TypeError(c);b=Ab(c,!0),b=U(b,!0)?Jb(b):{}}break;case"g":if(c=e[1],cb(c))b=vb(c,!1);else{if(!fb(c))throw new TypeError(c);b=Ab(c),U(b)||(b={})}break;case"jd":c=e[1],this.jd(c);break;default:throw new SyntaxError(c)}break;default:throw new SyntaxError(g)}U(b)||(b={})}a.config({DECIMAL_PLACES:9,ROUNDING_MODE:0,EXPONENTIAL_AT:[-7,20],RANGE:[-1e9,1e9],ERRORS:!0}),Y(a.prototype,{trunc:{value:function(){return this.round(0,1)}},inRange:{value:function(a,b){return this.gte(a)&&this.lte(b)}},modf:{value:function(){var b=this;return b=b.isFinite()?b.mod(b.trunc()):new a(0/0)}},difference:{value:function(a){var b;return b=this.gt(a)?this.minus(a):this.neg().plus(a)}},padLeadingZero:{value:function(a){return J(this.toString(),"0",a)}}}),Y(a,{isBigNumber:{value:function(b){return v(b)&&db(b,a)}},trunc:{value:function(b){return new a(b).trunc()}},modf:{value:function(b){return new a(b).modf()}},difference:{value:function(b,c){return new a(b).difference(c)}},zero:{value:function(){return new a(0)}},one:{value:function(){return new a(1)}}}),mb([a,a.prototype],function(a){mb(gb(a),function(b){X(a,b,{enumerable:!1,configurable:!1,writeable:!1})})});var uc,vc,wc,xc,yc,zc,Ac="0.6.4",Bc=[{full:"year",alias:"y",local:"getFullYear"},{full:"month",alias:"M",local:"getMonth"},{full:"day",alias:"d",local:"getDate"},{full:"hour",alias:"h",local:"getHours"},{full:"minute",alias:"m",local:"getMinutes"},{full:"second",alias:"s",local:"getSeconds"},{full:"millisecond",alias:"ms",local:"getMilliseconds"},{full:"offset",alias:"z",local:"getTimezoneOffset"}],Cc=["sun","mon","tue","wed","thu","fri","sat"],Dc=["1","2","3","4","5","6","7","8","9","10","11","12"],Ec=["format","stand-alone"],Fc=["wide","abbreviated","narrow"],Gc=["full","long","medium","short"],Hc=new RegExp("[^\\d\\-+WT Z:,\\.]"),Ic=new RegExp("([^\\']+)|(\\'[^\\']+\\')","g"),Jc=new RegExp("[^a-z]","gi"),Kc={};return L(Bc),L(Dc),L(Cc),L(Ec),L(Fc),L(Gc),uc={basic:[{regex:/^(\d{2})$/,func:function(b){return{year:new a(b[1]+"00"),month:a.one(),day:a.one()}}},{regex:/^(\d{4})$/,func:function(b){return{year:new a(b[1]),month:a.one(),day:a.one()}}},{regex:/^(\d{4})(\d{2})(\d{2})$/,func:function(b){return{year:new a(b[1]),month:new a(b[2]),day:new a(b[3])}}},{regex:/^(\d{4})(\d{3})$/,func:function(a){return Sb(a[1],a[2])}},{regex:/^(\d{4})W(\d{2})$/,func:function(a){return Tb(a[1],a[2],1)}},{regex:/^(\d{4})W(\d{2})([1-7]{1})$/,func:function(a){return Tb(a[1],a[2],a[3])}}],extended:[{regex:/^([\-+]{1})(\d{5,})-(\d{2})$/,func:function(b){return{year:new a(b[2]).times(ac(b[1])),month:new a(b[3]),day:a.one()}}},{regex:/^(\d{4})-(\d{2})$/,func:function(b){return{year:new a(b[1]),month:new a(b[2]),day:a.one()}}},{regex:/^(\d{4})-(\d{2})-(\d{2})$/,func:function(b){return{year:new a(b[1]),month:new a(b[2]),day:new a(b[3])}}},{regex:/^([\-+]{1})(\d{5,})-(\d{2})-(\d{2})$/,func:function(b){return{year:new a(b[2]).times(ac(b[1])),month:new a(b[3]),day:new a(b[4])}}},{regex:/^(\d{4})-(\d{3})$/,func:function(a){return Sb(a[1],a[2])}},{regex:/^(\d{4})-W(\d{2})$/,func:function(a){return Tb(a[1],a[2],1)}},{regex:/^(\d{4})-W(\d{2})-([1-7]{1})$/,func:function(a){return Tb(a[1],a[2],a[3])}},{regex:/^([\-+]{1})(\d{5,})-(\d{3})$/,func:function(b){return Sb(new a(b[2]).times(ac(b[1])),b[3])}},{regex:/^([\-+]{1})(\d{5,})-W(\d{2})$/,func:function(b){return Tb(new a(b[2]).times(ac(b[1])),b[3],1)}},{regex:/^([\-+]{1})(\d{5,})-W(\d{2})-([1-7]{1})$/,func:function(b){return Tb(new a(b[2]).times(ac(b[1])),b[3],b[4])}}]},L(uc),vc={basic:[{regex:/^(\d{2})$/,func:function(b){return{hour:new a(b[1]),minute:a.zero(),second:a.zero(),millisecond:a.zero(),offset:Ob()}}},{regex:/^(\d{2})(\d{2})$/,func:function(b){return{hour:new a(b[1]),minute:new a(b[2]),second:a.zero(),millisecond:a.zero(),offset:Ob()}}},{regex:/^(\d{2})(\d{2})(\d{2})$/,func:function(b){return{hour:new a(b[1]),minute:new a(b[2]),second:new a(b[3]),millisecond:a.zero(),offset:Ob()}}},{regex:/^(\d{2})Z$/,func:function(b){return{hour:new a(b[1]),minute:a.zero(),second:a.zero(),millisecond:a.zero(),offset:a.zero()}}},{regex:/^(\d{2})(\d{2})Z$/,func:function(b){return{hour:new a(b[1]),minute:new a(b[2]),second:a.zero(),millisecond:a.zero(),offset:a.zero()}}},{regex:/^(\d{2})(\d{2})(\d{2})Z$/,func:function(b){return{hour:new a(b[1]),minute:new a(b[2]),second:new a(b[3]),millisecond:a.zero(),offset:a.zero()}}},{regex:/^(\d{2})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[2],e=Yb(b[3],0);return Xb(e,d)&&(c={hour:new a(b[1]),minute:a.zero(),second:a.zero(),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2})(\d{2})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[3],e=Yb(b[4],0);return Xb(e,d)&&(c={hour:new a(b[1]),minute:new a(b[2]),second:a.zero(),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2})(\d{2})(\d{2})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[4],e=Yb(b[5],0);return Xb(e,d)&&(c={hour:new a(b[1]),minute:new a(b[2]),second:new a(b[3]),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2})([\-+]{1})(\d{2})(\d{2})$/,func:function(b){var c,d=b[2],e=Yb(b[3],b[4]);return Xb(e,d)&&(c={hour:new a(b[1]),minute:a.zero(),second:a.zero(),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2})(\d{2})([\-+]{1})(\d{2})(\d{2})$/,func:function(b){var c,d=b[3],e=Yb(b[4],b[5]);return Xb(e,d)&&(c={hour:new a(b[1]),minute:new a(b[2]),second:a.zero(),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2})(\d{2})(\d{2})([\-+]{1})(\d{2})(\d{2})$/,func:function(b){var c,d=b[4],e=Yb(b[5],b[6]);return Xb(e,d)&&(c={hour:new a(b[1]),minute:new a(b[2]),second:new a(b[3]),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2})[\.,]{1}(\d{1,})$/,func:function(b){var c=Zb(b[2]);return c.hour=new a(b[1]),c.offset=Ob(),c}},{regex:/^(\d{2})(\d{2})[\.,]{1}(\d{1,})$/,func:function(b){var c=$b(b[3]);return c.hour=new a(b[1]),c.minute=new a(b[2]),c.offset=Ob(),c}},{regex:/^(\d{2})(\d{2})(\d{2})[\.,]{1}(\d{1,})$/,func:function(b){var c=_b(b[4]);return c.hour=new a(b[1]),c.minute=new a(b[2]),c.second=new a(b[3]),c.offset=Ob(),c}},{regex:/^(\d{2})[\.,]{1}(\d{1,})Z$/,func:function(b){var c=Zb(b[2]);return c.hour=new a(b[1]),c.offset=a.zero(),c}},{regex:/^(\d{2})(\d{2})[\.,]{1}(\d{1,})Z$/,func:function(b){var c=$b(b[3]);return c.hour=new a(b[1]),c.minute=new a(b[1]),c.offset=a.zero(),c}},{regex:/^(\d{2})(\d{2})(\d{2})[\.,]{1}(\d{1,})Z$/,func:function(b){var c=_b(b[4]);return c.hour=new a(b[1]),c.minute=new a(b[2]),c.second=new a(b[3]),c.offset=a.zero(),c}},{regex:/^(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[3],e=Yb(b[4],0);return Xb(e,d)&&(c=Zb(b[2]),c.hour=new a(b[1]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2})(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[4],e=Yb(b[5],0);return Xb(e,d)&&(c=$b(b[3]),c.hour=new a(b[1]),c.minute=new a(b[2]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2})(\d{2})(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[5],e=Yb(b[6],0);return Xb(e,d)&&(c=_b(b[4]),c.hour=new a(b[1]),c.minute=new a(b[2]),c.minute=new a(b[3]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})(\d{2})$/,func:function(b){var c,d=b[3],e=Yb(b[4],b[5]);return Xb(e,d)&&(c=Zb(b[2]),c.hour=new a(b[1]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2})(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})(\d{2})$/,func:function(b){var c,d=b[4],e=Yb(b[5],b[6]);return Xb(e,d)&&(c=$b(b[3]),c.hour=new a(b[1]),c.minute=new a(b[2]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2})(\d{2})(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})(\d{2})$/,func:function(b){var c,d=b[5],e=Yb(b[6],b[7]);return Xb(e,d)&&(c=_b(b[4]),c.hour=new a(b[1]),c.minute=new a(b[2]),c.minute=new a(b[3]),c.offset=e.times(ac(d)).neg()),c}}],extended:[{regex:/^(\d{2})$/,func:function(b){return{hour:new a(b[1]),minute:a.zero(),second:a.zero(),millisecond:a.zero(),offset:Ob()}}},{regex:/^(\d{2}):(\d{2})$/,func:function(b){return{hour:new a(b[1]),minute:new a(b[2]),second:a.zero(),millisecond:a.zero(),offset:Ob()}}},{regex:/^(\d{2}):(\d{2}):(\d{2})$/,func:function(b){return{hour:new a(b[1]),minute:new a(b[2]),second:new a(b[3]),millisecond:a.zero(),offset:Ob()}}},{regex:/^(\d{2})Z$/,func:function(b){return{hour:new a(b[1]),minute:a.zero(),second:a.zero(),millisecond:a.zero(),offset:a.zero()}}},{regex:/^(\d{2}):(\d{2})Z$/,func:function(b){return{hour:new a(b[1]),minute:new a(b[2]),second:a.zero(),millisecond:a.zero(),offset:a.zero()}}},{regex:/^(\d{2}):(\d{2}):(\d{2})Z$/,func:function(b){return{hour:new a(b[1]),minute:new a(b[2]),second:new a(b[3]),millisecond:a.zero(),offset:a.zero()}}},{regex:/^(\d{2})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[2],e=Yb(b[3],0);return Xb(e,d)&&(c={hour:new a(b[1]),minute:a.zero(),second:a.zero(),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2}):(\d{2})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[3],e=Yb(b[4],0);return Xb(e,d)&&(c={hour:new a(b[1]),minute:new a(b[2]),second:a.zero(),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2}):(\d{2}):(\d{2})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[4],e=Yb(b[5],0);return Xb(e,d)&&(c={hour:new a(b[1]),minute:new a(b[2]),second:new a(b[3]),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2})([\-+]{1})(\d{2}):(\d{2})$/,func:function(b){var c,d=b[2],e=Yb(b[3],b[4]);return Xb(e,d)&&(c={hour:new a(b[1]),minute:a.zero(),second:a.zero(),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2}):(\d{2})([\-+]{1})(\d{2}):(\d{2})$/,func:function(b){var c,d=b[3],e=Yb(b[4],b[5]);return Xb(e,d)&&(c={hour:new a(b[1]),minute:new a(b[2]),second:a.zero(),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2}):(\d{2}):(\d{2})([\-+]{1})(\d{2}):(\d{2})$/,func:function(b){var c,d=b[4],e=Yb(b[5],b[6]);return Xb(e,d)&&(c={hour:new a(b[1]),minute:new a(b[2]),second:new a(b[3]),millisecond:a.zero(),offset:e.times(ac(d)).neg()}),c}},{regex:/^(\d{2})[\.,]{1}(\d{1,})$/,func:function(b){var c=Zb(b[2]);return c.hour=new a(b[1]),c.offset=Ob(),c}},{regex:/^(\d{2}):(\d{2})[\.,]{1}(\d{1,})$/,func:function(b){var c=$b(b[3]);return c.hour=new a(b[1]),c.minute=new a(b[2]),c.offset=Ob(),c}},{regex:/^(\d{2}):(\d{2}):(\d{2})[\.,]{1}(\d{1,})$/,func:function(b){var c=_b(b[4]);return c.hour=new a(b[1]),c.minute=new a(b[2]),c.second=new a(b[3]),c.offset=Ob(),c}},{regex:/^(\d{2})[\.,]{1}(\d{1,})Z$/,func:function(b){var c=Zb(b[2]);return c.hour=new a(b[1]),c.offset=a.zero(),c}},{regex:/^(\d{2}):(\d{2})[\.,]{1}(\d{1,})Z$/,func:function(b){var c=$b(b[3]);
return c.hour=new a(b[1]),c.minute=new a(b[1]),c.offset=a.zero(),c}},{regex:/^(\d{2}):(\d{2}):(\d{2})[\.,]{1}(\d{1,})Z$/,func:function(b){var c=_b(b[4]);return c.hour=new a(b[1]),c.minute=new a(b[2]),c.second=new a(b[3]),c.offset=a.zero(),c}},{regex:/^(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[3],e=Yb(b[4],0);return Xb(e,d)&&(c=Zb(b[2]),c.hour=new a(b[1]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2}):(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[4],e=Yb(b[5],0);return Xb(e,d)&&(c=$b(b[3]),c.hour=new a(b[1]),c.minute=new a(b[2]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2}):(\d{2}):(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2})$/,func:function(b){var c,d=b[5],e=Yb(b[6],0);return Xb(e,d)&&(c=_b(b[4]),c.hour=new a(b[1]),c.minute=new a(b[2]),c.second=new a(b[3]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2}):(\d{2})$/,func:function(b){var c,d=b[3],e=Yb(b[4],b[5]);return Xb(e,d)&&(c=Zb(b[2]),c.hour=new a(b[1]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2}):(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2}):(\d{2})$/,func:function(b){var c,d=b[4],e=Yb(b[5],b[6]);return Xb(e,d)&&(c=$b(b[3]),c.hour=new a(b[1]),c.minute=new a(b[2]),c.offset=e.times(ac(d)).neg()),c}},{regex:/^(\d{2}):(\d{2}):(\d{2})[\.,]{1}(\d{1,})([\-+]{1})(\d{2}):(\d{2})$/,func:function(b){var c,d=b[5],e=Yb(b[6],b[7]);return Xb(e,d)&&(c=_b(b[4]),c.hour=new a(b[1]),c.minute=new a(b[2]),c.second=new a(b[3]),c.offset=e.times(ac(d)).neg()),c}}]},L(vc),Y(tc.prototype,{julian:{value:function(){return this.setter("isJulian",!0)}},gregorian:{value:function(){return this.setter("isJulian",!1)}},local:{value:function(){return this.setter("isLocal",!0),this.setter("isUT",!1),this}},UT:{value:function(){return this.setter("isLocal",!1),this.setter("isUT",!0),this}},TT:{value:function(){return this.setter("isTT",!0)}},UT2TT:{value:function(){return this.setter("DT",-1)}},TT2UT:{value:function(){return this.setter("DT",1)}},civil:{value:function(){return this.setter("isTT",!1)}},raw:{value:function(){return this.setter("isLocal",!1),this.setter("isUT",!1),this.setter("isTT",!1),this.setter("DT",0),this}},isJulian:{value:function(){return this.getter("isJulian")}},isGregorian:{value:function(){return!this.getter("isJulian")}},isUT:{value:function(){return this.getter("isUT")}},isTT:{value:function(){return this.getter("isTT")}},isUT2TT:{value:function(){return d(this.getter("DT"),-1)}},isTT2UT:{value:function(){return d(this.getter("DT"),1)}},isDT:{value:function(){return!d(this.getter("DT"),0)}},isCivil:{value:function(){return!this.getter("isTT")}},isLocal:{value:function(){return this.getter("isLocal")}},isRaw:{value:function(){return!this.getter("isUT")&&!this.getter("isTT")&&this.getter("isLocal")}},currentLang:{value:function(){return this.getter("lang")}},isWeekDay:{value:function(){var a;return this.isValid()&&(a=lb(dc(this,this.getter())).inRange(1,5)),a}},isWeekend:{value:function(){var a;return this.isValid()&&(a=lb(dc(this,this.getter())).inRange(6,7)),a}},zone:{value:function(){var a;return this.isValid()&&(a=dc(this,this.getter()).offset.toString()),a}},isValid:{value:function(){return U(this.getter())}},parse:{value:function(a){var b;if(!q(a))throw new TypeError(a);return b=this.setter("struct",cc(a))}},format:{value:function(a){var b,c,d,e,f,g;if(this.isValid()){if(e=this.currentLang(),!q(e)||r(e)||!fb(Kc[e])){if(!q(wc)||r(wc)||!fb(Kc[wc]))throw new Error("Language not loaded!");e=wc}if(d=this.isJulian(),b=d?Fb(this.jd()):this.getter(),b=dc(this,b),f=Kc[e].dates.calendars.gregorian.dateTimeFormats,(!q(a)||r(a))&&(a=A(Gc)),K(gb(f),a)?(g=f[a],g=fc(g,"{1}",pc(b,a,d,e,this.locale())),g=fc(g,"{0}",sc(b,a,e))):(g=pc(b,a,d,e,this.locale()),g=sc(b,g,e)),hc(g))throw new Error("Pattern has remaining tokens!: "+gc(g));c=ic(g)}else c="Invalid Date";return c}},toString:{value:function(a){return q(a)&&!r(a)&&K(Gc,a)||(a=A(Gc)),this.format(a)}},toDateString:{value:function(a){var b,c,d,e;if(this.isValid()){if(e=this.currentLang(),!q(e)||r(e)||!fb(Kc[e])){if(!q(wc)||r(wc)||!fb(Kc[wc]))throw new Error("Language not loaded!");e=wc}if(d=this.isJulian(),b=d?Fb(this.jd()):this.getter(),q(a)&&!r(a)&&K(Gc,a)||(a=A(Gc)),a=pc(dc(this,b),a,d,e,this.locale()),hc(a))throw new Error("Pattern has remaining tokens!: "+gc(a));c=ic(a)}else c="Invalid Date";return c}},toTimeString:{value:function(a){var b,c,d,e;if(this.isValid()){if(e=this.currentLang(),!q(e)||r(e)||!fb(Kc[e])){if(!q(wc)||r(wc)||!fb(Kc[wc]))throw new Error("Language not loaded!");e=wc}if(d=this.isJulian(),b=d?Fb(this.jd()):this.getter(),q(a)&&!r(a)&&K(Gc,a)||(a=A(Gc)),a=sc(dc(this,b),a,e),hc(a))throw new Error("Pattern has remaining tokens!: "+gc(a));c=ic(a)}else c="Invalid Date";return c}},toISOString:{value:function(a){var b;return b=this.isValid()?Qb(dc(this,this.getter()),a):"Invalid Date"}},valueOf:{value:function(){var a;return a=this.isJulian()?this.jd():this.getTime()}},unix:{value:function(){var a,b;return this.isValid()&&(a=this.isTT()?Lb(this.getter()):this.getter(),b=rb(Kb(a)).div(1e3).trunc().toString()),b}},object:{value:function(a){var b,c;if(l(a))this.isValid()&&(b=dc(this,this.getter()),c=this.isJulian()?Bb(Ib(b)):Bb(b));else{if(!fb(a))throw new TypeError(a);c=this.setter("struct",Ab(a,this.isJulian()))}return c}},clone:{value:function(){return new tc(this)}},array:{value:function(a){var b,c;if(l(a))this.isValid()&&(b=dc(this,this.getter()),c=this.isJulian()?zb(Ib(b)):zb(b));else{if(!cb(a))throw new TypeError(a);c=this.setter("struct",vb(a,this.isJulian()))}return c}},date:{value:function(a){var b;if(l(a))b=this.isValid()?new Date(parseInt(this.getTime(),10)):new Date(0/0);else{if(!C(a))throw new TypeError(a);b=this.setter(a)}return b}},getTime:{value:function(){var a,b;return this.isValid()&&(a=this.isTT()?Lb(this.getter()):this.getter(),b=rb(Kb(a)).toString()),b}},deltaTime:{value:function(){var a;return this.isValid()&&(a=sb(dc(this,this.getter())).toString()),a}},timeTo:{value:function(a){var b;return this.isValid()&&(b=ab(dc(this,this.getter()),_(a)).toString()),b}},jd:{value:function(b){var c,d;if(l(b))this.isValid()&&(c=this.isTT()?Lb(this.getter()):this.getter(),d=bb(Kb(c)).toFixed(a.config().DECIMAL_PLACES));else{if(!(o(b)||q(b)||b&&b instanceof a))throw new TypeError(b);d=this.setter("struct",Eb(b))}return d}},jdn:{value:function(){var a,b;return this.isValid()&&(a=this.isTT()?Lb(this.getter()):this.getter(),b=eb(Kb(a)).toString()),b}},mjd:{value:function(){var a,b;return this.isValid()&&(a=this.isTT()?Lb(this.getter()):this.getter(),b=Gb(Kb(a)).toString()),b}},easter:{value:function(){var b,c,d,e,f,g,h,i,j,k,l,m,n,o,p;return this.isValid()&&(b=dc(this,this.getter()),this.isJulian()?(d=b.year.mod(4),e=b.year.mod(7),f=b.year.mod(19),g=f.times(19).plus(15).mod(30),h=d.times(2).plus(e.times(4)).minus(g).plus(34).mod(7),i=g.plus(h).plus(114),c=new tc([b.year,i.div(31).floor().minus(1),i.mod(31).plus(1)])):(d=b.year.mod(19),e=b.year.div(100).floor(),f=b.year.mod(100).floor(),g=e.div(4),h=e.mod(4),i=e.plus(8).div(25).floor(),j=e.minus(i).plus(1).div(3).floor(),k=new a(19).times(d).plus(e).minus(g).minus(j).plus(15).mod(30),l=f.div(4).floor(),m=f.mod(4),n=new a(32).plus(h.times(2)).plus(l.times(2)).minus(k).minus(m).mod(7),o=d.plus(k.times(11)).plus(n.times(22)).div(451).floor(),p=k.plus(n).minus(o.times(7)).plus(114),c=new tc([b.year,p.div(31).floor(),p.mod(31).plus(1)]))),c}},isLeapYear:{value:function(){var a,c;return this.isValid()&&(a=dc(this,this.getter()),c=this.isJulian()?f(Ib(a)):b(a)),c}},daysInYear:{value:function(){var a,b;return this.isValid()&&(a=dc(this,this.getter()),b=this.isJulian()?u(Ib(a)).toString():p(a).toString()),b}},daysInMonth:{value:function(){var a,b;return this.isValid()&&(a=dc(this,this.getter()),b=this.isJulian()?n(Ib(a)).toString():j(a).toString()),b}},json:{value:function(a){var b,c,d;if(l(a))w(JSON.stringify)?d=JSON.stringify(this.object()):(b=this.object(),c=ob(gb(b),function(a){return'"'+a+'":"'+b[a]+'"'}),d="{"+c.join(",")+"}");else{if(!q(a))throw new TypeError(a);if(b=w(JSON.parse)?Ab(JSON.parse(a),this.isJulian()):Ab(new Function("return"+a)(),this.isJulian()),!U(b))throw new SyntaxError(b);d=this.setter("struct",b)}return d}},toJSON:{value:function(a,b){return this.toISOString(a,b)}},calendarToWeekDate:{value:function(){var a;return this.isValid()&&(a=Bb(Ub(dc(this,this.getter())))),a}},lang:{value:function(a){var b,c;return q(a)&&!r(a)?(c=jc(a),fb(Kc[c])&&(this.setter("lang",c),this.setter("locale",mc(c))),b=this):b=this.getter("lang"),b}},locale:{value:function(a){var b,c;return q(a)&&!r(a)?(b=nc(a),r(b)||(this.setter("lang",b),this.setter("locale",mc(a))),c=this):c=this.getter("locale"),c}}}),Y(tc,{version:{value:function(){return Ac}},lang:{value:function(a,b,c){var e;return q(a)&&!r(a)&&(e=jc(a),fb(b)&&(Kc[e]=b,d(c,!1)||L(Kc[e])),fb(Kc[e])&&(wc=e,xc=mc(e))),wc}},langs:{value:function(){return gb(Kc)}},locale:{value:function(a){var b;return q(a)&&!r(a)&&(b=nc(a),r(b)||(wc=b,xc=mc(a))),xc}},leapSeconds:{value:function(a,b){return fb(a)&&(yc=a,d(b,!1)||L(yc)),yc}},supplemental:{value:function(a,b){return fb(a)&&(zc=a,d(b,!1)||L(zc)),zc}},BigNumber:{value:a},normaliseUnits:{value:function(a){return _(a)}},isAstroDate:{value:function(a){return v(a)&&db(a,tc)}},now:{value:function(){return(new tc).getTime()}},jd:{value:function(){return(new tc).jd()}},jdn:{value:function(){return(new tc).jdn()}},mjd:{value:function(){return(new tc).mjd()}},unix:{value:function(){return(new tc).unix()}}}),yc=L({1972:{6:{30:"1"},12:{31:"1"}},1973:{12:{31:"1"}},1974:{12:{31:"1"}},1975:{12:{31:"1"}},1976:{12:{31:"1"}},1977:{12:{31:"1"}},1978:{12:{31:"1"}},1979:{12:{31:"1"}},1981:{6:{30:"1"}},1982:{6:{30:"1"}},1983:{6:{30:"1"}},1985:{6:{30:"1"}},1987:{12:{31:"1"}},1989:{12:{31:"1"}},1990:{12:{31:"1"}},1992:{6:{30:"1"}},1993:{6:{30:"1"}},1994:{6:{30:"1"}},1995:{12:{31:"1"}},1997:{6:{30:"1"}},1998:{12:{31:"1"}},2005:{12:{31:"1"}},2008:{12:{31:"1"}},2012:{6:{30:"1"}}}),zc=L({likelySubtags:{aa:"aa_Latn_ET",ab:"ab_Cyrl_GE",ace:"ace_Latn_ID",ady:"ady_Cyrl_RU",af:"af_Latn_ZA",agq:"agq_Latn_CM",ak:"ak_Latn_GH",alt:"alt_Cyrl_RU",am:"am_Ethi_ET",amo:"amo_Latn_NG",ar:"ar_Arab_EG",as:"as_Beng_IN",asa:"asa_Latn_TZ",ast:"ast_Latn_ES",av:"av_Cyrl_RU",awa:"awa_Deva_IN",ay:"ay_Latn_BO",az:"az_Latn_AZ",az_Arab:"az_Arab_IR",az_IR:"az_Arab_IR",az_RU:"az_Cyrl_RU",ba:"ba_Cyrl_RU",bal:"bal_Arab_PK",ban:"ban_Latn_ID",bas:"bas_Latn_CM",bax:"bax_Bamu_CM",bbc:"bbc_Latn_ID",be:"be_Cyrl_BY",bem:"bem_Latn_ZM",bez:"bez_Latn_TZ",bfq:"bfq_Taml_IN",bft:"bft_Arab_PK",bfy:"bfy_Deva_IN",bg:"bg_Cyrl_BG",bhb:"bhb_Deva_IN",bho:"bho_Deva_IN",bi:"bi_Latn_VU",bik:"bik_Latn_PH",bin:"bin_Latn_NG",bjj:"bjj_Deva_IN",bku:"bku_Latn_PH",bm:"bm_Latn_ML",bn:"bn_Beng_BD",bo:"bo_Tibt_CN",bqv:"bqv_Latn_CI",br:"br_Latn_FR",bra:"bra_Deva_IN",brx:"brx_Deva_IN",bs:"bs_Latn_BA",bss:"bss_Latn_CM",btv:"btv_Deva_PK",bua:"bua_Cyrl_RU",buc:"buc_Latn_YT",bug:"bug_Latn_ID",bya:"bya_Latn_ID",byn:"byn_Ethi_ER",ca:"ca_Latn_ES",cch:"cch_Latn_NG",ccp:"ccp_Beng_IN",ce:"ce_Cyrl_RU",ceb:"ceb_Latn_PH",cgg:"cgg_Latn_UG",ch:"ch_Latn_GU",chk:"chk_Latn_FM",chm:"chm_Cyrl_RU",chp:"chp_Latn_CA",chr:"chr_Cher_US",cja:"cja_Arab_KH",cjm:"cjm_Cham_VN",ckb:"ckb_Arab_IQ",co:"co_Latn_FR",cr:"cr_Cans_CA",crk:"crk_Cans_CA",cs:"cs_Latn_CZ",csb:"csb_Latn_PL",cv:"cv_Cyrl_RU",cy:"cy_Latn_GB",da:"da_Latn_DK",dar:"dar_Cyrl_RU",dav:"dav_Latn_KE",de:"de_Latn_DE",den:"den_Latn_CA",dgr:"dgr_Latn_CA",dje:"dje_Latn_NE",doi:"doi_Arab_IN",dsb:"dsb_Latn_DE",dua:"dua_Latn_CM",dv:"dv_Thaa_MV",dyo:"dyo_Latn_SN",dyu:"dyu_Latn_BF",dz:"dz_Tibt_BT",ebu:"ebu_Latn_KE",ee:"ee_Latn_GH",efi:"efi_Latn_NG",el:"el_Grek_GR",en:"en_Latn_US",eo:"eo_Latn_001",es:"es_Latn_ES",et:"et_Latn_EE",eu:"eu_Latn_ES",ewo:"ewo_Latn_CM",fa:"fa_Arab_IR",fan:"fan_Latn_GQ",ff:"ff_Latn_SN",fi:"fi_Latn_FI",fil:"fil_Latn_PH",fj:"fj_Latn_FJ",fo:"fo_Latn_FO",fon:"fon_Latn_BJ",fr:"fr_Latn_FR",fur:"fur_Latn_IT",fy:"fy_Latn_NL",ga:"ga_Latn_IE",gaa:"gaa_Latn_GH",gag:"gag_Latn_MD",gbm:"gbm_Deva_IN",gcr:"gcr_Latn_GF",gd:"gd_Latn_GB",gez:"gez_Ethi_ET",gil:"gil_Latn_KI",gl:"gl_Latn_ES",gn:"gn_Latn_PY",gon:"gon_Telu_IN",gor:"gor_Latn_ID",grt:"grt_Beng_IN",gsw:"gsw_Latn_CH",gu:"gu_Gujr_IN",guz:"guz_Latn_KE",gv:"gv_Latn_IM",gwi:"gwi_Latn_CA",ha:"ha_Latn_NG",ha_CM:"ha_Arab_CM",ha_SD:"ha_Arab_SD",haw:"haw_Latn_US",he:"he_Hebr_IL",hi:"hi_Deva_IN",hil:"hil_Latn_PH",hne:"hne_Deva_IN",hnn:"hnn_Latn_PH",ho:"ho_Latn_PG",hoc:"hoc_Deva_IN",hoj:"hoj_Deva_IN",hr:"hr_Latn_HR",ht:"ht_Latn_HT",hu:"hu_Latn_HU",hy:"hy_Armn_AM",ia:"ia_Latn_FR",ibb:"ibb_Latn_NG",id:"id_Latn_ID",ig:"ig_Latn_NG",ii:"ii_Yiii_CN",ik:"ik_Latn_US",ilo:"ilo_Latn_PH","in":"in_Latn_ID",inh:"inh_Cyrl_RU",is:"is_Latn_IS",it:"it_Latn_IT",iu:"iu_Cans_CA",iw:"iw_Hebr_IL",ja:"ja_Jpan_JP",jgo:"jgo_Latn_CM",ji:"ji_Hebr_UA",jmc:"jmc_Latn_TZ",jv:"jv_Latn_ID",jw:"jw_Latn_ID",ka:"ka_Geor_GE",kaa:"kaa_Cyrl_UZ",kab:"kab_Latn_DZ",kaj:"kaj_Latn_NG",kam:"kam_Latn_KE",kbd:"kbd_Cyrl_RU",kcg:"kcg_Latn_NG",kde:"kde_Latn_TZ",kdt:"kdt_Thai_TH",kea:"kea_Latn_CV",ken:"ken_Latn_CM",kfo:"kfo_Latn_CI",kfr:"kfr_Deva_IN",kg:"kg_Latn_CD",kha:"kha_Latn_IN",khb:"khb_Talu_CN",khq:"khq_Latn_ML",kht:"kht_Mymr_IN",ki:"ki_Latn_KE",kj:"kj_Latn_NA",kk:"kk_Cyrl_KZ",kk_AF:"kk_Arab_AF",kk_Arab:"kk_Arab_CN",kk_CN:"kk_Arab_CN",kk_IR:"kk_Arab_IR",kk_MN:"kk_Arab_MN",kkj:"kkj_Latn_CM",kl:"kl_Latn_GL",kln:"kln_Latn_KE",km:"km_Khmr_KH",kmb:"kmb_Latn_AO",kn:"kn_Knda_IN",ko:"ko_Kore_KR",koi:"koi_Cyrl_RU",kok:"kok_Deva_IN",kos:"kos_Latn_FM",kpe:"kpe_Latn_LR",krc:"krc_Cyrl_RU",kri:"kri_Latn_SL",krl:"krl_Latn_RU",kru:"kru_Deva_IN",ks:"ks_Arab_IN",ksb:"ksb_Latn_TZ",ksf:"ksf_Latn_CM",ksh:"ksh_Latn_DE",ku:"ku_Latn_TR",ku_Arab:"ku_Arab_IQ",ku_LB:"ku_Arab_LB",kum:"kum_Cyrl_RU",kv:"kv_Cyrl_RU",kw:"kw_Latn_GB",ky:"ky_Cyrl_KG",ky_Arab:"ky_Arab_CN",ky_CN:"ky_Arab_CN",ky_Latn:"ky_Latn_TR",ky_TR:"ky_Latn_TR",la:"la_Latn_VA",lag:"lag_Latn_TZ",lah:"lah_Arab_PK",lb:"lb_Latn_LU",lbe:"lbe_Cyrl_RU",lcp:"lcp_Thai_CN",lep:"lep_Lepc_IN",lez:"lez_Cyrl_RU",lg:"lg_Latn_UG",li:"li_Latn_NL",lif:"lif_Deva_NP",lis:"lis_Lisu_CN",lki:"lki_Arab_IR",lkt:"lkt_Latn_US",lmn:"lmn_Telu_IN",ln:"ln_Latn_CD",lo:"lo_Laoo_LA",lol:"lol_Latn_CD",lt:"lt_Latn_LT",lu:"lu_Latn_CD",lua:"lua_Latn_CD",luo:"luo_Latn_KE",luy:"luy_Latn_KE",lv:"lv_Latn_LV",lwl:"lwl_Thai_TH",mad:"mad_Latn_ID",mag:"mag_Deva_IN",mai:"mai_Deva_IN",mak:"mak_Latn_ID",man:"man_Latn_GM",man_GN:"man_Nkoo_GN",man_Nkoo:"man_Nkoo_GN",mas:"mas_Latn_KE",mdf:"mdf_Cyrl_RU",mdh:"mdh_Latn_PH",mdr:"mdr_Latn_ID",men:"men_Latn_SL",mer:"mer_Latn_KE",mfe:"mfe_Latn_MU",mg:"mg_Latn_MG",mgh:"mgh_Latn_MZ",mgo:"mgo_Latn_CM",mh:"mh_Latn_MH",mi:"mi_Latn_NZ",min:"min_Latn_ID",mk:"mk_Cyrl_MK",ml:"ml_Mlym_IN",mn:"mn_Cyrl_MN",mn_CN:"mn_Mong_CN",mn_Mong:"mn_Mong_CN",mni:"mni_Beng_IN",mnw:"mnw_Mymr_MM",mo:"mo_Latn_RO",mos:"mos_Latn_BF",mr:"mr_Deva_IN",ms:"ms_Latn_MY",ms_CC:"ms_Arab_CC",ms_ID:"ms_Arab_ID",mt:"mt_Latn_MT",mua:"mua_Latn_CM",mwr:"mwr_Deva_IN",my:"my_Mymr_MM",myv:"myv_Cyrl_RU",na:"na_Latn_NR",nap:"nap_Latn_IT",naq:"naq_Latn_NA",nb:"nb_Latn_NO",nd:"nd_Latn_ZW",nds:"nds_Latn_DE",ne:"ne_Deva_NP","new":"new_Deva_NP",ng:"ng_Latn_NA",niu:"niu_Latn_NU",nl:"nl_Latn_NL",nmg:"nmg_Latn_CM",nn:"nn_Latn_NO",nnh:"nnh_Latn_CM",no:"no_Latn_NO",nod:"nod_Lana_TH",nr:"nr_Latn_ZA",nso:"nso_Latn_ZA",nus:"nus_Latn_SD",nv:"nv_Latn_US",ny:"ny_Latn_MW",nym:"nym_Latn_TZ",nyn:"nyn_Latn_UG",oc:"oc_Latn_FR",om:"om_Latn_ET",or:"or_Orya_IN",os:"os_Cyrl_GE",pa:"pa_Guru_IN",pa_Arab:"pa_Arab_PK",pa_PK:"pa_Arab_PK",pag:"pag_Latn_PH",pam:"pam_Latn_PH",pap:"pap_Latn_AW",pau:"pau_Latn_PW",pl:"pl_Latn_PL",pon:"pon_Latn_FM",prd:"prd_Arab_IR",ps:"ps_Arab_AF",pt:"pt_Latn_BR",qu:"qu_Latn_PE",raj:"raj_Latn_IN",rcf:"rcf_Latn_RE",rej:"rej_Latn_ID",rjs:"rjs_Deva_NP",rkt:"rkt_Beng_BD",rm:"rm_Latn_CH",rn:"rn_Latn_BI",ro:"ro_Latn_RO",rof:"rof_Latn_TZ",ru:"ru_Cyrl_RU",rw:"rw_Latn_RW",rwk:"rwk_Latn_TZ",sa:"sa_Deva_IN",saf:"saf_Latn_GH",sah:"sah_Cyrl_RU",saq:"saq_Latn_KE",sas:"sas_Latn_ID",sat:"sat_Latn_IN",saz:"saz_Saur_IN",sbp:"sbp_Latn_TZ",scn:"scn_Latn_IT",sco:"sco_Latn_GB",sd:"sd_Arab_PK",sd_Deva:"sd_Deva_IN",sdh:"sdh_Arab_IR",se:"se_Latn_NO",seh:"seh_Latn_MZ",ses:"ses_Latn_ML",sg:"sg_Latn_CF",shi:"shi_Tfng_MA",shn:"shn_Mymr_MM",si:"si_Sinh_LK",sid:"sid_Latn_ET",sk:"sk_Latn_SK",sl:"sl_Latn_SI",sm:"sm_Latn_WS",sma:"sma_Latn_SE",smj:"smj_Latn_SE",smn:"smn_Latn_FI",sms:"sms_Latn_FI",sn:"sn_Latn_ZW",snk:"snk_Latn_ML",so:"so_Latn_SO",sq:"sq_Latn_AL",sr:"sr_Cyrl_RS",sr_ME:"sr_Latn_ME",sr_RO:"sr_Latn_RO",sr_RU:"sr_Latn_RU",sr_TR:"sr_Latn_TR",srn:"srn_Latn_SR",srr:"srr_Latn_SN",ss:"ss_Latn_ZA",ssy:"ssy_Latn_ER",st:"st_Latn_ZA",su:"su_Latn_ID",suk:"suk_Latn_TZ",sus:"sus_Latn_GN",sv:"sv_Latn_SE",sw:"sw_Latn_TZ",swb:"swb_Arab_YT",swc:"swc_Latn_CD",syl:"syl_Beng_BD",syr:"syr_Syrc_IQ",ta:"ta_Taml_IN",tbw:"tbw_Latn_PH",tcy:"tcy_Knda_IN",tdd:"tdd_Tale_CN",te:"te_Telu_IN",tem:"tem_Latn_SL",teo:"teo_Latn_UG",tet:"tet_Latn_TL",tg:"tg_Cyrl_TJ",tg_Arab:"tg_Arab_PK",tg_PK:"tg_Arab_PK",th:"th_Thai_TH",ti:"ti_Ethi_ET",tig:"tig_Ethi_ER",tiv:"tiv_Latn_NG",tk:"tk_Latn_TM",tkl:"tkl_Latn_TK",tl:"tl_Latn_PH",tmh:"tmh_Latn_NE",tn:"tn_Latn_ZA",to:"to_Latn_TO",tpi:"tpi_Latn_PG",tr:"tr_Latn_TR",trv:"trv_Latn_TW",ts:"ts_Latn_ZA",tsg:"tsg_Latn_PH",tt:"tt_Cyrl_RU",tts:"tts_Thai_TH",tum:"tum_Latn_MW",tvl:"tvl_Latn_TV",twq:"twq_Latn_NE",ty:"ty_Latn_PF",tyv:"tyv_Cyrl_RU",tzm:"tzm_Latn_MA",udm:"udm_Cyrl_RU",ug:"ug_Arab_CN",ug_Cyrl:"ug_Cyrl_KZ",ug_KZ:"ug_Cyrl_KZ",ug_MN:"ug_Cyrl_MN",uk:"uk_Cyrl_UA",uli:"uli_Latn_FM",umb:"umb_Latn_AO",und:"en_Latn_US",und_AD:"ca_Latn_AD",und_AE:"ar_Arab_AE",und_AF:"fa_Arab_AF",und_AL:"sq_Latn_AL",und_AM:"hy_Armn_AM",und_AO:"pt_Latn_AO",und_AQ:"und_Latn_AQ",und_AR:"es_Latn_AR",und_Arab:"ar_Arab_EG",und_Arab_CC:"ms_Arab_CC",und_Arab_CN:"ug_Arab_CN",und_Arab_GB:"ks_Arab_GB",und_Arab_ID:"ms_Arab_ID",und_Arab_IN:"ur_Arab_IN",und_Arab_KH:"cja_Arab_KH",und_Arab_MN:"kk_Arab_MN",und_Arab_MU:"ur_Arab_MU",und_Arab_NG:"ha_Arab_NG",und_Arab_PK:"ur_Arab_PK",und_Arab_TJ:"fa_Arab_TJ",und_Arab_TR:"zza_Arab_TR",und_Arab_YT:"swb_Arab_YT",und_Armi:"arc_Armi_IR",und_Armn:"hy_Armn_AM",und_AS:"sm_Latn_AS",und_AT:"de_Latn_AT",und_Avst:"ae_Avst_IR",und_AW:"nl_Latn_AW",und_AX:"sv_Latn_AX",und_AZ:"az_Latn_AZ",und_BA:"bs_Latn_BA",und_Bali:"ban_Bali_ID",und_Bamu:"bax_Bamu_CM",und_Batk:"bbc_Batk_ID",und_BD:"bn_Beng_BD",und_BE:"nl_Latn_BE",und_Beng:"bn_Beng_BD",und_BF:"fr_Latn_BF",und_BG:"bg_Cyrl_BG",und_BH:"ar_Arab_BH",und_BI:"rn_Latn_BI",und_BJ:"fr_Latn_BJ",und_BL:"fr_Latn_BL",und_BN:"ms_Latn_BN",und_BO:"es_Latn_BO",und_Bopo:"zh_Bopo_TW",und_BQ:"pap_Latn_BQ",und_BR:"pt_Latn_BR",und_Brah:"pra_Brah_IN",und_Brai:"und_Brai_FR",und_BT:"dz_Tibt_BT",und_Bugi:"bug_Bugi_ID",und_Buhd:"bku_Buhd_PH",und_BV:"und_Latn_BV",und_BY:"be_Cyrl_BY",und_Cakm:"ccp_Cakm_BD",und_Cans:"cr_Cans_CA",und_Cari:"xcr_Cari_TR",und_CD:"sw_Latn_CD",und_CF:"fr_Latn_CF",und_CG:"fr_Latn_CG",und_CH:"de_Latn_CH",und_Cham:"cjm_Cham_VN",und_Cher:"chr_Cher_US",und_CI:"fr_Latn_CI",und_CL:"es_Latn_CL",und_CM:"fr_Latn_CM",und_CN:"zh_Hans_CN",und_CO:"es_Latn_CO",und_Copt:"cop_Copt_EG",und_CP:"und_Latn_CP",und_Cprt:"grc_Cprt_CY",und_CR:"es_Latn_CR",und_CU:"es_Latn_CU",und_CV:"pt_Latn_CV",und_CW:"pap_Latn_CW",und_CY:"el_Grek_CY",und_Cyrl:"ru_Cyrl_RU",und_Cyrl_AL:"mk_Cyrl_AL",und_Cyrl_BA:"sr_Cyrl_BA",und_Cyrl_GE:"ab_Cyrl_GE",und_Cyrl_GR:"mk_Cyrl_GR",und_Cyrl_MD:"uk_Cyrl_MD",und_Cyrl_PL:"be_Cyrl_PL",und_Cyrl_RO:"bg_Cyrl_RO",und_Cyrl_SK:"uk_Cyrl_SK",und_Cyrl_TR:"kbd_Cyrl_TR",und_Cyrl_XK:"sr_Cyrl_XK",und_CZ:"cs_Latn_CZ",und_DE:"de_Latn_DE",und_Deva:"hi_Deva_IN",und_Deva_BT:"ne_Deva_BT",und_Deva_MU:"bho_Deva_MU",und_Deva_PK:"btv_Deva_PK",und_DJ:"aa_Latn_DJ",und_DK:"da_Latn_DK",und_DO:"es_Latn_DO",und_DZ:"ar_Arab_DZ",und_EA:"es_Latn_EA",und_EC:"es_Latn_EC",und_EE:"et_Latn_EE",und_EG:"ar_Arab_EG",und_Egyp:"egy_Egyp_EG",und_EH:"ar_Arab_EH",und_ER:"ti_Ethi_ER",und_ES:"es_Latn_ES",und_ET:"am_Ethi_ET",und_Ethi:"am_Ethi_ET",und_FI:"fi_Latn_FI",und_FM:"chk_Latn_FM",und_FO:"fo_Latn_FO",und_FR:"fr_Latn_FR",und_GA:"fr_Latn_GA",und_GE:"ka_Geor_GE",und_Geor:"ka_Geor_GE",und_GF:"fr_Latn_GF",und_GH:"ak_Latn_GH",und_GL:"kl_Latn_GL",und_Glag:"cu_Glag_BG",und_GN:"fr_Latn_GN",und_Goth:"got_Goth_UA",und_GP:"fr_Latn_GP",und_GQ:"es_Latn_GQ",und_GR:"el_Grek_GR",und_Grek:"el_Grek_GR",und_GS:"und_Latn_GS",und_GT:"es_Latn_GT",und_Gujr:"gu_Gujr_IN",und_Guru:"pa_Guru_IN",und_GW:"pt_Latn_GW",und_Hang:"ko_Hang_KR",und_Hani:"zh_Hani_CN",und_Hano:"hnn_Hano_PH",und_Hans:"zh_Hans_CN",und_Hant:"zh_Hant_TW",und_Hebr:"he_Hebr_IL",und_Hebr_CA:"yi_Hebr_CA",und_Hebr_GB:"yi_Hebr_GB",und_Hebr_SE:"yi_Hebr_SE",und_Hebr_UA:"yi_Hebr_UA",und_Hebr_US:"yi_Hebr_US",und_Hira:"ja_Hira_JP",und_HK:"zh_Hant_HK",und_HM:"und_Latn_HM",und_HN:"es_Latn_HN",und_HR:"hr_Latn_HR",und_HT:"ht_Latn_HT",und_HU:"hu_Latn_HU",und_IC:"es_Latn_IC",und_ID:"id_Latn_ID",und_IL:"he_Hebr_IL",und_IN:"hi_Deva_IN",und_IQ:"ar_Arab_IQ",und_IR:"fa_Arab_IR",und_IS:"is_Latn_IS",und_IT:"it_Latn_IT",und_Ital:"ett_Ital_IT",und_Java:"jv_Java_ID",und_JO:"ar_Arab_JO",und_JP:"ja_Jpan_JP",und_Jpan:"ja_Jpan_JP",und_Kali:"eky_Kali_MM",und_Kana:"ja_Kana_JP",und_KG:"ky_Cyrl_KG",und_KH:"km_Khmr_KH",und_Khar:"pra_Khar_PK",und_Khmr:"km_Khmr_KH",und_KM:"ar_Arab_KM",und_Knda:"kn_Knda_IN",und_Kore:"ko_Kore_KR",und_KP:"ko_Kore_KP",und_KR:"ko_Kore_KR",und_Kthi:"bh_Kthi_IN",und_KW:"ar_Arab_KW",und_KZ:"ru_Cyrl_KZ",und_LA:"lo_Laoo_LA",und_Lana:"nod_Lana_TH",und_Laoo:"lo_Laoo_LA",und_Latn_AF:"tk_Latn_AF",und_Latn_AM:"az_Latn_AM",und_Latn_BG:"tr_Latn_BG",und_Latn_CN:"za_Latn_CN",und_Latn_CY:"tr_Latn_CY",und_Latn_DZ:"fr_Latn_DZ",und_Latn_ET:"en_Latn_ET",und_Latn_GE:"ku_Latn_GE",und_Latn_GR:"tr_Latn_GR",und_Latn_IL:"ro_Latn_IL",und_Latn_IR:"tk_Latn_IR",und_Latn_KM:"fr_Latn_KM",und_Latn_KZ:"de_Latn_KZ",und_Latn_LB:"fr_Latn_LB",und_Latn_MA:"fr_Latn_MA",und_Latn_MK:"sq_Latn_MK",und_Latn_MO:"pt_Latn_MO",und_Latn_MR:"fr_Latn_MR",und_Latn_RU:"krl_Latn_RU",und_Latn_SY:"fr_Latn_SY",und_Latn_TN:"fr_Latn_TN",und_Latn_TW:"trv_Latn_TW",und_Latn_UA:"pl_Latn_UA",und_LB:"ar_Arab_LB",und_Lepc:"lep_Lepc_IN",und_LI:"de_Latn_LI",und_Limb:"lif_Limb_IN",und_Linb:"grc_Linb_GR",und_Lisu:"lis_Lisu_CN",und_LK:"si_Sinh_LK",und_LS:"st_Latn_LS",und_LT:"lt_Latn_LT",und_LU:"fr_Latn_LU",und_LV:"lv_Latn_LV",und_LY:"ar_Arab_LY",und_Lyci:"xlc_Lyci_TR",und_Lydi:"xld_Lydi_TR",und_MA:"ar_Arab_MA",und_Mand:"myz_Mand_IR",und_MC:"fr_Latn_MC",und_MD:"ro_Latn_MD",und_ME:"sr_Latn_ME",und_Merc:"xmr_Merc_SD",und_Mero:"xmr_Mero_SD",und_MF:"fr_Latn_MF",und_MG:"mg_Latn_MG",und_MK:"mk_Cyrl_MK",und_ML:"bm_Latn_ML",und_Mlym:"ml_Mlym_IN",und_MM:"my_Mymr_MM",und_MN:"mn_Cyrl_MN",und_MO:"zh_Hant_MO",und_Mong:"mn_Mong_CN",und_MQ:"fr_Latn_MQ",und_MR:"ar_Arab_MR",und_MT:"mt_Latn_MT",und_Mtei:"mni_Mtei_IN",und_MU:"mfe_Latn_MU",und_MV:"dv_Thaa_MV",und_MX:"es_Latn_MX",und_MY:"ms_Latn_MY",und_Mymr:"my_Mymr_MM",und_Mymr_IN:"kht_Mymr_IN",und_Mymr_TH:"mnw_Mymr_TH",und_MZ:"pt_Latn_MZ",und_NA:"af_Latn_NA",und_NC:"fr_Latn_NC",und_NE:"ha_Latn_NE",und_NI:"es_Latn_NI",und_Nkoo:"man_Nkoo_GN",und_NL:"nl_Latn_NL",und_NO:"nb_Latn_NO",und_NP:"ne_Deva_NP",und_Ogam:"sga_Ogam_IE",und_Olck:"sat_Olck_IN",und_OM:"ar_Arab_OM",und_Orkh:"otk_Orkh_MN",und_Orya:"or_Orya_IN",und_Osma:"so_Osma_SO",und_PA:"es_Latn_PA",und_PE:"es_Latn_PE",und_PF:"fr_Latn_PF",und_PG:"tpi_Latn_PG",und_PH:"fil_Latn_PH",und_Phag:"lzh_Phag_CN",und_Phli:"pal_Phli_IR",und_Phnx:"phn_Phnx_LB",und_PK:"ur_Arab_PK",und_PL:"pl_Latn_PL",und_Plrd:"hmd_Plrd_CN",und_PM:"fr_Latn_PM",und_PR:"es_Latn_PR",und_Prti:"xpr_Prti_IR",und_PS:"ar_Arab_PS",und_PT:"pt_Latn_PT",und_PW:"pau_Latn_PW",und_PY:"gn_Latn_PY",und_QA:"ar_Arab_QA",und_RE:"fr_Latn_RE",und_Rjng:"rej_Rjng_ID",und_RO:"ro_Latn_RO",und_RS:"sr_Cyrl_RS",und_RU:"ru_Cyrl_RU",und_Runr:"non_Runr_SE",und_RW:"rw_Latn_RW",und_SA:"ar_Arab_SA",und_Samr:"smp_Samr_IL",und_Sarb:"xsa_Sarb_YE",und_Saur:"saz_Saur_IN",und_SC:"fr_Latn_SC",und_SD:"ar_Arab_SD",und_SE:"sv_Latn_SE",und_Shaw:"en_Shaw_GB",und_Shrd:"sa_Shrd_IN",und_SI:"sl_Latn_SI",und_Sinh:"si_Sinh_LK",und_SJ:"nb_Latn_SJ",und_SK:"sk_Latn_SK",und_SM:"it_Latn_SM",und_SN:"fr_Latn_SN",und_SO:"so_Latn_SO",und_Sora:"srb_Sora_IN",und_SR:"nl_Latn_SR",und_ST:"pt_Latn_ST",und_Sund:"su_Sund_ID",und_SV:"es_Latn_SV",und_SY:"ar_Arab_SY",und_Sylo:"syl_Sylo_BD",und_Syrc:"syr_Syrc_IQ",und_Tagb:"tbw_Tagb_PH",und_Takr:"doi_Takr_IN",und_Tale:"tdd_Tale_CN",und_Talu:"khb_Talu_CN",und_Taml:"ta_Taml_IN",und_Tavt:"blt_Tavt_VN",und_TD:"fr_Latn_TD",und_Telu:"te_Telu_IN",und_TF:"fr_Latn_TF",und_Tfng:"zgh_Tfng_MA",und_TG:"fr_Latn_TG",und_Tglg:"fil_Tglg_PH",und_TH:"th_Thai_TH",und_Thaa:"dv_Thaa_MV",und_Thai:"th_Thai_TH",und_Thai_CN:"lcp_Thai_CN",und_Thai_KH:"kdt_Thai_KH",und_Thai_LA:"kdt_Thai_LA",und_Tibt:"bo_Tibt_CN",und_TJ:"tg_Cyrl_TJ",und_TK:"tkl_Latn_TK",und_TL:"pt_Latn_TL",und_TM:"tk_Latn_TM",und_TN:"ar_Arab_TN",und_TO:"to_Latn_TO",und_TR:"tr_Latn_TR",und_TV:"tvl_Latn_TV",und_TW:"zh_Hant_TW",und_TZ:"sw_Latn_TZ",und_UA:"uk_Cyrl_UA",und_UG:"sw_Latn_UG",und_Ugar:"uga_Ugar_SY",und_UY:"es_Latn_UY",und_UZ:"uz_Latn_UZ",und_VA:"la_Latn_VA",und_Vaii:"vai_Vaii_LR",und_VE:"es_Latn_VE",und_VN:"vi_Latn_VN",und_VU:"bi_Latn_VU",und_WF:"fr_Latn_WF",und_WS:"sm_Latn_WS",und_XK:"sq_Latn_XK",und_Xpeo:"peo_Xpeo_IR",und_Xsux:"akk_Xsux_IQ",und_YE:"ar_Arab_YE",und_Yiii:"ii_Yiii_CN",und_YT:"fr_Latn_YT",unr:"unr_Beng_IN",unr_Deva:"unr_Deva_NP",unr_NP:"unr_Deva_NP",unx:"unx_Beng_IN",ur:"ur_Arab_PK",uz:"uz_Latn_UZ",uz_AF:"uz_Arab_AF",uz_Arab:"uz_Arab_AF",uz_CN:"uz_Cyrl_CN",vai:"vai_Vaii_LR",ve:"ve_Latn_ZA",vi:"vi_Latn_VN",vo:"vo_Latn_001",vun:"vun_Latn_TZ",wa:"wa_Latn_BE",wae:"wae_Latn_CH",wal:"wal_Ethi_ET",war:"war_Latn_PH",wo:"wo_Latn_SN",xh:"xh_Latn_ZA",xog:"xog_Latn_UG",xsr:"xsr_Deva_NP",yao:"yao_Latn_MZ",yap:"yap_Latn_FM",yav:"yav_Latn_CM",yi:"yi_Hebr_UA",yo:"yo_Latn_NG",za:"za_Latn_CN",zgh:"zgh_Tfng_MA",zh:"zh_Hans_CN",zh_AU:"zh_Hant_AU",zh_BN:"zh_Hant_BN",zh_GB:"zh_Hant_GB",zh_GF:"zh_Hant_GF",zh_Hant:"zh_Hant_TW",zh_HK:"zh_Hant_HK",zh_ID:"zh_Hant_ID",zh_MO:"zh_Hant_MO",zh_MY:"zh_Hant_MY",zh_PA:"zh_Hant_PA",zh_PF:"zh_Hant_PF",zh_PH:"zh_Hant_PH",zh_SR:"zh_Hant_SR",zh_TH:"zh_Hant_TH",zh_TW:"zh_Hant_TW",zh_US:"zh_Hant_US",zh_VN:"zh_Hant_VN",zu:"zu_Latn_ZA",zza:"zza_Arab_TR"},timeData:{"001":{_allowed:"H h",_preferred:"H"},AD:{_allowed:"H",_preferred:"H"},AE:{_allowed:"H h",_preferred:"h"},AG:{_allowed:"H h",_preferred:"h"},AL:{_allowed:"H h",_preferred:"h"},AM:{_allowed:"H",_preferred:"H"},AO:{_allowed:"H",_preferred:"H"},AS:{_allowed:"H h",_preferred:"h"},AT:{_allowed:"H",_preferred:"H"},AU:{_allowed:"H h",_preferred:"h"},AW:{_allowed:"H",_preferred:"H"},AX:{_allowed:"H",_preferred:"H"},BB:{_allowed:"H h",_preferred:"h"},BD:{_allowed:"H h",_preferred:"h"},BE:{_allowed:"H",_preferred:"H"},BF:{_allowed:"H",_preferred:"H"},BH:{_allowed:"H h",_preferred:"h"},BJ:{_allowed:"H",_preferred:"H"},BL:{_allowed:"H",_preferred:"H"},BM:{_allowed:"H h",_preferred:"h"},BN:{_allowed:"H h",_preferred:"h"},BR:{_allowed:"H",_preferred:"H"},BS:{_allowed:"H h",_preferred:"h"},BT:{_allowed:"H h",_preferred:"h"},BW:{_allowed:"H h",_preferred:"h"},CA:{_allowed:"H h",_preferred:"h"},CD:{_allowed:"H",_preferred:"H"},CI:{_allowed:"H",_preferred:"H"},CN:{_allowed:"H h",_preferred:"h"},CO:{_allowed:"H h",_preferred:"h"},CP:{_allowed:"H",_preferred:"H"},CV:{_allowed:"H",_preferred:"H"},CY:{_allowed:"H h",_preferred:"h"},CZ:{_allowed:"H",_preferred:"H"},DE:{_allowed:"H",_preferred:"H"},DJ:{_allowed:"H h",_preferred:"h"},DK:{_allowed:"H",_preferred:"H"},DM:{_allowed:"H h",_preferred:"h"},DZ:{_allowed:"H h",_preferred:"h"},EE:{_allowed:"H",_preferred:"H"},EG:{_allowed:"H h",_preferred:"h"},EH:{_allowed:"H h",_preferred:"h"},ER:{_allowed:"H h",_preferred:"h"},ET:{_allowed:"H h",_preferred:"h"},FI:{_allowed:"H",_preferred:"H"},FJ:{_allowed:"H h",_preferred:"h"},FM:{_allowed:"H h",_preferred:"h"},FR:{_allowed:"H",_preferred:"H"},GA:{_allowed:"H",_preferred:"H"},GD:{_allowed:"H h",_preferred:"h"},GF:{_allowed:"H",_preferred:"H"},GH:{_allowed:"H h",_preferred:"h"},GL:{_allowed:"H h",_preferred:"h"},GM:{_allowed:"H h",_preferred:"h"},GN:{_allowed:"H",_preferred:"H"},GP:{_allowed:"H",_preferred:"H"},GR:{_allowed:"H h",_preferred:"h"},GU:{_allowed:"H h",_preferred:"h"},GW:{_allowed:"H",_preferred:"H"},GY:{_allowed:"H h",_preferred:"h"},HK:{_allowed:"H h",_preferred:"h"},HR:{_allowed:"H",_preferred:"H"},IL:{_allowed:"H",_preferred:"H"},IN:{_allowed:"H h",_preferred:"h"},IQ:{_allowed:"H h",_preferred:"h"},IS:{_allowed:"H",_preferred:"H"},IT:{_allowed:"H",_preferred:"H"},JM:{_allowed:"H h",_preferred:"h"},JO:{_allowed:"H h",_preferred:"h"},JP:{_allowed:"H K h",_preferred:"H"},KH:{_allowed:"H h",_preferred:"h"},KI:{_allowed:"H h",_preferred:"h"},KN:{_allowed:"H h",_preferred:"h"},KP:{_allowed:"H h",_preferred:"h"},KR:{_allowed:"H h",_preferred:"h"},KW:{_allowed:"H h",_preferred:"h"},KY:{_allowed:"H h",_preferred:"h"},LB:{_allowed:"H h",_preferred:"h"},LC:{_allowed:"H h",_preferred:"h"},LR:{_allowed:"H h",_preferred:"h"},LS:{_allowed:"H h",_preferred:"h"},LY:{_allowed:"H h",_preferred:"h"},MA:{_allowed:"H h",_preferred:"h"},MC:{_allowed:"H",_preferred:"H"},MD:{_allowed:"H",_preferred:"H"},MF:{_allowed:"H",_preferred:"H"},MH:{_allowed:"H h",_preferred:"h"},ML:{_allowed:"H",_preferred:"H"},MO:{_allowed:"H h",_preferred:"h"},MP:{_allowed:"H h",_preferred:"h"},MQ:{_allowed:"H",_preferred:"H"},MR:{_allowed:"H h",_preferred:"h"},MW:{_allowed:"H h",_preferred:"h"},MY:{_allowed:"H h",_preferred:"h"},MZ:{_allowed:"H",_preferred:"H"},NA:{_allowed:"H h",_preferred:"h"},NC:{_allowed:"H",_preferred:"H"},NE:{_allowed:"H",_preferred:"H"},NG:{_allowed:"H h",_preferred:"h"},NL:{_allowed:"H",_preferred:"H"},NZ:{_allowed:"H h",_preferred:"h"},OM:{_allowed:"H h",_preferred:"h"},PG:{_allowed:"H h",_preferred:"h"},PK:{_allowed:"H h",_preferred:"h"},PM:{_allowed:"H",_preferred:"H"},PR:{_allowed:"H h",_preferred:"h"},PS:{_allowed:"H h",_preferred:"h"},PT:{_allowed:"H",_preferred:"H"},PW:{_allowed:"H h",_preferred:"h"},QA:{_allowed:"H h",_preferred:"h"},RE:{_allowed:"H",_preferred:"H"},RO:{_allowed:"H",_preferred:"H"},RU:{_allowed:"H",_preferred:"H"},SA:{_allowed:"H h",_preferred:"h"},SB:{_allowed:"H h",_preferred:"h"},SD:{_allowed:"H h",_preferred:"h"},SE:{_allowed:"H",_preferred:"H"},SG:{_allowed:"H h",_preferred:"h"},SI:{_allowed:"H",_preferred:"H"},SJ:{_allowed:"H",_preferred:"H"},SK:{_allowed:"H",_preferred:"H"},SL:{_allowed:"H h",_preferred:"h"},SM:{_allowed:"H",_preferred:"H"},SO:{_allowed:"H h",_preferred:"h"},SR:{_allowed:"H",_preferred:"H"},SS:{_allowed:"H h",_preferred:"h"},ST:{_allowed:"H",_preferred:"H"},SY:{_allowed:"H h",_preferred:"h"},SZ:{_allowed:"H h",_preferred:"h"},TC:{_allowed:"H h",_preferred:"h"},TD:{_allowed:"H h",_preferred:"h"},TG:{_allowed:"H",_preferred:"H"},TN:{_allowed:"H h",_preferred:"h"},TR:{_allowed:"H",_preferred:"H"},TT:{_allowed:"H h",_preferred:"h"},TW:{_allowed:"H h",_preferred:"h"},UM:{_allowed:"H h",_preferred:"h"},US:{_allowed:"H h",_preferred:"h"},VC:{_allowed:"H h",_preferred:"h"},VG:{_allowed:"H h",_preferred:"h"},VI:{_allowed:"H h",_preferred:"h"},VU:{_allowed:"H h",_preferred:"h"},WF:{_allowed:"H",_preferred:"H"},WS:{_allowed:"H h",_preferred:"h"},YE:{_allowed:"H h",_preferred:"h"},YT:{_allowed:"H",_preferred:"H"},ZA:{_allowed:"H h",_preferred:"h"},ZM:{_allowed:"H h",_preferred:"h"},ZW:{_allowed:"H h",_preferred:"h"}},weekData:{minDays:{"001":"1",AD:"4",AN:"4",AT:"4",AX:"4",BE:"4",BG:"4",CH:"4",CZ:"4",DE:"4",DK:"4",EE:"4",ES:"4",FI:"4",FJ:"4",FO:"4",FR:"4",GB:"4",GF:"4",GG:"4",GI:"4",GP:"4",GR:"4",GU:"1",HU:"4",IE:"4",IM:"4",IS:"4",IT:"4",JE:"4",LI:"4",LT:"4",LU:"4",MC:"4",MQ:"4",NL:"4",NO:"4",PL:"4",PT:"4",RE:"4",SE:"4",SJ:"4",SK:"4",SM:"4",UM:"1",US:"1",VA:"4",VI:"1"},firstDay:{"001":"mon",AD:"mon",AE:"sat",AF:"sat",AG:"sun",AI:"mon",AL:"mon",AM:"mon",AN:"mon",AR:"sun",AS:"sun",AT:"mon",AU:"sun",AX:"mon",AZ:"mon",BA:"mon",BD:"fri",BE:"mon",BG:"mon",BH:"sat",BM:"mon",BN:"mon",BR:"sun",BS:"sun",BT:"sun",BW:"sun",BY:"sun",BZ:"sun",CA:"sun",CH:"mon",CL:"mon",CM:"mon",CN:"sun",CO:"sun",CR:"mon",CY:"mon",CZ:"mon",DE:"mon",DJ:"sat",DK:"mon",DM:"sun",DO:"sun",DZ:"sat",EC:"mon",EE:"mon",EG:"sat",ES:"mon",ET:"sun",FI:"mon",FJ:"mon",FO:"mon",FR:"mon",GB:"mon",GE:"mon",GF:"mon",GP:"mon",GR:"mon",GT:"sun",GU:"sun",HK:"sun",HN:"sun",HR:"mon",HU:"mon",ID:"sun",IE:"sun",IL:"sun",IN:"sun",IQ:"sat",IR:"sat",IS:"mon",IT:"mon",JM:"sun",JO:"sat",JP:"sun",KE:"sun",KG:"mon",KH:"sun",KR:"sun",KW:"sat",KZ:"mon",LA:"sun",LB:"mon",LI:"mon",LK:"mon",LT:"mon",LU:"mon",LV:"mon",LY:"sat",MA:"sat",MC:"mon",MD:"mon",ME:"mon",MH:"sun",MK:"mon",MM:"sun",MN:"mon",MO:"sun",MQ:"mon",MT:"sun",MV:"fri",MX:"sun",MY:"mon",MZ:"sun",NI:"sun",NL:"mon",NO:"mon",NP:"sun",NZ:"sun",OM:"sat",PA:"sun",PE:"sun",PH:"sun",PK:"sun",PL:"mon",PR:"sun",PT:"mon",PY:"sun",QA:"sat",RE:"mon",RO:"mon",RS:"mon",RU:"mon",SA:"sun",SD:"sat",SE:"mon",SG:"sun",SI:"mon",SK:"mon",SM:"mon",SV:"sun",SY:"sat",TH:"sun",TJ:"mon",TM:"mon",TN:"sun",TR:"mon",TT:"sun",TW:"sun",UA:"mon",UM:"sun",US:"sun",UY:"mon",UZ:"mon",VA:"mon",VE:"sun",VI:"sun",VN:"mon",WS:"sun",XK:"mon",YE:"sun",ZA:"sun",ZW:"sun"},"firstDay-alt-variant":{GB:"sun"},weekendStart:{"001":"sat",AE:"fri",AF:"thu",BH:"fri",DZ:"thu",EG:"fri",IL:"fri",IN:"sun",IQ:"fri",IR:"thu",JO:"fri",KW:"fri",LY:"fri",MA:"fri",OM:"thu",QA:"fri",SA:"fri",SD:"fri",SY:"fri",TN:"fri",YE:"fri"},weekendEnd:{"001":"sun",AE:"sat",AF:"fri",BH:"sat",DZ:"fri",EG:"sat",IL:"sat",IQ:"sat",IR:"fri",JO:"sat",KW:"sat",LY:"sat",MA:"sat",OM:"fri",QA:"sat",SA:"sat",SD:"sat",SY:"sat",TN:"sat",YE:"sat"}}}),Kc=L({ar:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"يناير",2:"فبراير",3:"مارس",4:"أبريل",5:"مايو",6:"يونيو",7:"يوليو",8:"أغسطس",9:"سبتمبر",10:"أكتوبر",11:"نوفمبر",12:"ديسمبر"},narrow:{1:"ي",2:"ف",3:"م",4:"أ",5:"و",6:"ن",7:"ل",8:"غ",9:"س",10:"ك",11:"ب",12:"د"},wide:{1:"يناير",2:"فبراير",3:"مارس",4:"أبريل",5:"مايو",6:"يونيو",7:"يوليو",8:"أغسطس",9:"سبتمبر",10:"أكتوبر",11:"نوفمبر",12:"ديسمبر"}},"stand-alone":{abbreviated:{1:"يناير",2:"فبراير",3:"مارس",4:"أبريل",5:"مايو",6:"يونيو",7:"يوليو",8:"أغسطس",9:"سبتمبر",10:"أكتوبر",11:"نوفمبر",12:"ديسمبر"},narrow:{1:"ي",2:"ف",3:"م",4:"أ",5:"و",6:"ن",7:"ل",8:"غ",9:"س",10:"ك",11:"ب",12:"د"},wide:{1:"يناير",2:"فبراير",3:"مارس",4:"أبريل",5:"مايو",6:"يونيو",7:"يوليو",8:"أغسطس",9:"سبتمبر",10:"أكتوبر",11:"نوفمبر",12:"ديسمبر"}}},days:{format:{abbreviated:{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"},narrow:{sun:"ح",mon:"ن",tue:"ث",wed:"ر",thu:"خ",fri:"ج",sat:"س"},"short":{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"},wide:{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"}},"stand-alone":{abbreviated:{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"},narrow:{sun:"ح",mon:"ن",tue:"ث",wed:"ر",thu:"خ",fri:"ج",sat:"س"},"short":{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"},wide:{sun:"الأحد",mon:"الاثنين",tue:"الثلاثاء",wed:"الأربعاء",thu:"الخميس",fri:"الجمعة",sat:"السبت"}}},quarters:{format:{abbreviated:{1:"الربع الأول",2:"الربع الثاني",3:"الربع الثالث",4:"الربع الرابع"},narrow:{1:"١",2:"٢",3:"٣",4:"٤"},wide:{1:"الربع الأول",2:"الربع الثاني",3:"الربع الثالث",4:"الربع الرابع"}},"stand-alone":{abbreviated:{1:"الربع الأول",2:"الربع الثاني",3:"الربع الثالث",4:"الربع الرابع"},narrow:{1:"١",2:"٢",3:"٣",4:"٤"},wide:{1:"الربع الأول",2:"الربع الثاني",3:"الربع الثالث",4:"الربع الرابع"}}},dayPeriods:{format:{abbreviated:{am:"ص",pm:"م"},narrow:{am:"ص",pm:"م"},wide:{am:"ص",pm:"م"}},"stand-alone":{abbreviated:{am:"ص",pm:"م"},narrow:{am:"ص",pm:"م"},wide:{am:"ص",pm:"م"}}},eras:{eraNames:{0:"قبل الميلاد",1:"ميلادي","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"ق.م",1:"م","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"ق.م",1:"م","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE، d MMMM، y","long":"d MMMM، y",medium:"dd‏/MM‏/y","short":"d‏/M‏/y"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E، d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM، y G",GyMMMEd:"E، d MMM، y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/‏M",MEd:"E، d/M",MMdd:"dd‏/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E، d MMM",MMMMd:"d MMMM",MMMMEd:"E، d MMMM",ms:"mm:ss",y:"y",yM:"M‏/y",yMd:"d‏/M‏/y",yMEd:"E، d/‏M/‏y",yMM:"MM‏/y",yMMM:"MMM y",yMMMd:"d MMM، y",yMMMEd:"E، d MMM، y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"M/d – M/d",M:"M/d – M/d"},MEd:{d:"E، d/‏M –‏ E، d/‏M",M:"E، d/‏M – E، d/‏M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E، d – E، d MMM",M:"E، d MMM – E، d MMM"},MMMM:{M:"LLLL–LLLL"},y:{y:"y–y"},yM:{M:"M‏/y – M‏/y",y:"M‏/y – M‏/y"},yMd:{d:"d‏/M‏/y – d‏/M‏/y",M:"d‏/M‏/y – d‏/M‏/y",y:"d‏/M‏/y – d‏/M‏/y"},yMEd:{d:"E، dd‏/MM‏/y – E، dd‏/MM‏/y",M:"E، d‏/M‏/y – E، d‏/M‏/y",y:"E، d‏/M‏/y – E، d‏/M‏/y"},yMMM:{M:"MMM – MMM، y",y:"MMM، y – MMM، y"},yMMMd:{d:"d–d MMM، y",M:"d MMM – d MMM، y",y:"d MMM، y – d MMM، y"},yMMMEd:{d:"E، d – E، d MMM، y",M:"E، d MMM – E، d MMM، y",y:"E، d MMM، y – E، d MMM، y"},yMMMM:{M:"MMMM – MMMM، y",y:"MMMM، y – MMMM، y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"جرينتش{0}",gmtZeroFormat:"جرينتش",regionFormat:"توقيت {0}","regionFormat-type-daylight":"توقيت {0} الصيفي","regionFormat-type-standard":"توقيت {0} الرسمي",fallbackFormat:"{1} ({0})"}}},ca:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"gen.",2:"feb.",3:"març",4:"abr.",5:"maig",6:"juny",7:"jul.",8:"ag.",9:"set.",10:"oct.",11:"nov.",12:"des."},narrow:{1:"GN",2:"FB",3:"MÇ",4:"AB",5:"MG",6:"JN",7:"JL",8:"AG",9:"ST",10:"OC",11:"NV",12:"DS"},wide:{1:"gener",2:"febrer",3:"març",4:"abril",5:"maig",6:"juny",7:"juliol",8:"agost",9:"setembre",10:"octubre",11:"novembre",12:"desembre"}},"stand-alone":{abbreviated:{1:"gen.",2:"feb.",3:"març",4:"abr.",5:"maig",6:"juny",7:"jul.",8:"ag.",9:"set.",10:"oct.",11:"nov.",12:"des."},narrow:{1:"GN",2:"FB",3:"MÇ",4:"AB",5:"MG",6:"JN",7:"JL",8:"AG",9:"ST",10:"OC",11:"NV",12:"DS"},wide:{1:"gener",2:"febrer",3:"març",4:"abril",5:"maig",6:"juny",7:"juliol",8:"agost",9:"setembre",10:"octubre",11:"novembre",12:"desembre"}}},days:{format:{abbreviated:{sun:"dg.",mon:"dl.",tue:"dt.",wed:"dc.",thu:"dj.",fri:"dv.",sat:"ds."},narrow:{sun:"dg",mon:"dl",tue:"dt",wed:"dc",thu:"dj",fri:"dv",sat:"ds"},"short":{sun:"dg.",mon:"dl.",tue:"dt.",wed:"dc.",thu:"dj.",fri:"dv.",sat:"ds."},wide:{sun:"diumenge",mon:"dilluns",tue:"dimarts",wed:"dimecres",thu:"dijous",fri:"divendres",sat:"dissabte"}},"stand-alone":{abbreviated:{sun:"dg.",mon:"dl.",tue:"dt.",wed:"dc.",thu:"dj.",fri:"dv.",sat:"ds."},narrow:{sun:"dg",mon:"dl",tue:"dt",wed:"dc",thu:"dj",fri:"dv",sat:"ds"},"short":{sun:"dg.",mon:"dl.",tue:"dm.",wed:"dc.",thu:"dj.",fri:"dv.",sat:"ds."},wide:{sun:"diumenge",mon:"dilluns",tue:"dimarts",wed:"dimecres",thu:"dijous",fri:"divendres",sat:"dissabte"}}},quarters:{format:{abbreviated:{1:"1T",2:"2T",3:"3T",4:"4T"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1r trimestre",2:"2n trimestre",3:"3r trimestre",4:"4t trimestre"}},"stand-alone":{abbreviated:{1:"1T",2:"2T",3:"3T",4:"4T"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1r trimestre",2:"2n trimestre",3:"3r trimestre",4:"4t trimestre"}}},dayPeriods:{format:{abbreviated:{am:"a. m.",pm:"p. m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a. m.",pm:"p. m."}},"stand-alone":{abbreviated:{am:"a. m.",pm:"p. m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a. m.",pm:"p. m."}}},eras:{eraNames:{0:"abans de Crist",1:"després de Crist","0-alt-variant":"a. de la n. e.","1-alt-variant":"de la n. e."},eraAbbr:{0:"aC",1:"dC","0-alt-variant":"a. de la n. e.","1-alt-variant":"de la n.e."},eraNarrow:{0:"aC",1:"dC","0-alt-variant":"a. de la n. e.","1-alt-variant":"de la n.e."}},dateFormats:{full:"EEEE, d MMMM 'de' y","long":"d MMMM 'de' y",medium:"dd/MM/y","short":"d/M/yy"},timeFormats:{full:"H.mm.ss zzzz","long":"H.mm.ss z",medium:"H.mm.ss","short":"H.mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E H:mm",Ehms:"E h:mm:ss a",EHms:"E H:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM, y G",GyMMMM:"LLLL 'de' y G",h:"h a",H:"H",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",MMMMEd:"E d MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E, d/M/y",yMMM:"LLL y",yMMMd:"d MMM y",yMMMEd:"E, d MMM, y",yMMMM:"LLLL 'de' y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"H-H"},hm:{a:"h.mm a -h.mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH.mm-HH.mm",m:"HH.mm-HH.mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm–h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH.mm-HH.mm v",m:"HH.mm-HH.mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"H-H v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E dd/MM - E dd/MM",M:"E dd/MM - E dd/MM"},MMM:{M:"LLL-LLL"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E d - E d MMM",M:"E d MMM - E d MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E dd/MM/y - E dd/MM/y",M:"E dd/MM/y - E dd/MM/y",y:"E dd/MM/y - E dd/MM/y"},yMMM:{M:"LLL-LLL 'de' y",y:"LLL 'de' y - LLL 'de' y"},yMMMd:{d:"d-d MMM 'de' y",M:"d MMM - d MMM 'de' y",y:"d MMM 'de' y - d MMM 'de' y"},yMMMEd:{d:"E d - E d MMM 'de' y",M:"E d MMM - E d MMM 'de' y",y:"E d MMM 'de' y - E d MMM 'de' y"},yMMMM:{M:"LLLL-LLLL 'de' y",y:"LLLL 'de' y - LLLL 'de' y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Hora de: {0}","regionFormat-type-daylight":"Horari d'estiu, {0}","regionFormat-type-standard":"Hora estàndard, {0}",fallbackFormat:"{1} ({0})"}}},cs:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"led",2:"úno",3:"bře",4:"dub",5:"kvě",6:"čvn",7:"čvc",8:"srp",9:"zář",10:"říj",11:"lis",12:"pro"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"ledna",2:"února",3:"března",4:"dubna",5:"května",6:"června",7:"července",8:"srpna",9:"září",10:"října",11:"listopadu",12:"prosince"}},"stand-alone":{abbreviated:{1:"led",2:"úno",3:"bře",4:"dub",5:"kvě",6:"čvn",7:"čvc",8:"srp",9:"zář",10:"říj",11:"lis",12:"pro"},narrow:{1:"l",2:"ú",3:"b",4:"d",5:"k",6:"č",7:"č",8:"s",9:"z",10:"ř",11:"l",12:"p"},wide:{1:"leden",2:"únor",3:"březen",4:"duben",5:"květen",6:"červen",7:"červenec",8:"srpen",9:"září",10:"říjen",11:"listopad",12:"prosinec"}}},days:{format:{abbreviated:{sun:"ne",mon:"po",tue:"út",wed:"st",thu:"čt",fri:"pá",sat:"so"},narrow:{sun:"N",mon:"P",tue:"Ú",wed:"S",thu:"Č",fri:"P",sat:"S"},"short":{sun:"ne",mon:"po",tue:"út",wed:"st",thu:"čt",fri:"pá",sat:"so"},wide:{sun:"neděle",mon:"pondělí",tue:"úterý",wed:"středa",thu:"čtvrtek",fri:"pátek",sat:"sobota"}},"stand-alone":{abbreviated:{sun:"ne",mon:"po",tue:"út",wed:"st",thu:"čt",fri:"pá",sat:"so"},narrow:{sun:"N",mon:"P",tue:"Ú",wed:"S",thu:"Č",fri:"P",sat:"S"},"short":{sun:"ne",mon:"po",tue:"út",wed:"st",thu:"čt",fri:"pá",sat:"so"},wide:{sun:"neděle",mon:"pondělí",tue:"úterý",wed:"středa",thu:"čtvrtek",fri:"pátek",sat:"sobota"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. čtvrtletí",2:"2. čtvrtletí",3:"3. čtvrtletí",4:"4. čtvrtletí"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. čtvrtletí",2:"2. čtvrtletí",3:"3. čtvrtletí",4:"4. čtvrtletí"}}},dayPeriods:{format:{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"př. n. l.",1:"n. l.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"př. n. l.",1:"n. l.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"př.n.l.",1:"n.l.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE d. MMMM y","long":"d. MMMM y",medium:"d. M. y","short":"dd.MM.yy"},timeFormats:{full:"H:mm:ss zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d.",Ed:"E d.",Ehm:"E h:mm a",EHm:"E H:mm",Ehms:"E h:mm:ss a",EHms:"E H:mm:ss",Gy:"y G",GyMMM:"LLLL y G",GyMMMd:"d. M. y G",GyMMMEd:"E d. M. y G",GyMMMMd:"d. MMMM y G",GyMMMMEd:"E d. MMMM y G",h:"h a",H:"H",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L",Md:"d. M.",MEd:"E d. M.",MMM:"LLL",MMMd:"d. M.",MMMEd:"E d. M.",MMMMd:"d. MMMM",MMMMEd:"E d. MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d. M. y",yMEd:"E d. M. y",yMMM:"LLLL y",yMMMd:"d. M. y",yMMMEd:"E d. M. y",yMMMM:"LLLL y",yMMMMd:"d. MMMM y",yMMMMEd:"E d. MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d.–d."},h:{a:"h a – h a",h:"h–h a"},H:{H:"H–H"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"H:mm–H:mm",m:"H:mm–H:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"H:mm–H:mm v",m:"H:mm–H:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"H–H v"},M:{M:"M–M"},Md:{d:"d. M. – d. M.",M:"d. M. – d. M."},MEd:{d:"E d. M. – E d. M.",M:"E d. M. – E d. M."},MMM:{M:"MMM–MMM"},MMMd:{d:"d.–d. M.",M:"d. M. – d. M."},MMMEd:{d:"E d. M. – E d. M.",M:"E d. M. – E d. M."},y:{y:"y–y"},yM:{M:"M/y – M/y",y:"M/y – M/y"},yMd:{d:"dd.MM.y – dd.MM.y",M:"dd.MM.y – dd.MM.y",y:"dd.MM.y – dd.MM.y"},yMEd:{d:"E dd.MM.y – E dd.MM.y",M:"E dd.MM.y – E dd.MM.y",y:"E dd.MM.y – E dd.MM.y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d.–d. M. y",M:"d. M. – d. M. y",y:"d. M. y – d. M. y"},yMMMEd:{d:"E d. M. – E d. M. y",M:"E d. M. – E d. M. y",y:"E d. M. y – E d. M. y"},yMMMM:{M:"LLLL–LLLL y",y:"LLLL y – LLLL y"}}}}},timeZoneNames:{hourFormat:"+H:mm;-H:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Časové pásmo {0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},da:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"feb.",3:"mar.",4:"apr.",5:"maj",6:"jun.",7:"jul.",8:"aug.",9:"sep.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januar",2:"februar",3:"marts",4:"april",5:"maj",6:"juni",7:"juli",8:"august",9:"september",10:"oktober",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"maj",6:"jun",7:"jul",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januar",2:"februar",3:"marts",4:"april",5:"maj",6:"juni",7:"juli",8:"august",9:"september",10:"oktober",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"søn.",mon:"man.",tue:"tir.",wed:"ons.",thu:"tor.",fri:"fre.",sat:"lør."},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sø",mon:"ma",tue:"ti",wed:"on",thu:"to",fri:"fr",sat:"lø"},wide:{sun:"søndag",mon:"mandag",tue:"tirsdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lørdag"}},"stand-alone":{abbreviated:{sun:"søn",mon:"man",tue:"tir",wed:"ons",thu:"tor",fri:"fre",sat:"lør"},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sø",mon:"ma",tue:"ti",wed:"on",thu:"to",fri:"fr",sat:"lø"},wide:{sun:"søndag",mon:"mandag",tue:"tirsdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lørdag"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}},"stand-alone":{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}}},dayPeriods:{format:{abbreviated:{am:"AM",noon:"middag",pm:"PM"},narrow:{am:"AM",noon:"middag",pm:"PM"},wide:{am:"AM",noon:"middag",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",noon:"middag",pm:"PM"},narrow:{am:"AM",noon:"middag",pm:"PM"},wide:{am:"formiddag",noon:"middag",pm:"eftermiddag"}}},eras:{eraNames:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"før vesterlandsk tidsregning","1-alt-variant":"vesterlandsk tidsregning"},eraAbbr:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"f.v.t.","1-alt-variant":"v.t."},eraNarrow:{0:"fKr",1:"eKr","0-alt-variant":"fvt","1-alt-variant":"vt"}},dateFormats:{full:"EEEE 'den' d. MMMM y","long":"d. MMM y",medium:"dd/MM/y","short":"dd/MM/yy"},timeFormats:{full:"HH.mm.ss zzzz","long":"HH.mm.ss z",medium:"HH.mm.ss","short":"HH.mm"},dateTimeFormats:{full:"{1} 'kl.' {0}","long":"{1} 'kl.' {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d.",Ed:"E 'd'. d.",Ehm:"E h.mm a",EHm:"E HH.mm",Ehms:"E h.mm.ss a",EHms:"E HH.mm.ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d. MMM y G",GyMMMEd:"E d. MMM y G",h:"h a",H:"HH",hm:"h.mm a",Hm:"HH.mm",hms:"h.mm.ss a",Hms:"HH.mm.ss",M:"M",Md:"d/M",MEd:"E d/M",MMdd:"dd/MM",MMM:"MMM",MMMd:"d. MMM",MMMEd:"E d. MMM",MMMMEd:"E d. MMMM",ms:"mm.ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E d/M/y",yMM:"MM/y",yMMM:"MMM y",yMMMd:"d. MMM y",yMMMEd:"E d. MMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d.–d."},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h.mm a – h.mm a",h:"h.mm–h.mm a",m:"h.mm–h.mm a"},Hm:{H:"HH.mm–HH.mm",m:"HH.mm–HH.mm"},hmv:{a:"h.mm a – h.mm a v",h:"h.mm–h.mm a v",m:"h.mm–h.mm a v"},Hmv:{H:"HH.mm–HH.mm v",m:"HH.mm–HH.mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"dd/MM – dd/MM",M:"dd/MM – dd/MM"},MEd:{d:"E dd/MM – E dd/MM",M:"E dd/MM – E dd/MM"},MMM:{M:"MMM–MMM"},MMMd:{d:"d.–d. MMM",M:"d. MMM – d. MMM"},MMMEd:{d:"E 'den' d. – E 'den' d. MMM",M:"E 'den' d. MMM – E 'den' d. MMM"},y:{y:"y–y"},yM:{M:"MM/y – MM/y",y:"MM/y – MM/y"},yMd:{d:"dd/MM/y – dd/MM/y",M:"dd/MM/y – dd/MM/y",y:"dd/MM/y – dd/MM/y"},yMEd:{d:"E dd/MM/y – E dd/MM/y",M:"E dd/MM/y – E dd/MM/y",y:"E dd/MM/y – E dd/MM/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d.–d. MMM y",M:"d. MMM – d. MMM y",y:"d. MMM y – d. MMM y"},yMMMEd:{d:"E 'den' d. – E 'den' d. MMM y",M:"E 'den' d. MMM – E 'den' d. MMM y",y:"E 'den' d. MMM y – E 'den' d. MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH.mm;-HH.mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Tidszone for {0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},de:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan.",2:"Feb.",3:"März",4:"Apr.",5:"Mai",6:"Juni",7:"Juli",8:"Aug.",9:"Sep.",10:"Okt.",11:"Nov.",12:"Dez."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Januar",2:"Februar",3:"März",4:"April",5:"Mai",6:"Juni",7:"Juli",8:"August",9:"September",10:"Oktober",11:"November",12:"Dezember"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mär",4:"Apr",5:"Mai",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Okt",11:"Nov",12:"Dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Januar",2:"Februar",3:"März",4:"April",5:"Mai",6:"Juni",7:"Juli",8:"August",9:"September",10:"Oktober",11:"November",12:"Dezember"}}},days:{format:{abbreviated:{sun:"So.",mon:"Mo.",tue:"Di.",wed:"Mi.",thu:"Do.",fri:"Fr.",sat:"Sa."},narrow:{sun:"S",mon:"M",tue:"D",wed:"M",thu:"D",fri:"F",sat:"S"},"short":{sun:"So.",mon:"Mo.",tue:"Di.",wed:"Mi.",thu:"Do.",fri:"Fr.",sat:"Sa."},wide:{sun:"Sonntag",mon:"Montag",tue:"Dienstag",wed:"Mittwoch",thu:"Donnerstag",fri:"Freitag",sat:"Samstag"}},"stand-alone":{abbreviated:{sun:"So",mon:"Mo",tue:"Di",wed:"Mi",thu:"Do",fri:"Fr",sat:"Sa"},narrow:{sun:"S",mon:"M",tue:"D",wed:"M",thu:"D",fri:"F",sat:"S"},"short":{sun:"So.",mon:"Mo.",tue:"Di.",wed:"Mi.",thu:"Do.",fri:"Fr.",sat:"Sa."},wide:{sun:"Sonntag",mon:"Montag",tue:"Dienstag",wed:"Mittwoch",thu:"Donnerstag",fri:"Freitag",sat:"Samstag"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. Quartal",2:"2. Quartal",3:"3. Quartal",4:"4. Quartal"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. Quartal",2:"2. Quartal",3:"3. Quartal",4:"4. Quartal"}}},dayPeriods:{format:{abbreviated:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."},narrow:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."},wide:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."}},"stand-alone":{abbreviated:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."},narrow:{afternoon:"nachmittags",am:"vorm.",earlyMorning:"morgens",evening:"abends",morning:"vormittags",night:"nachts",noon:"Mittag",pm:"nachm."},wide:{afternoon:"Nachmittag",am:"vorm.",earlyMorning:"Morgen",evening:"Abend",morning:"Vormittag",night:"Nacht",noon:"Mittag",pm:"nachm."}}},eras:{eraNames:{0:"v. Chr.",1:"n. Chr.","0-alt-variant":"vor der gewöhnlichen Zeitrechnung","1-alt-variant":"der gewöhnlichen Zeitrechnung"},eraAbbr:{0:"v. Chr.",1:"n. Chr.","0-alt-variant":"v. u. Z.","1-alt-variant":"u. Z."},eraNarrow:{0:"v. Chr.",1:"n. Chr.","0-alt-variant":"vdZ","1-alt-variant":"dZ"}},dateFormats:{full:"EEEE, d. MMMM y","long":"d. MMMM y",medium:"dd.MM.y","short":"dd.MM.yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E, d.",Ehm:"E h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d. MMM y G",GyMMMEd:"E, d. MMM y G",h:"h a",H:"HH 'Uhr'",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d.M.",MEd:"E, d.M.",MMd:"d.MM.",MMdd:"dd.MM.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"E, d. MMM",MMMMdd:"dd. MMMM",MMMMEd:"E, d. MMMM",ms:"mm:ss",y:"y",yM:"M.y",yMd:"d.M.y",yMEd:"E, d.M.y",yMM:"MM.y",yMMdd:"dd.MM.y",yMMM:"MMM y",yMMMd:"d. MMM y",yMMMEd:"E, d. MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d.-d."},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH 'Uhr'"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH 'Uhr' v"},M:{M:"M.-M."},Md:{d:"dd.MM. - dd.MM.",M:"dd.MM. - dd.MM."},MEd:{d:"E, dd.MM. - E, dd.MM.",M:"E, dd.MM. - E, dd.MM."},MMM:{M:"MMM-MMM"},MMMd:{d:"d.-d. MMM",M:"d. MMM - d. MMM"},MMMEd:{d:"E, d. - E, d. MMM",M:"E, d. MMM - E, d. MMM"},MMMM:{M:"LLLL-LLLL"},y:{y:"y-y"},yM:{M:"MM.y - MM.y",y:"MM.y - MM.y"},yMd:{d:"dd.MM.y - dd.MM.y",M:"dd.MM.y - dd.MM.y",y:"dd.MM.y - dd.MM.y"},yMEd:{d:"E, dd.MM.y - E, dd.MM.y",M:"E, dd.MM.y - E, dd.MM.y",y:"E, dd.MM.y - E, dd.MM.y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d.-d. MMM y",M:"d. MMM - d. MMM y",y:"d. MMM y - d. MMM y"},yMMMEd:{d:"E, d. - E, d. MMM y",M:"E, d. MMM - E, d. MMM y",y:"E, d. MMM y - E, d. MMM y"},yMMMM:{M:"MMMM-MMMM y",y:"MMMM y - MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Zeit","regionFormat-type-daylight":"{0} Sommerzeit","regionFormat-type-standard":"{0} Normalzeit",fallbackFormat:"{1} ({0})"}}},el:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Ιαν",2:"Φεβ",3:"Μαρ",4:"Απρ",5:"Μαΐ",6:"Ιουν",7:"Ιουλ",8:"Αυγ",9:"Σεπ",10:"Οκτ",11:"Νοε",12:"Δεκ"},narrow:{1:"Ι",2:"Φ",3:"Μ",4:"Α",5:"Μ",6:"Ι",7:"Ι",8:"Α",9:"Σ",10:"Ο",11:"Ν",12:"Δ"},wide:{1:"Ιανουαρίου",2:"Φεβρουαρίου",3:"Μαρτίου",4:"Απριλίου",5:"Μαΐου",6:"Ιουνίου",7:"Ιουλίου",8:"Αυγούστου",9:"Σεπτεμβρίου",10:"Οκτωβρίου",11:"Νοεμβρίου",12:"Δεκεμβρίου"}},"stand-alone":{abbreviated:{1:"Ιαν",2:"Φεβ",3:"Μάρ",4:"Απρ",5:"Μάι",6:"Ιούν",7:"Ιούλ",8:"Αύγ",9:"Σεπ",10:"Οκτ",11:"Νοέ",12:"Δεκ"},narrow:{1:"Ι",2:"Φ",3:"Μ",4:"Α",5:"Μ",6:"Ι",7:"Ι",8:"Α",9:"Σ",10:"Ο",11:"Ν",12:"Δ"},wide:{1:"Ιανουάριος",2:"Φεβρουάριος",3:"Μάρτιος",4:"Απρίλιος",5:"Μάιος",6:"Ιούνιος",7:"Ιούλιος",8:"Αύγουστος",9:"Σεπτέμβριος",10:"Οκτώβριος",11:"Νοέμβριος",12:"Δεκέμβριος"}}},days:{format:{abbreviated:{sun:"Κυρ",mon:"Δευ",tue:"Τρί",wed:"Τετ",thu:"Πέμ",fri:"Παρ",sat:"Σάβ"},narrow:{sun:"Κ",mon:"Δ",tue:"Τ",wed:"Τ",thu:"Π",fri:"Π",sat:"Σ"},"short":{sun:"Κυ",mon:"Δε",tue:"Τρ",wed:"Τε",thu:"Πέ",fri:"Πα",sat:"Σά"},wide:{sun:"Κυριακή",mon:"Δευτέρα",tue:"Τρίτη",wed:"Τετάρτη",thu:"Πέμπτη",fri:"Παρασκευή",sat:"Σάββατο"}},"stand-alone":{abbreviated:{sun:"Κυρ",mon:"Δευ",tue:"Τρί",wed:"Τετ",thu:"Πέμ",fri:"Παρ",sat:"Σάβ"},narrow:{sun:"Κ",mon:"Δ",tue:"Τ",wed:"Τ",thu:"Π",fri:"Π",sat:"Σ"},"short":{sun:"Κυ",mon:"Δε",tue:"Τρ",wed:"Τε",thu:"Πέ",fri:"Πα",sat:"Σά"},wide:{sun:"Κυριακή",mon:"Δευτέρα",tue:"Τρίτη",wed:"Τετάρτη",thu:"Πέμπτη",fri:"Παρασκευή",sat:"Σάββατο"}}},quarters:{format:{abbreviated:{1:"Τ1",2:"Τ2",3:"Τ3",4:"Τ4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1ο τρίμηνο",2:"2ο τρίμηνο",3:"3ο τρίμηνο",4:"4ο τρίμηνο"}},"stand-alone":{abbreviated:{1:"Τ1",2:"Τ2",3:"Τ3",4:"Τ4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1ο τρίμηνο",2:"2ο τρίμηνο",3:"3ο τρίμηνο",4:"4ο τρίμηνο"}}},dayPeriods:{format:{abbreviated:{am:"π.μ.",pm:"μ.μ."},narrow:{am:"π.μ.",pm:"μ.μ."},wide:{am:"π.μ.",pm:"μ.μ."}},"stand-alone":{abbreviated:{am:"π.μ.",pm:"μ.μ."},narrow:{am:"π.μ.",pm:"μ.μ."},wide:{am:"π.μ.",pm:"μ.μ."}}},eras:{eraNames:{0:"π.Χ.",1:"μ.Χ.","0-alt-variant":"π.Κ.Χ.","1-alt-variant":"ΚΧ"},eraAbbr:{0:"π.Χ.",1:"μ.Χ.","0-alt-variant":"π.Κ.Χ.","1-alt-variant":"ΚΧ"},eraNarrow:{0:"π.Χ.",1:"μ.Χ.","0-alt-variant":"π.Κ.Χ.","1-alt-variant":"ΚΧ"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"d/M/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} - {0}","long":"{1} - {0}",medium:"{1} - {0}","short":"{1} - {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",HHmm:"HH:mm",HHmmss:"HH:mm:ss",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E, d/M/y",yMMM:"LLL y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"LLLL y",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH–HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E, dd/MM - E, dd/MM",M:"E, dd/MM - E, dd/MM"},MMM:{M:"LLL-LLL"},MMMd:{d:"dd-dd MMM",M:"dd MMM - dd MMM"},MMMEd:{d:"E, dd - E, dd MMM",M:"E, dd MMM - E, dd MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E, dd/MM/y - E, dd/MM/y",M:"E, dd/MM/y - E, dd/MM/y",y:"E, dd/MM/y - E, dd/MM/y"},yMMM:{M:"LLL-LLL y",y:"MMM y - MMM y"},yMMMd:{d:"dd-dd MMM y",M:"dd MMM - dd MMM y",y:"dd MMM y - dd MMM y"},yMMMEd:{d:"E, dd MMM - E, dd MMM y",M:"E, dd MMM - E, dd MMM y",y:"E, dd MMM y - E, dd MMM y"},yMMMM:{M:"LLLL-LLLL y",y:"LLLL y - LLLL y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Ώρα ({0})","regionFormat-type-daylight":"Θερινή ώρα ({0})","regionFormat-type-standard":"Χειμερινή ώρα ({0})",fallbackFormat:"[{1} ({0})]"}}},en:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, MMMM d, y","long":"MMMM d, y",medium:"MMM d, y","short":"M/d/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} 'at' {0}","long":"{1} 'at' {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"d E",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"MMM d, y G",GyMMMEd:"E, MMM d, y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"M/d",MEd:"E, M/d",MMM:"LLL",MMMd:"MMM d",MMMEd:"E, MMM d",ms:"mm:ss",y:"y",yM:"M/y",yMd:"M/d/y",yMEd:"E, M/d/y",yMMM:"MMM y",yMMMd:"MMM d, y",yMMMEd:"E, MMM d, y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d – d"},h:{a:"h a – h a",h:"h – h a"},H:{H:"HH – HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm – h:mm a",m:"h:mm – h:mm a"},Hm:{H:"HH:mm – HH:mm",m:"HH:mm – HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm – h:mm a v",m:"h:mm – h:mm a v"},Hmv:{H:"HH:mm – HH:mm v",m:"HH:mm – HH:mm v"},hv:{a:"h a – h a v",h:"h – h a v"},Hv:{H:"HH – HH v"},M:{M:"M – M"},Md:{d:"M/d – M/d",M:"M/d – M/d"},MEd:{d:"E, M/d – E, M/d",M:"E, M/d – E, M/d"},MMM:{M:"MMM – MMM"},MMMd:{d:"MMM d – d",M:"MMM d – MMM d"},MMMEd:{d:"E, MMM d – E, MMM d",M:"E, MMM d – E, MMM d"},y:{y:"y – y"},yM:{M:"M/y – M/y",y:"M/y – M/y"},yMd:{d:"M/d/y – M/d/y",M:"M/d/y – M/d/y",y:"M/d/y – M/d/y"},yMEd:{d:"E, M/d/y – E, M/d/y",M:"E, M/d/y – E, M/d/y",y:"E, M/d/y – E, M/d/y"},yMMM:{M:"MMM – MMM y",y:"MMM y – MMM y"},yMMMd:{d:"MMM d – d, y",M:"MMM d – MMM d, y",y:"MMM d, y – MMM d, y"},yMMMEd:{d:"E, MMM d – E, MMM d, y",M:"E, MMM d – E, MMM d, y",y:"E, MMM d, y – E, MMM d, y"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-AU":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"d/MM/y"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"LL",Md:"dd/MM",MEd:"E dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"d/M/y",yMEd:"E, d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH–HH v"},M:{M:"M-M"},Md:{d:"d/MM - d/MM",M:"d/MM - d/MM"},MEd:{d:"E, d/MM - E, d/MM",M:"E, d/MM - E, d/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E, d - E, d MMM",M:"E, d MMM - E, d MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"d/MM/y - d/MM/y",M:"d/MM/y - d/MM/y",y:"d/MM/y - d/MM/y"},yMEd:{d:"E, d/MM/y - E, d/MM/y",M:"E, d/MM/y - E, d/MM/y",y:"E, d/MM/y - E, d/MM/y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E, d - E, d MMM y",M:"E, d MMM - E, d MMM y",y:"E, d MMM y - E, d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-CA":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"AM","am-alt-variant":"a.m.",noon:"noon",pm:"PM","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, MMMM d, y","long":"MMMM d, y",medium:"MMM d, y","short":"M/d/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} 'at' {0}","long":"{1} 'at' {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"d E",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"MMM d, y G",GyMMMEd:"E, MMM d, y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"M/d",MEd:"E, M/d",MMM:"LLL",MMMd:"MMM d",MMMEd:"E, MMM d",ms:"mm:ss",y:"y",yM:"M/y",yMd:"M/d/y",yMEd:"E, M/d/y",yMMM:"MMM y",yMMMd:"MMM d, y",yMMMEd:"E, MMM d, y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d – d"},h:{a:"h a – h a",h:"h – h a"},H:{H:"HH – HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm – h:mm a",m:"h:mm – h:mm a"},Hm:{H:"HH:mm – HH:mm",m:"HH:mm – HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm – h:mm a v",m:"h:mm – h:mm a v"},Hmv:{H:"HH:mm – HH:mm v",m:"HH:mm – HH:mm v"},hv:{a:"h a – h a v",h:"h – h a v"},Hv:{H:"HH – HH v"},M:{M:"M – M"},Md:{d:"M/d – M/d",M:"M/d – M/d"},MEd:{d:"E, M/d – E, M/d",M:"E, M/d – E, M/d"},MMM:{M:"MMM – MMM"},MMMd:{d:"MMM d – d",M:"MMM d – MMM d"},MMMEd:{d:"E, MMM d – E, MMM d",M:"E, MMM d – E, MMM d"},y:{y:"y – y"},yM:{M:"M/y – M/y",y:"M/y – M/y"},yMd:{d:"M/d/y – M/d/y",M:"M/d/y – M/d/y",y:"M/d/y – M/d/y"},yMEd:{d:"E, M/d/y – E, M/d/y",M:"E, M/d/y – E, M/d/y",y:"E, M/d/y – E, M/d/y"},yMMM:{M:"MMM – MMM y",y:"MMM y – MMM y"},yMMMd:{d:"MMM d – d, y",M:"MMM d – MMM d, y",y:"MMM d, y – MMM d, y"},yMMMEd:{d:"E, MMM d – E, MMM d, y",M:"E, MMM d – E, MMM d, y",y:"E, MMM d, y – E, MMM d, y"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-GB":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd/MM/y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"LL",Md:"dd/MM",MEd:"E dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"dd/MM/y",yMEd:"E, dd/MM/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"dd/MM – dd/MM",M:"dd/MM – dd/MM"},MEd:{d:"E dd/MM – E dd/MM",M:"E dd/MM – E dd/MM"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E d – E d MMM",M:"E d MMM – E d MMM"},y:{y:"y-y"},yM:{M:"MM/y – MM/y",y:"MM/y – MM/y"},yMd:{d:"dd/MM/y – dd/MM/y",M:"dd/MM/y – dd/MM/y",y:"dd/MM/y – dd/MM/y"},yMEd:{d:"E, dd/MM/y – E, dd/MM/y",M:"E, dd/MM/y – E, dd/MM/y",y:"E, dd/MM/y – E, dd/MM/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"E, d – E, d MMM y",M:"E, d MMM – E, d MMM y",y:"E, d MMM y – E, d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-HK":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM, y","long":"d MMMM, y",medium:"d MMM, y","short":"d/M/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"LL",Md:"dd/MM",MEd:"E dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"d/M/y",yMEd:"E, dd/MM/y",yMMM:"MMM y",yMMMd:"d MMM, y",yMMMEd:"E, d MMM, y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"d/M – d/M",M:"d/M – d/M"},MEd:{d:"E, d/M – E, d/M",M:"E, d/M – E, d/M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E, d MMM – E, d MMM",M:"E, d MMM – E, d MMM"},y:{y:"y-y"},yM:{M:"MM/y – MM/y",y:"MM/y – MM/y"},yMd:{d:"d/M/y – d/M/y",M:"d/M/y – d/M/y",y:"d/M/y – d/M/y"},yMEd:{d:"E, d/M/y – E, d/M/y",M:"E, d/M/y – E, d/M/y",y:"E, d/M/y – E, d/M/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM, y",M:"d MMM – d MMM, y",y:"d MMM, y – d MMM, y"},yMMMEd:{d:"E, d MMM – E, d MMM, y",M:"E, d MMM – E, d MMM, y",y:"E, d MMM, y – E, d MMM, y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},"en-IN":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"May",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Oct",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"January",2:"February",3:"March",4:"April",5:"May",6:"June",7:"July",8:"August",9:"September",10:"October",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Su",mon:"Mo",tue:"Tu",wed:"We",thu:"Th",fri:"Fr",sat:"Sa"},wide:{sun:"Sunday",mon:"Monday",tue:"Tuesday",wed:"Wednesday",thu:"Thursday",fri:"Friday",sat:"Saturday"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1st quarter",2:"2nd quarter",3:"3rd quarter",4:"4th quarter"}}},dayPeriods:{format:{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}},"stand-alone":{abbreviated:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."},narrow:{am:"a","am-alt-variant":"a.m.",noon:"n",pm:"p","pm-alt-variant":"p.m."},wide:{am:"am","am-alt-variant":"a.m.",noon:"noon",pm:"pm","pm-alt-variant":"p.m."}}},eras:{eraNames:{0:"Before Christ",1:"Anno Domini","0-alt-variant":"Before Common Era","1-alt-variant":"Common Era"},eraAbbr:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"B",1:"A","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE d MMMM y","long":"d MMMM y",medium:"dd-MMM-y","short":"dd/MM/yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"LL",Md:"dd/MM",MEd:"E dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"d/M/y",yMEd:"E d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM, y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{0} {1}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{0} {1}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH–HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E dd/MM - E dd/MM",M:"E dd/MM - E dd/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E d - E d MMM",M:"E d MMM - E d MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E dd/MM/y - E dd/MM/y",M:"E dd/MM/y - E dd/MM/y",y:"E dd/MM/y - E dd/MM/y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E d - E d MMM y",M:"E d MMM - E d MMM y",y:"E d MMM y - E d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Time","regionFormat-type-daylight":"{0} Daylight Time","regionFormat-type-standard":"{0} Standard Time",fallbackFormat:"{1} ({0})"}}},es:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"ene.",2:"feb.",3:"mar.",4:"abr.",5:"may.",6:"jun.",7:"jul.",8:"ago.",9:"sept.",10:"oct.",11:"nov.",12:"dic."},narrow:{1:"E",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"enero",2:"febrero",3:"marzo",4:"abril",5:"mayo",6:"junio",7:"julio",8:"agosto",9:"septiembre",10:"octubre",11:"noviembre",12:"diciembre"}},"stand-alone":{abbreviated:{1:"Ene.",2:"Feb.",3:"Mar.",4:"Abr.",5:"May.",6:"Jun.",7:"Jul.",8:"Ago.",9:"Sept.",10:"Oct.",11:"Nov.",12:"Dic."},narrow:{1:"E",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Enero",2:"Febrero",3:"Marzo",4:"Abril",5:"Mayo",6:"Junio",7:"Julio",8:"Agosto",9:"Septiembre",10:"Octubre",11:"Noviembre",12:"Diciembre"}}},days:{format:{abbreviated:{sun:"dom.",mon:"lun.",tue:"mar.",wed:"mié.",thu:"jue.",fri:"vie.",sat:"sáb."},narrow:{sun:"D",mon:"L",tue:"M",wed:"X",thu:"J",fri:"V",sat:"S"},"short":{sun:"DO",mon:"LU",tue:"MA",wed:"MI",thu:"JU",fri:"VI",sat:"SA"},wide:{sun:"domingo",mon:"lunes",tue:"martes",wed:"miércoles",thu:"jueves",fri:"viernes",sat:"sábado"}},"stand-alone":{abbreviated:{sun:"Dom.",mon:"Lun.",tue:"Mar.",wed:"Mié.",thu:"Jue.",fri:"Vie.",sat:"Sáb."},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"DO",mon:"LU",tue:"MA",wed:"MI",thu:"JU",fri:"VI",sat:"SA"},wide:{sun:"Domingo",mon:"Lunes",tue:"Martes",wed:"Miércoles",thu:"Jueves",fri:"Viernes",sat:"Sábado"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1T",2:"2T",3:"3T",4:"4T"},wide:{1:"1.er trimestre",2:"2.º trimestre",3:"3.er trimestre",4:"4.º trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1T",2:"2T",3:"3T",4:"4T"},wide:{1:"1.er trimestre",2:"2.º trimestre",3:"3.er trimestre",4:"4.º trimestre"}}},dayPeriods:{format:{abbreviated:{am:"a. m.",pm:"p. m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a. m.",pm:"p. m."}},"stand-alone":{abbreviated:{am:"a. m.",pm:"p. m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a. m.",pm:"p. m."}}},eras:{eraNames:{0:"antes de Cristo",1:"anno Dómini","0-alt-variant":"a. e. c.","1-alt-variant":"e. c."},eraAbbr:{0:"a. C.",1:"d. C.","0-alt-variant":"a. e. c.","1-alt-variant":"e. c."},eraNarrow:{0:"a. C.",1:"d. C.","0-alt-variant":"a. e. c.","1-alt-variant":"e. c."}},dateFormats:{full:"EEEE, d 'de' MMMM 'de' y","long":"d 'de' MMMM 'de' y",medium:"d/M/y","short":"d/M/yy"},timeFormats:{full:"H:mm:ss (zzzz)","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1}, {0}","long":"{1}, {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E, h:mm a",EHm:"E, H:mm",Ehms:"E, h:mm:ss a",EHms:"E, H:mm:ss",Gy:"y G",GyMMM:"MMM 'de' y G",GyMMMd:"d MMM 'de' y G",GyMMMEd:"E, d 'de' MMMM 'de' y G",h:"h a",H:"H",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L",Md:"d/M",MEd:"E, d/M",MMd:"d/M",MMdd:"d/M",MMM:"LLL",MMMd:"d 'de' MMM",MMMdd:"dd-MMM",MMMEd:"E d 'de' MMM",MMMMd:"d 'de' MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"EEE, d/M/y",yMM:"M/y",yMMM:"MMM 'de' y",yMMMd:"d 'de' MMM 'de' y",yMMMEd:"EEE, d 'de' MMMM 'de' y",yMMMM:"MMMM 'de' y",yQQQ:"QQQ y",yQQQQ:"QQQQ 'de' y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}–{1}",d:{d:"d–d"},h:{a:"h a–h a",h:"h–h a"},H:{H:"H–H"},hm:{a:"h:mm a – h:mm a",h:"h:mm – h:mm a",m:"h:mm – h:mm a"},Hm:{H:"H:mm–H:mm",m:"H:mm–H:mm"},hmv:{a:"h:mm a–h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"H:mm–H:mm v",m:"H:mm–H:mm v"},hv:{a:"h a–h a v",h:"h–h a v"},Hv:{H:"H–H v"},M:{M:"M–M"},Md:{d:"d/M–d/M",M:"d/M–d/M"},MEd:{d:"E, d/M–E, d/M",M:"E, d/M–E, d/M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM–d MMM"},MMMEd:{d:"E, d MMM–E, d MMM",M:"E, d MMM–E, d MMM"},y:{y:"y–y"},yM:{M:"M/y–M/y",y:"M/y–M/y"},yMd:{d:"d/M/y–d/M/y",M:"d/M/y–d/M/y",y:"d/M/y–d/M/y"},yMEd:{d:"E, d/M/y–E, d/M/y",M:"E, d/M/y–E, d/M/y",y:"E, d/M/y–E, d/M/y"},yMMM:{M:"MMM–MMM y",y:"MMM y–MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM–d MMM 'de' y",y:"d MMM 'de' y–d MMM 'de' y"},yMMMEd:{d:"E, d MMM–E, d MMM 'de' y",M:"E, d MMM–E, d MMM 'de' y",y:"E, d MMM 'de' y–E, d MMM 'de' y"},yMMMM:{M:"MMMM–MMMM 'de' y",y:"MMMM 'de' y–MMMM 'de' y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Hora de {0}","regionFormat-type-daylight":"horario de verano de {0}","regionFormat-type-standard":"horario estándar de {0}",fallbackFormat:"{1} ({0})"}}},fi:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"tammikuuta",2:"helmikuuta",3:"maaliskuuta",4:"huhtikuuta",5:"toukokuuta",6:"kesäkuuta",7:"heinäkuuta",8:"elokuuta",9:"syyskuuta",10:"lokakuuta",11:"marraskuuta",12:"joulukuuta"},narrow:{1:"T",2:"H",3:"M",4:"H",5:"T",6:"K",7:"H",8:"E",9:"S",10:"L",11:"M",12:"J"},wide:{1:"tammikuuta",2:"helmikuuta",3:"maaliskuuta",4:"huhtikuuta",5:"toukokuuta",6:"kesäkuuta",7:"heinäkuuta",8:"elokuuta",9:"syyskuuta",10:"lokakuuta",11:"marraskuuta",12:"joulukuuta"}},"stand-alone":{abbreviated:{1:"tammi",2:"helmi",3:"maalis",4:"huhti",5:"touko",6:"kesä",7:"heinä",8:"elo",9:"syys",10:"loka",11:"marras",12:"joulu"},narrow:{1:"T",2:"H",3:"M",4:"H",5:"T",6:"K",7:"H",8:"E",9:"S",10:"L",11:"M",12:"J"},wide:{1:"tammikuu",2:"helmikuu",3:"maaliskuu",4:"huhtikuu",5:"toukokuu",6:"kesäkuu",7:"heinäkuu",8:"elokuu",9:"syyskuu",10:"lokakuu",11:"marraskuu",12:"joulukuu"}}},days:{format:{abbreviated:{sun:"su",mon:"ma",tue:"ti",wed:"ke",thu:"to",fri:"pe",sat:"la"},narrow:{sun:"S",mon:"M",tue:"T",wed:"K",thu:"T",fri:"P",sat:"L"},"short":{sun:"su",mon:"ma",tue:"ti",wed:"ke",thu:"to",fri:"pe",sat:"la"},wide:{sun:"sunnuntaina",mon:"maanantaina",tue:"tiistaina",wed:"keskiviikkona",thu:"torstaina",fri:"perjantaina",sat:"lauantaina"}},"stand-alone":{abbreviated:{sun:"su",mon:"ma",tue:"ti",wed:"ke",thu:"to",fri:"pe",sat:"la"},narrow:{sun:"S",mon:"M",tue:"T",wed:"K",thu:"T",fri:"P",sat:"L"},"short":{sun:"su",mon:"ma",tue:"ti",wed:"ke",thu:"to",fri:"pe",sat:"la"},wide:{sun:"sunnuntai",mon:"maanantai",tue:"tiistai",wed:"keskiviikko",thu:"torstai",fri:"perjantai",sat:"lauantai"}}},quarters:{format:{abbreviated:{1:"1. nelj.",2:"2. nelj.",3:"3. nelj.",4:"4. nelj."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. neljännes",2:"2. neljännes",3:"3. neljännes",4:"4. neljännes"}},"stand-alone":{abbreviated:{1:"1. nelj.",2:"2. nelj.",3:"3. nelj.",4:"4. nelj."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. neljännes",2:"2. neljännes",3:"3. neljännes",4:"4. neljännes"}}},dayPeriods:{format:{abbreviated:{am:"ap.",pm:"ip."},narrow:{am:"ap.",pm:"ip."},wide:{am:"ap.",pm:"ip."}},"stand-alone":{abbreviated:{am:"ap.",pm:"ip."},narrow:{am:"ap.",pm:"ip."},wide:{am:"ap.",pm:"ip."}}},eras:{eraNames:{0:"ennen Kristuksen syntymää",1:"jälkeen Kristuksen syntymän","0-alt-variant":"ennen ajanlaskun alkua","1-alt-variant":"jälkeen ajanlaskun alun"},eraAbbr:{0:"eKr.",1:"jKr.","0-alt-variant":"eaa.","1-alt-variant":"jaa."},eraNarrow:{0:"eK",1:"jK","0-alt-variant":"eaa","1-alt-variant":"jaa"}},dateFormats:{full:"cccc d. MMMM y","long":"d. MMMM y",medium:"d.M.y","short":"d.M.y"},timeFormats:{full:"H.mm.ss zzzz","long":"H.mm.ss z",medium:"H.mm.ss","short":"H.mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d.",Ehm:"E h.mm a",EHm:"E H.mm",Ehms:"E h.mm.ss a",EHms:"E H.mm.ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d. MMM y G",GyMMMEd:"E d. MMM y G",h:"h a",H:"H",hm:"h.mm a",Hm:"H.mm",hms:"h.mm.ss a",Hms:"H.mm.ss",M:"L",Md:"d.M.",MEd:"E d.M.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"ccc d. MMM",ms:"m.ss",y:"y",yM:"L.y",yMd:"d.M.y",yMEd:"E d.M.y",yMM:"M.y",yMMM:"LLL y",yMMMd:"d. MMM y",yMMMEd:"E d. MMM y",yMMMM:"LLLL y",yMMMMccccd:"cccc d. MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}–{1}",d:{d:"d.–d."},h:{a:"h a – h a",h:"h–h a"},H:{H:"H–H"},hm:{a:"h.mm a – h.mm a",h:"h.mm–h.mm a",m:"h.mm–h.mm a"},Hm:{H:"H.mm–H.mm",m:"H.mm–H.mm"},hmv:{a:"h.mm a – h.mm a v",h:"h.mm–h.mm a v",m:"h.mm–h.mm a v"},Hmv:{H:"H.mm–H.mm v",m:"H.mm–H.mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"H–H v"},M:{M:"L.–L."},Md:{d:"d.–d.M.",M:"d.M.–d.M."},MEd:{d:"E d. – E d.M.",M:"E d.M. – E d.M."},MMM:{M:"LLL–LLLL"},MMMd:{d:"d.–d. MMMM",M:"d. MMMM – d. MMMM"},MMMEd:{d:"E d. – E d. MMMM",M:"E d. MMMM – E d. MMMM"},MMMM:{M:"LLL–LLLL"},y:{y:"y–y"},yM:{M:"LLL–LLLL y",y:"LLLL y – LLLL y"},yMd:{d:"d.–d.M.y",M:"d.M.–d.M.y",y:"d.M.y–d.M.y"},yMEd:{d:"E d.M.y – E d.M.y",M:"E d.M.y – E d.M.y",y:"E d.M.y – E d.M.y"},yMMM:{M:"LLL–LLLL y",y:"LLLL y – LLLL y"},yMMMd:{d:"d.–d. MMMM y",M:"d. MMMM – d. MMMM y",y:"d. MMMM y – d. MMMM y"},yMMMEd:{d:"E d. – E d. MMMM y",M:"E d. MMMM – E d. MMMM y",y:"E d. MMMM y – E d. MMMM y"},yMMMM:{M:"LLL–LLLL y",y:"LLLL y – LLLL y"}}}}},timeZoneNames:{hourFormat:"+H.mm;-H.mm",gmtFormat:"UTC{0}",gmtZeroFormat:"UTC",regionFormat:"aikavyöhyke: {0}","regionFormat-type-daylight":"{0} (kesäaika)","regionFormat-type-standard":"{0} (normaaliaika)",fallbackFormat:"{1} ({0})"}}},fr:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"janv.",2:"févr.",3:"mars",4:"avr.",5:"mai",6:"juin",7:"juil.",8:"août",9:"sept.",10:"oct.",11:"nov.",12:"déc."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"janvier",2:"février",3:"mars",4:"avril",5:"mai",6:"juin",7:"juillet",8:"août",9:"septembre",10:"octobre",11:"novembre",12:"décembre"}},"stand-alone":{abbreviated:{1:"janv.",2:"févr.",3:"mars",4:"avr.",5:"mai",6:"juin",7:"juil.",8:"août",9:"sept.",10:"oct.",11:"nov.",12:"déc."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"janvier",2:"février",3:"mars",4:"avril",5:"mai",6:"juin",7:"juillet",8:"août",9:"septembre",10:"octobre",11:"novembre",12:"décembre"}}},days:{format:{abbreviated:{sun:"dim.",mon:"lun.",tue:"mar.",wed:"mer.",thu:"jeu.",fri:"ven.",sat:"sam."},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"di",mon:"lu",tue:"ma",wed:"me",thu:"je",fri:"ve",sat:"sa"},wide:{sun:"dimanche",mon:"lundi",tue:"mardi",wed:"mercredi",thu:"jeudi",fri:"vendredi",sat:"samedi"}},"stand-alone":{abbreviated:{sun:"dim.",mon:"lun.",tue:"mar.",wed:"mer.",thu:"jeu.",fri:"ven.",sat:"sam."},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"dim.",mon:"lun.",tue:"mar.",wed:"mer.",thu:"jeu.",fri:"ven.",sat:"sam."},wide:{sun:"dimanche",mon:"lundi",tue:"mardi",wed:"mercredi",thu:"jeudi",fri:"vendredi",sat:"samedi"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1er trimestre",2:"2e trimestre",3:"3e trimestre",4:"4e trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1er trimestre",2:"2e trimestre",3:"3e trimestre",4:"4e trimestre"}}},dayPeriods:{format:{abbreviated:{afternoon:"ap.m.",am:"AM",morning:"matin",night:"soir",noon:"midi",pm:"PM"},narrow:{afternoon:"ap.-m.",am:"a",morning:"matin",night:"soir",noon:"midi",pm:"p"},wide:{afternoon:"après-midi",am:"AM",morning:"matin",night:"soir",noon:"midi",pm:"PM"}},"stand-alone":{abbreviated:{afternoon:"ap.m.",am:"av.m.",morning:"matin",night:"soir",noon:"midi",pm:"ap.m."},narrow:{afternoon:"ap.-m.",am:"a",morning:"matin",night:"soir",noon:"midi",pm:"p"},wide:{afternoon:"après-midi",am:"avant-midi",morning:"matin",night:"soir",noon:"midi",pm:"après-midi"}}},eras:{eraNames:{0:"avant Jésus-Christ",1:"après Jésus-Christ","0-alt-variant":"AEC","1-alt-variant":"EC"},eraAbbr:{0:"av. J.-C.",1:"ap. J.-C.","0-alt-variant":"AEC","1-alt-variant":"EC"},eraNarrow:{0:"av. J.-C.",1:"ap. J.-C.","0-alt-variant":"AEC","1-alt-variant":"EC"}},dateFormats:{full:"EEEE d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd/MM/y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E d MMM y G",h:"h a",H:"HH 'h'",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d-d"},h:{a:"h a – h a",h:"h – h a"},H:{H:"HH – HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm – h:mm a",m:"h:mm – h:mm a"},Hm:{H:"HH:mm – HH:mm",m:"HH:mm – HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm – h:mm a v",m:"h:mm – h:mm a v"},Hmv:{H:"HH:mm – HH:mm v",m:"HH:mm – HH:mm v"},hv:{a:"h a – h a v",h:"h – h a v"},Hv:{H:"HH – HH v"},M:{M:"M–M"},Md:{d:"dd/MM – dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E dd/MM - E dd/MM",M:"E dd/MM - E dd/MM"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E d – E d MMM",M:"E d MMM – E d MMM"},y:{y:"y–y"},yM:{M:"MM/y – MM/y",y:"M/y – M/y"},yMd:{d:"d/M/y – d/M/y",M:"d/M/y – d/M/y",y:"dd/MM/y – dd/MM/y"},yMEd:{d:"E dd/MM/y – E dd/MM/y",M:"E dd/MM/y – E dd/MM/y",y:"E dd/MM/y – E dd/MM/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"E d – E d MMM y",M:"E d MMM – E d MMM y",y:"E d MMM y – E d MMM y"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;−HH:mm",gmtFormat:"UTC{0}",gmtZeroFormat:"UTC",regionFormat:"heure : {0}","regionFormat-type-daylight":"{0} (heure d’été)","regionFormat-type-standard":"{0} (heure standard)",fallbackFormat:"{1} ({0})"}}},he:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"ינו",2:"פבר",3:"מרץ",4:"אפר",5:"מאי",6:"יונ",7:"יול",8:"אוג",9:"ספט",10:"אוק",11:"נוב",12:"דצמ"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"ינואר",2:"פברואר",3:"מרץ",4:"אפריל",5:"מאי",6:"יוני",7:"יולי",8:"אוגוסט",9:"ספטמבר",10:"אוקטובר",11:"נובמבר",12:"דצמבר"}},"stand-alone":{abbreviated:{1:"ינו׳",2:"פבר׳",3:"מרץ",4:"אפר׳",5:"מאי",6:"יונ׳",7:"יול׳",8:"אוג׳",9:"ספט׳",10:"אוק׳",11:"נוב׳",12:"דצמ׳"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"ינואר",2:"פברואר",3:"מרץ",4:"אפריל",5:"מאי",6:"יוני",7:"יולי",8:"אוגוסט",9:"ספטמבר",10:"אוקטובר",11:"נובמבר",12:"דצמבר"}}},days:{format:{abbreviated:{sun:"יום א׳",mon:"יום ב׳",tue:"יום ג׳",wed:"יום ד׳",thu:"יום ה׳",fri:"יום ו׳",sat:"שבת"},narrow:{sun:"א׳",mon:"ב׳",tue:"ג׳",wed:"ד׳",thu:"ה׳",fri:"ו׳",sat:"ש׳"},"short":{sun:"א׳",mon:"ב׳",tue:"ג׳",wed:"ד׳",thu:"ה׳",fri:"ו׳",sat:"ש׳"},wide:{sun:"יום ראשון",mon:"יום שני",tue:"יום שלישי",wed:"יום רביעי",thu:"יום חמישי",fri:"יום שישי",sat:"יום שבת"}},"stand-alone":{abbreviated:{sun:"יום א׳",mon:"יום ב׳",tue:"יום ג׳",wed:"יום ד׳",thu:"יום ה׳",fri:"יום ו׳",sat:"שבת"},narrow:{sun:"א׳",mon:"ב׳",tue:"ג׳",wed:"ד׳",thu:"ה׳",fri:"ו׳",sat:"ש׳"},"short":{sun:"א׳",mon:"ב׳",tue:"ג׳",wed:"ד׳",thu:"ה׳",fri:"ו׳",sat:"ש׳"},wide:{sun:"יום ראשון",mon:"יום שני",tue:"יום שלישי",wed:"יום רביעי",thu:"יום חמישי",fri:"יום שישי",sat:"יום שבת"}}},quarters:{format:{abbreviated:{1:"רבעון 1",2:"רבעון 2",3:"רבעון 3",4:"רבעון 4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"רבעון 1",2:"רבעון 2",3:"רבעון 3",4:"רבעון 4"}},"stand-alone":{abbreviated:{1:"רבעון 1",2:"רבעון 2",3:"רבעון 3",4:"רבעון 4"},narrow:{1:"ר1",2:"ר2",3:"ר3",4:"ר4"},wide:{1:"רבעון 1",2:"רבעון 2",3:"רבעון 3",4:"רבעון 4"}}},dayPeriods:{format:{abbreviated:{am:"לפנה״צ",pm:"אחה״צ"},narrow:{am:"לפנה״צ",pm:"אחה״צ"},wide:{am:"לפנה״צ",pm:"אחה״צ"}},"stand-alone":{abbreviated:{am:"לפנה״צ",pm:"אחה״צ"},narrow:{am:"לפנה״צ",pm:"אחה״צ"},wide:{am:"לפנה״צ",pm:"אחה״צ"}}},eras:{eraNames:{0:"לפני הספירה",1:"לספירה","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"לפנה״ס",1:"לסה״נ","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"לפנה״ס",1:"לסה״נ","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d בMMMM y","long":"d בMMMM y",medium:"d בMMM y","short":"dd/MM/yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} בשעה {0}","long":"{1} בשעה {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E ה-d",Ehm:"E h:mm a",EHm:"E H:mm",Ehms:"E h:mm:ss a",EHms:"E H:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d בMMM y G",GyMMMEd:"E, d בMMM y G",h:"‏h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, d/M",MMM:"LLL",MMMd:"d בMMM",MMMEd:"E, d בMMM",ms:"mm:ss",y:"y",yM:"M.y",yMd:"d.M.y",yMEd:"E, d/M/y",yMM:"MM/y",yMMM:"MMM y",yMMMd:"d בMMM y",yMMMEd:"E, d בMMM y",yMMMM:"MMMM y",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"H–H"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"H:mm–H:mm",m:"H:mm–H:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"H:mm–H:mm v",m:"H:mm–H:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"H–H v"},M:{M:"M–M"},Md:{d:"d.M–d.M",M:"d.M–d.M"},MEd:{d:"EEEE d.M–EEEE d.M",M:"EEEE d.M – EEEE d.M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM–d MMM"},MMMEd:{d:"EEEE d MMM – EEEE d MMM",M:"EEEE d MMM – EEEE d MMM"},MMMM:{M:"LLLL–LLLL"},y:{y:"y–y"},yM:{M:"M.y–M.y",y:"M.y‏-M.y"},yMd:{d:"dd.M.y – dd.M.y",M:"d.M.y – d.M.y",y:"d.M.y – d.M.y"},yMEd:{d:"EEEE d.M.y – EEEE d.M.y",M:"EEEE d.M.y – EEEE d.M.y",y:"EEEE d.M.y – EEEE d.M.y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"EEEE d MMM – EEEE d MMM y",M:"EEEE d MMM – EEEE d MMM y",y:"EEEE d MMM y – EEEE d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y–MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"שעון {0}","regionFormat-type-daylight":"שעון {0} (קיץ)","regionFormat-type-standard":"שעון {0} (חורף)",fallbackFormat:"{1} ({0})"}}},hi:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"जन",2:"फ़र",3:"मार्च",4:"अप्रै",5:"मई",6:"जून",7:"जुला",8:"अग",9:"सितं",10:"अक्टू",11:"नवं",12:"दिसं"},narrow:{1:"ज",2:"फ़",3:"मा",4:"अ",5:"म",6:"जू",7:"जु",8:"अ",9:"सि",10:"अ",11:"न",12:"दि"},wide:{1:"जनवरी",2:"फ़रवरी",3:"मार्च",4:"अप्रैल",5:"मई",6:"जून",7:"जुलाई",8:"अगस्त",9:"सितंबर",10:"अक्टूबर",11:"नवंबर",12:"दिसंबर"}},"stand-alone":{abbreviated:{1:"जन",2:"फ़र",3:"मार्च",4:"अप्रै",5:"मई",6:"जून",7:"जुला",8:"अग",9:"सितं",10:"अक्टू",11:"नवं",12:"दिसं"},narrow:{1:"ज",2:"फ़",3:"मा",4:"अ",5:"म",6:"जू",7:"जु",8:"अ",9:"सि",10:"अ",11:"न",12:"दि"},wide:{1:"जनवरी",2:"फ़रवरी",3:"मार्च",4:"अप्रैल",5:"मई",6:"जून",7:"जुलाई",8:"अगस्त",9:"सितंबर",10:"अक्टूबर",11:"नवंबर",12:"दिसंबर"}}},days:{format:{abbreviated:{sun:"रवि",mon:"सोम",tue:"मंगल",wed:"बुध",thu:"गुरु",fri:"शुक्र",sat:"शनि"},narrow:{sun:"र",mon:"सो",tue:"मं",wed:"बु",thu:"गु",fri:"शु",sat:"श"},"short":{sun:"र",mon:"सो",tue:"मं",wed:"बु",thu:"गु",fri:"शु",sat:"श"},wide:{sun:"रविवार",mon:"सोमवार",tue:"मंगलवार",wed:"बुधवार",thu:"गुरुवार",fri:"शुक्रवार",sat:"शनिवार"}},"stand-alone":{abbreviated:{sun:"रवि",mon:"सोम",tue:"मंगल",wed:"बुध",thu:"गुरु",fri:"शुक्र",sat:"शनि"},narrow:{sun:"र",mon:"सो",tue:"मं",wed:"बु",thu:"गु",fri:"शु",sat:"श"},"short":{sun:"र",mon:"सो",tue:"मं",wed:"बु",thu:"गु",fri:"शु",sat:"श"},wide:{sun:"रविवार",mon:"सोमवार",tue:"मंगलवार",wed:"बुधवार",thu:"गुरुवार",fri:"शुक्रवार",sat:"शनिवार"}}},quarters:{format:{abbreviated:{1:"ति1",2:"ति2",3:"ति3",4:"ति4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"पहली तिमाही",2:"दूसरी तिमाही",3:"तीसरी तिमाही",4:"चौथी तिमाही"}},"stand-alone":{abbreviated:{1:"ति1",2:"ति2",3:"ति3",4:"ति4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"पहली तिमाही",2:"दूसरी तिमाही",3:"तीसरी तिमाही",4:"चौथी तिमाही"}}},dayPeriods:{format:{abbreviated:{am:"पूर्व",pm:"अपर"},narrow:{am:"पू",pm:"अ"},wide:{am:"पूर्वाह्न",pm:"अपराह्न"}},"stand-alone":{abbreviated:{am:"पूर्व",pm:"अपर"},narrow:{am:"पू",pm:"अ"},wide:{am:"पूर्वाह्न",pm:"अपराह्न"}}},eras:{eraNames:{0:"ईसा-पूर्व",1:"ईस्वी","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"ईसा-पूर्व",1:"ईस्वी","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"ईसा-पूर्व",1:"ईस्वी","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"dd-MM-y","short":"d-M-yy"},timeFormats:{full:"h:mm:ss a zzzz","long":"h:mm:ss a z",medium:"h:mm:ss a","short":"h:mm a"},dateTimeFormats:{full:"{1} को {0}","long":"{1} को {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM G y",GyMMMd:"d MMM, G y",GyMMMEd:"E, d MMM, G y",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, d/M",MMdd:"dd-MM",MMM:"LLL",MMMd:"d MMM",MMMdd:"dd MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E, d/M/y",yMM:"MM-y",yMMdd:"dd-MM-y",yMMM:"MMM y",yMMMd:"d MMM, y",yMMMEd:"E, d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"d/M – d/M",M:"d/M – d/M"},MEd:{d:"E, d/M – E, d/M",M:"E, d/M – E, d/M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d MMM–d",M:"d MMM – d MMM"},MMMEd:{d:"E, d MMM – E, d MMM",M:"E, d MMM – E, d MMM"},y:{y:"y–y"},yM:{M:"M/y – M/y",y:"M/y – M/y"},yMd:{d:"d/M/y – d/M/y",M:"d/M/y – d/M/y",y:"d/M/y – d/M/y"},yMEd:{d:"E, d/M/y – E, d/M/y",M:"E, d/M/y – E, d/M/y",y:"E, d/M/y – E, d/M/y"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d MMM–d, y",M:"d MMM – d MMM, y",y:"d MMM, y – d MMM, y"},yMMMEd:{d:"E, d MMM – E, d MMM, y",M:"E, d MMM – E, d MMM, y",y:"E, d MMM, y – E, d MMM, y"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} समय","regionFormat-type-daylight":"{0} डेलाइट समय","regionFormat-type-standard":"{0} मानक समय",fallbackFormat:"{1} ({0})"}}},hr:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"sij",2:"velj",3:"ožu",4:"tra",5:"svi",6:"lip",7:"srp",8:"kol",9:"ruj",10:"lis",11:"stu",12:"pro"},narrow:{1:"1.",2:"2.",3:"3.",4:"4.",5:"5.",6:"6.",7:"7.",8:"8.",9:"9.",10:"10.",11:"11.",12:"12."},wide:{1:"siječnja",2:"veljače",3:"ožujka",4:"travnja",5:"svibnja",6:"lipnja",7:"srpnja",8:"kolovoza",9:"rujna",10:"listopada",11:"studenoga",12:"prosinca"}},"stand-alone":{abbreviated:{1:"sij",2:"velj",3:"ožu",4:"tra",5:"svi",6:"lip",7:"srp",8:"kol",9:"ruj",10:"lis",11:"stu",12:"pro"},narrow:{1:"1.",2:"2.",3:"3.",4:"4.",5:"5.",6:"6.",7:"7.",8:"8.",9:"9.",10:"10.",11:"11.",12:"12."},wide:{1:"siječanj",2:"veljača",3:"ožujak",4:"travanj",5:"svibanj",6:"lipanj",7:"srpanj",8:"kolovoz",9:"rujan",10:"listopad",11:"studeni",12:"prosinac"}}},days:{format:{abbreviated:{sun:"ned",mon:"pon",tue:"uto",wed:"sri",thu:"čet",fri:"pet",sat:"sub"},narrow:{sun:"N",mon:"P",tue:"U",wed:"S",thu:"Č",fri:"P",sat:"S"},"short":{sun:"ned",mon:"pon",tue:"uto",wed:"sri",thu:"čet",fri:"pet",sat:"sub"},wide:{sun:"nedjelja",mon:"ponedjeljak",tue:"utorak",wed:"srijeda",thu:"četvrtak",fri:"petak",sat:"subota"}},"stand-alone":{abbreviated:{sun:"ned",mon:"pon",tue:"uto",wed:"sri",thu:"čet",fri:"pet",sat:"sub"},narrow:{sun:"n",mon:"p",tue:"u",wed:"s",thu:"č",fri:"p",sat:"s"},"short":{sun:"ned",mon:"pon",tue:"uto",wed:"sri",thu:"čet",fri:"pet",sat:"sub"},wide:{sun:"nedjelja",mon:"ponedjeljak",tue:"utorak",wed:"srijeda",thu:"četvrtak",fri:"petak",sat:"subota"}}},quarters:{format:{abbreviated:{1:"1kv",2:"2kv",3:"3kv",4:"4kv"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}},"stand-alone":{abbreviated:{1:"1kv",2:"2kv",3:"3kv",4:"4kv"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}}},dayPeriods:{format:{abbreviated:{afternoon:"popodne",am:"AM",earlyMorning:"ujutro",evening:"navečer",morning:"prijepodne",night:"noću",noon:"podne",pm:"PM"},narrow:{afternoon:"popodne",am:"AM",earlyMorning:"ujutro",evening:"navečer",morning:"prijepodne",night:"noću",noon:"n",pm:"PM"},wide:{am:"AM",noon:"podne",pm:"PM"}},"stand-alone":{abbreviated:{afternoon:"popodne",am:"AM",earlyMorning:"ujutro",evening:"navečer",morning:"prijepodne",night:"noću",noon:"podne",pm:"PM"},narrow:{afternoon:"popodne",am:"AM",earlyMorning:"ujutro",evening:"navečer",morning:"prijepodne",night:"noću",noon:"n",pm:"PM"},wide:{am:"AM",noon:"podne",pm:"PM"}}},eras:{eraNames:{0:"Prije Krista",1:"Poslije Krista","0-alt-variant":"pr. n. e.","1-alt-variant":"n.e."},eraAbbr:{0:"pr. Kr.",1:"p. Kr.","0-alt-variant":"pr. n. e.","1-alt-variant":"n.e."},eraNarrow:{0:"pr.n.e.",1:"AD","0-alt-variant":"pr. n. e.","1-alt-variant":"n.e."}},dateFormats:{full:"EEEE, d. MMMM y.","long":"d. MMMM y.",medium:"d. MMM y.","short":"d.M.yy."},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} 'u' {0}","long":"{1} 'u' {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d.",Ed:"E, d.",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y. G",GyMMM:"LLL y. G",GyMMMd:"d. MMM y. G",GyMMMEd:"E, d. MMM y. G",h:"h a",H:"HH",hm:"hh:mm a",Hm:"HH:mm",hms:"hh:mm:ss a",Hms:"HH:mm:ss",M:"L.",Md:"d. M.",MEd:"E, d. M.",MMdd:"dd. MM.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"E, d. MMM",MMMMd:"d. MMMM",MMMMdd:"dd. MMMM",MMMMEd:"E, d. MMMM",ms:"mm:ss",y:"y.",yM:"M. y.",yMd:"d. M. y.",yMEd:"E, d. M. y.",yMM:"MM. y.",yMMM:"LLL y.",yMMMd:"d. MMM y.",yMMMEd:"E, d. MMM y.",yMMMM:"LLLL y.",yQQQ:"QQQ y.",yQQQQ:"QQQQ y."},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"dd. - dd."},h:{a:"h a - h a",h:"h - h'h' a"},H:{H:"HH-HH'h'"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h - h 'h' a v"},Hv:{H:"HH - HH 'h' v"},M:{M:"MM. - MM."},Md:{d:"dd.MM. - dd.MM.",M:"dd.MM. - dd.MM."},MEd:{d:"E, dd.MM. - E, dd.MM.",M:"E, dd.MM. - E, dd.MM."},MMM:{M:"LLL-LLL"},MMMd:{d:"dd. - dd. MMM",M:"dd. MMM - dd. MMM"},MMMEd:{d:"E, dd. - E, dd. MMM",M:"E, dd. MMM - E, dd. MMM"},y:{y:"y. - y."},yM:{M:"MM.y. - MM.y.",y:"MM.y. - MM.y."},yMd:{d:"dd.MM.y. - dd.MM.y.",M:"dd.MM.y. - dd.MM.y.",y:"dd.MM.y. - dd.MM.y."},yMEd:{d:"E, dd.MM.y. - E, dd.MM.y.",M:"E, dd.MM.y. - E, dd.MM.y.",y:"E, dd.MM.y. - E, dd.MM.y."},yMMM:{M:"LLL-LLL y.",y:"LLL y. - LLL y."},yMMMd:{d:"dd. - dd. MMM y.",M:"dd. MMM - dd. MMM y.",y:"dd. MMM y. - dd. MMM y."},yMMMEd:{d:"E, dd. - E, dd. MMM y.",M:"E, dd. MMM - E, dd. MMM y.",y:"E, dd. MMM y. - E, dd. MMM y."},yMMMM:{M:"LLLL – LLLL y.",y:"LLLL y. - LLLL y."}}}}},timeZoneNames:{hourFormat:"+HH:mm; -HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}","regionFormat-type-daylight":"{0}, ljetno vrijeme","regionFormat-type-standard":"{0}, standardno vrijeme",fallbackFormat:"{1} ({0})"}}},hu:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"febr.",3:"márc.",4:"ápr.",5:"máj.",6:"jún.",7:"júl.",8:"aug.",9:"szept.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"J",2:"F",3:"M",4:"Á",5:"M",6:"J",7:"J",8:"A",9:"Sz",10:"O",11:"N",12:"D"},wide:{1:"január",2:"február",3:"március",4:"április",5:"május",6:"június",7:"július",8:"augusztus",9:"szeptember",10:"október",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"jan.",2:"febr.",3:"márc.",4:"ápr.",5:"máj.",6:"jún.",7:"júl.",8:"aug.",9:"szept.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"J",2:"F",3:"M",4:"Á",5:"M",6:"J",7:"J",8:"A",9:"Sz",10:"O",11:"N",12:"D"},wide:{1:"január",2:"február",3:"március",4:"április",5:"május",6:"június",7:"július",8:"augusztus",9:"szeptember",10:"október",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"V",mon:"H",tue:"K",wed:"Sze",thu:"Cs",fri:"P",sat:"Szo"},narrow:{sun:"V",mon:"H",tue:"K",wed:"Sz",thu:"Cs",fri:"P",sat:"Sz"},"short":{sun:"V",mon:"H",tue:"K",wed:"Sze",thu:"Cs",fri:"P",sat:"Szo"},wide:{sun:"vasárnap",mon:"hétfő",tue:"kedd",wed:"szerda",thu:"csütörtök",fri:"péntek",sat:"szombat"}},"stand-alone":{abbreviated:{sun:"V",mon:"H",tue:"K",wed:"Sze",thu:"Cs",fri:"P",sat:"Szo"},narrow:{sun:"V",mon:"H",tue:"K",wed:"Sz",thu:"Cs",fri:"P",sat:"Sz"},"short":{sun:"V",mon:"H",tue:"K",wed:"Sze",thu:"Cs",fri:"P",sat:"Szo"},wide:{sun:"vasárnap",mon:"hétfő",tue:"kedd",wed:"szerda",thu:"csütörtök",fri:"péntek",sat:"szombat"}}},quarters:{format:{abbreviated:{1:"N1",2:"N2",3:"N3",4:"N4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"I. negyedév",2:"II. negyedév",3:"III. negyedév",4:"IV. negyedév"}},"stand-alone":{abbreviated:{1:"N1",2:"N2",3:"N3",4:"N4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. negyedév",2:"2. negyedév",3:"3. negyedév",4:"4. negyedév"}}},dayPeriods:{format:{abbreviated:{am:"de.",pm:"du."},narrow:{am:"de.",pm:"du."},wide:{am:"de.",pm:"du."}},"stand-alone":{abbreviated:{am:"de.",pm:"du."},narrow:{am:"de.",pm:"du."},wide:{am:"de.",pm:"du."}}},eras:{eraNames:{0:"időszámításunk előtt",1:"időszámításunk szerint","0-alt-variant":"Kr. e.","1-alt-variant":"Kr. u."},eraAbbr:{0:"i. e.",1:"i. sz.","0-alt-variant":"Kr. e.","1-alt-variant":"Kr. u."},eraNarrow:{0:"ie.",1:"isz.","0-alt-variant":"Kr. e.","1-alt-variant":"Kr. u."}},dateFormats:{full:"y. MMMM d., EEEE","long":"y. MMMM d.",medium:"y MMM d","short":"y. MM. dd."},timeFormats:{full:"H:mm:ss zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"d., E",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"G y.",GyMMM:"G y. MMM",GyMMMd:"G y. MMM d.",GyMMMEd:"G y. MMM d., E",h:"a h",H:"H",hm:"a h:mm",Hm:"H:mm",hms:"a h:mm:ss",Hms:"H:mm:ss",M:"L",Md:"M. d.",MEd:"M. d., E",MMM:"LLL",MMMd:"MMM d.",MMMEd:"MMM d., E",MMMMd:"MMMM d.",mmss:"mm:ss",ms:"mm:ss",y:"y.",yM:"y. M.",yMd:"y. MM. dd.",yMEd:"y. MM. dd., E",yMMM:"y. MMM",yMMMd:"y. MMM d.",yMMMEd:"y. MMM d., E",yMMMM:"y. MMMM",yQQQ:"y. QQQ",yQQQQ:"y. QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d."},h:{a:"a h – a h",h:"a h–h"},H:{H:"H-H"},hm:{a:"a h:mm – a h:mm",h:"a h:mm–h:mm",m:"a h:mm–h:mm"},Hm:{H:"H:mm–H:mm",m:"H:mm–H:mm"},hmv:{a:"a h:mm – a h:mm v",h:"a h:mm–h:mm v",m:"a h:mm–h:mm v"},Hmv:{H:"H:mm–H:mm v",m:"H:mm–H:mm v"},hv:{a:"a h – a h v",h:"a h–h v"},Hv:{H:"H–H v"},M:{M:"M–M."},Md:{d:"M. d–d.",M:"M. d. – M. d."},MEd:{d:"M. dd., E – M. d., E",M:"M. d., E – M. d., E"},MMM:{M:"MMM–MMM"},MMMd:{d:"MMM d–d.",M:"MMM d. – MMM d."},MMMEd:{d:"MMM d., E – d., E",M:"MMM d., E – MMM d., E"},y:{y:"y–y"},yM:{M:"y. MM–MM.",y:"y. MM. – y. MM."},yMd:{d:"y. MM. dd–dd.",M:"y. MM. dd. – MM. dd.",y:"y. MM. dd. – y. MM. dd."},yMEd:{d:"y. MM. dd., E – dd., E",M:"y. MM. dd., E – MM. dd., E",y:"y. MM. dd., E – y. MM. dd., E"},yMMM:{M:"y. MMM–MMM",y:"y. MMM – y. MMM"},yMMMd:{d:"y. MMM d–d.",M:"y. MMM d. – MMM d.",y:"y. MMM d. – y. MMM d."},yMMMEd:{d:"y. MMM d., E – d., E",M:"y. MMM d., E – MMM d., E",y:"y. MMM d., E – y. MMM d., E"},yMMMM:{M:"y. MMMM–MMMM",y:"y. MMMM – y. MMMM"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} idő","regionFormat-type-daylight":"{0} nyári idő","regionFormat-type-standard":"{0} zónaidő",fallbackFormat:"{1} ({0})"}}},it:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"gen",2:"feb",3:"mar",4:"apr",5:"mag",6:"giu",7:"lug",8:"ago",9:"set",10:"ott",11:"nov",12:"dic"},narrow:{1:"G",2:"F",3:"M",4:"A",5:"M",6:"G",7:"L",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"gennaio",2:"febbraio",3:"marzo",4:"aprile",5:"maggio",6:"giugno",7:"luglio",8:"agosto",9:"settembre",10:"ottobre",11:"novembre",12:"dicembre"}},"stand-alone":{abbreviated:{1:"gen",2:"feb",3:"mar",4:"apr",5:"mag",6:"giu",7:"lug",8:"ago",9:"set",10:"ott",11:"nov",12:"dic"},narrow:{1:"G",2:"F",3:"M",4:"A",5:"M",6:"G",7:"L",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Gennaio",2:"Febbraio",3:"Marzo",4:"Aprile",5:"Maggio",6:"Giugno",7:"Luglio",8:"Agosto",9:"Settembre",10:"Ottobre",11:"Novembre",12:"Dicembre"}}},days:{format:{abbreviated:{sun:"dom",mon:"lun",tue:"mar",wed:"mer",thu:"gio",fri:"ven",sat:"sab"},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"G",fri:"V",sat:"S"},"short":{sun:"dom",mon:"lun",tue:"mar",wed:"mer",thu:"gio",fri:"ven",sat:"sab"},wide:{sun:"domenica",mon:"lunedì",tue:"martedì",wed:"mercoledì",thu:"giovedì",fri:"venerdì",sat:"sabato"}},"stand-alone":{abbreviated:{sun:"dom",mon:"lun",tue:"mar",wed:"mer",thu:"gio",fri:"ven",sat:"sab"},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"G",fri:"V",sat:"S"},"short":{sun:"dom",mon:"lun",tue:"mar",wed:"mer",thu:"gio",fri:"ven",sat:"sab"},wide:{sun:"Domenica",mon:"Lunedì",tue:"Martedì",wed:"Mercoledì",thu:"Giovedì",fri:"Venerdì",sat:"Sabato"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1º trimestre",2:"2º trimestre",3:"3º trimestre",4:"4º trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Primo trimestre",2:"Secondo trimestre",3:"Terzo trimestre",4:"Quarto trimestre"}}},dayPeriods:{format:{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"m.",pm:"p."},wide:{am:"AM",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"m.",pm:"p."},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"a.C.",1:"d.C.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"aC",1:"dC","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"aC",1:"dC","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE d MMMM y","long":"dd MMMM y",medium:"dd/MMM/y","short":"dd/MM/yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h.mm a",EHm:"E HH.mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E d MMM y G",h:"hh a",H:"HH",hm:"hh:mm a",Hm:"HH:mm",hms:"hh:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E dd/MM - E dd/MM",M:"E dd/MM - E dd/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"dd-dd MMM",M:"dd MMM - dd MMM"},MMMEd:{d:"E dd - E dd MMM",M:"E dd MMM - E dd MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E dd/MM/y - E dd/MM/y",M:"E dd/MM/y - E dd/MM/y",y:"E dd/MM/y - E dd/MM/y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"dd-dd MMM y",M:"dd MMM - dd MMM y",y:"dd MMM y - dd MMM y"},yMMMEd:{d:"E d - E d MMM y",M:"E d MMM - E d MMM y",y:"E d MMM y - E d MMM y"},yMMMM:{M:"MMMM-MMMM y",y:"MMMM y - MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Ora {0}","regionFormat-type-daylight":"Ora legale: {0}","regionFormat-type-standard":"Ora standard: {0}",fallbackFormat:"{1} ({0})"}}},ja:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"}},"stand-alone":{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"}}},days:{format:{abbreviated:{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},narrow:{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},"short":{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},wide:{sun:"日曜日",mon:"月曜日",tue:"火曜日",wed:"水曜日",thu:"木曜日",fri:"金曜日",sat:"土曜日"}},"stand-alone":{abbreviated:{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},narrow:{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},"short":{sun:"日",mon:"月",tue:"火",wed:"水",thu:"木",fri:"金",sat:"土"},wide:{sun:"日曜日",mon:"月曜日",tue:"火曜日",wed:"水曜日",thu:"木曜日",fri:"金曜日",sat:"土曜日"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第1四半期",2:"第2四半期",3:"第3四半期",4:"第4四半期"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第1四半期",2:"第2四半期",3:"第3四半期",4:"第4四半期"}}},dayPeriods:{format:{abbreviated:{am:"午前",noon:"正午",pm:"午後"},narrow:{am:"午前",noon:"正午",pm:"午後"},wide:{am:"午前",noon:"正午",pm:"午後"}},"stand-alone":{abbreviated:{am:"午前",noon:"正午",pm:"午後"},narrow:{am:"午前",noon:"正午",pm:"午後"},wide:{am:"午前",noon:"正午",pm:"午後"}}},eras:{eraNames:{0:"紀元前",1:"西暦","0-alt-variant":"西暦紀元前","1-alt-variant":"CE"},eraAbbr:{0:"紀元前",1:"西暦","0-alt-variant":"西暦紀元前","1-alt-variant":"CE"},eraNarrow:{0:"BC",1:"AD","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"y年M月d日EEEE","long":"y年M月d日",medium:"y/MM/dd","short":"y/MM/dd"},timeFormats:{full:"H時mm分ss秒 zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d日",Ed:"d日(E)",EEEEd:"d日EEEE",Ehm:"a K 時 mm 分 (E)",EHm:"HH 時 mm 分 (E)",Ehms:"a K 時 mm 分 ss 秒 (E)",EHms:"HH 時 mm 分 ss 秒 (E)",Gy:"Gy年",GyMMM:"Gy年M月",GyMMMd:"Gy年M月d日",GyMMMEd:"Gy年M月d日(E)",GyMMMEEEEd:"Gy年M月d日EEEE",h:"aK時",H:"H時",hm:"aK:mm",Hm:"H:mm",hms:"aK:mm:ss",Hms:"H:mm:ss",M:"M月",Md:"M/d",MEd:"M/d(E)",MEEEEd:"M/dEEEE",MMM:"M月",MMMd:"M月d日",MMMEd:"M月d日(E)",MMMEEEEd:"M月d日EEEE",ms:"mm:ss",y:"y年",yM:"y/M",yMd:"y/M/d",yMEd:"y/M/d(E)",yMEEEEd:"y/M/dEEEE",yMM:"y/MM",yMMM:"y年M月",yMMMd:"y年M月d日",yMMMEd:"y年M月d日(E)",yMMMEEEEd:"y年M月d日EEEE",yQQQ:"y/QQQ",yQQQQ:"yQQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}～{1}",d:{d:"d日～d日"},h:{a:"aK時～aK時",h:"aK時～K時"},H:{H:"H時～H時"},hm:{a:"aK時mm分～aK時mm分",h:"aK時mm分～K時mm分",m:"aK時mm分～K時mm分"},Hm:{H:"H時mm分～H時mm分",m:"H時mm分～H時mm分"},hmv:{a:"aK時mm分～aK時mm分(v)",h:"aK時mm分～K時mm分(v)",m:"aK時mm分～K時mm分(v)"},Hmv:{H:"H時mm分～H時mm分(v)",m:"H時mm分～H時mm分(v)"},hv:{a:"aK時～aK時(v)",h:"aK時～K時(v)"},Hv:{H:"H時～H時(v)"},M:{M:"M月～M月"},Md:{d:"MM/dd～MM/dd",M:"MM/dd～MM/dd"},MEd:{d:"MM/dd(E)～MM/dd(E)",M:"MM/dd(E)～MM/dd(E)"},MMM:{M:"M月～M月"},MMMd:{d:"M月d日～d日",M:"M月d日～M月d日"},MMMEd:{d:"M月d日(E)～d日(E)",M:"M月d日(E)～M月d日(E)"},MMMM:{M:"M月～M月"},y:{y:"y年～y年"},yM:{M:"y/MM～y/MM",y:"y/MM～y/MM"},yMd:{d:"y/MM/dd～y/MM/dd",M:"y/MM/dd～y/MM/dd",y:"y/MM/dd～y/MM/dd"},yMEd:{d:"y/MM/dd(E)～y/MM/dd(E)",M:"y/MM/dd(E)～y/MM/dd(E)",y:"y/MM/dd(E)～y/MM/dd(E)"},yMMM:{M:"y年M月～M月",y:"y年M月～y年M月"},yMMMd:{d:"y年M月d日～d日",M:"y年M月d日～M月d日",y:"y年M月d日～y年M月d日"},yMMMEd:{d:"y年M月d日(E)～d日(E)",M:"y年M月d日(E)～M月d日(E)",y:"y年M月d日(E)～y年M月d日(E)"},yMMMM:{M:"y年M月～M月",y:"y年M月～y年M月"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}時間","regionFormat-type-daylight":"{0}夏時間","regionFormat-type-standard":"{0}標準時",fallbackFormat:"{1}（{0}）"}}},ko:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"},narrow:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"},wide:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"}},"stand-alone":{abbreviated:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"},narrow:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"},wide:{1:"1월",2:"2월",3:"3월",4:"4월",5:"5월",6:"6월",7:"7월",8:"8월",9:"9월",10:"10월",11:"11월",12:"12월"}}},days:{format:{abbreviated:{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},narrow:{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},"short":{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},wide:{sun:"일요일",mon:"월요일",tue:"화요일",wed:"수요일",thu:"목요일",fri:"금요일",sat:"토요일"}},"stand-alone":{abbreviated:{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},narrow:{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},"short":{sun:"일",mon:"월",tue:"화",wed:"수",thu:"목",fri:"금",sat:"토"},wide:{sun:"일요일",mon:"월요일",tue:"화요일",wed:"수요일",thu:"목요일",fri:"금요일",sat:"토요일"}}},quarters:{format:{abbreviated:{1:"1분기",2:"2분기",3:"3분기",4:"4분기"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"제 1/4분기",2:"제 2/4분기",3:"제 3/4분기",4:"제 4/4분기"}},"stand-alone":{abbreviated:{1:"1분기",2:"2분기",3:"3분기",4:"4분기"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"제 1/4분기",2:"제 2/4분기",3:"제 3/4분기",4:"제 4/4분기"}}},dayPeriods:{format:{abbreviated:{am:"오전",pm:"오후"},narrow:{am:"오전",pm:"오후"},wide:{am:"오전",pm:"오후"}},"stand-alone":{abbreviated:{am:"오전",pm:"오후"},narrow:{am:"오전",pm:"오후"},wide:{am:"오전",pm:"오후"}}},eras:{eraNames:{0:"서력기원전",1:"서력기원","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"기원전",1:"서기","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"기원전",1:"서기","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"y년 M월 d일 EEEE","long":"y년 M월 d일",medium:"y. M. d.","short":"yy. M. d."},timeFormats:{full:"a h시 m분 s초 zzzz","long":"a h시 m분 s초 z",medium:"a h:mm:ss","short":"a h:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d일",Ed:"d일 (E)",EEEEd:"d일 EEEE",Ehm:"(E) a h:mm",EHm:"(E) HH:mm",Ehms:"(E) a h:mm:ss",EHms:"(E) HH:mm:ss",Gy:"G y년",GyMMM:"G y년 MMM",GyMMMd:"G y년 MMM d일",GyMMMEd:"G y년 MMM d일 (E)",GyMMMEEEEd:"G y년 MMM d일 EEEE",h:"a h시",H:"H시",HHmmss:"HH:mm:ss",hm:"a h:mm",Hm:"HH:mm",hms:"a h:mm:ss",Hms:"H시 m분 s초",M:"M월",Md:"M. d.",MEd:"M. d. (E)",MEEEEd:"M. d. EEEE",MMM:"LLL",MMMd:"MMM d일",MMMEd:"MMM d일 (E)",MMMEEEEd:"MMM d일 EEEE",mmss:"mm:ss",ms:"mm:ss",y:"y년",yM:"y. M.",yMd:"y. M. d.",yMEd:"y. M. d. (E)",yMEEEEd:"y. M. d. EEEE",yMM:"y. M.",yMMM:"y년 MMM",yMMMd:"y년 MMM d일",yMMMEd:"y년 MMM d일 (E)",yMMMEEEEd:"y년 MMM d일 EEEE",yQQQ:"y년 QQQ",yQQQQ:"y년 QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} ~ {1}",d:{d:"d일 ~ d일"},h:{a:"a h시 ~ a h시",h:"a h시 ~ h시"},H:{H:"HH ~ HH시"},hm:{a:"a h:mm ~ a h:mm",h:"a h:mm~h:mm",m:"a h:mm~h:mm"},Hm:{H:"HH:mm ~ HH:mm",m:"HH:mm ~ HH:mm"},hmv:{a:"a h:mm ~ a h:mm v",h:"a h:mm~h:mm v",m:"a h:mm~h:mm v"},Hmv:{H:"HH:mm ~ HH:mm v",m:"HH:mm ~ HH:mm v"},hv:{a:"a h시 ~ a h시(v)",h:"a h시 ~ h시(v)"},Hv:{H:"HH ~ HH시 v"},M:{M:"M월 ~ M월"},Md:{d:"M. d ~ M. d",M:"M. d ~ M. d"},MEd:{d:"M. d (E) ~ M. d (E)",M:"M. d (E) ~ M. d (E)"},MMM:{M:"MMM ~ MMM"},MMMd:{d:"M월 d일 ~ d일",M:"M월 d일 ~ M월 d일"},MMMEd:{d:"M월 d일 (E) ~ d일 (E)",M:"M월 d일 (E) ~ M월 d일 (E)"},MMMM:{M:"LLLL-LLLL"},y:{y:"y년 ~ y년"},yM:{M:"y. M ~ y. M",y:"y. M ~ y. M"},yMd:{d:"y. M. d. ~ y. M. d.",M:"y. M. d. ~ y. M. d.",y:"y. M. d. ~ y. M. d."},yMEd:{d:"y. M. d. (E) ~ y. M. d. (E)",M:"y. M. d. (E) ~ y. M. d. (E)",y:"y. M. d. (E) ~ y. M. d. (E)"},yMMM:{M:"y년 M월~M월",y:"y년 M월 ~ y년 M월"},yMMMd:{d:"y년 M월 d일~d일",M:"y년 M월 d일 ~ M월 d일",y:"y년 M월 d일 ~ y년 M월 d일"},yMMMEd:{d:"y년 M월 d일 (E) ~ d일 (E)",M:"y년 M월 d일 (E) ~ M월 d일 (E)",y:"y년 M월 d일 (E) ~ y년 M월 d일 (E)"},yMMMEEEEd:{d:"y년 M월 d일 EEEE ~ d일 EEEE",M:"y년 M월 d일 EEEE ~ M월 d일 EEEE",y:"y년 M월 d일 EEEE ~ y년 M월 d일 EEEE"},yMMMM:{M:"y년 MM월 ~ MM월",y:"y년 MM월 ~ y년 MM월"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} 시간","regionFormat-type-daylight":"{0} 일광 절약 시간","regionFormat-type-standard":"{0} 표준시",fallbackFormat:"{1} ({0})"}}},nb:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"feb.",3:"mar.",4:"apr.",5:"mai",6:"jun.",7:"jul.",8:"aug.",9:"sep.",10:"okt.",11:"nov.",12:"des."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januar",2:"februar",3:"mars",4:"april",5:"mai",6:"juni",7:"juli",8:"august",9:"september",10:"oktober",11:"november",12:"desember"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"mai",6:"jun",7:"jul",8:"aug",9:"sep",10:"okt",11:"nov",12:"des"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januar",2:"februar",3:"mars",4:"april",5:"mai",6:"juni",7:"juli",8:"august",9:"september",10:"oktober",11:"november",12:"desember"}}},days:{format:{abbreviated:{sun:"søn.",mon:"man.",tue:"tir.",wed:"ons.",thu:"tor.",fri:"fre.",sat:"lør."},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sø.",mon:"ma.",tue:"ti.",wed:"on.",thu:"to.",fri:"fr.",sat:"lø."},wide:{sun:"søndag",mon:"mandag",tue:"tirsdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lørdag"}},"stand-alone":{abbreviated:{sun:"sø.",mon:"ma.",tue:"ti.",wed:"on.",thu:"to.",fri:"fr.",sat:"lø."},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sø.",mon:"ma.",tue:"ti.",wed:"on.",thu:"to.",fri:"fr.",sat:"lø."},wide:{sun:"søndag",mon:"mandag",tue:"tirsdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lørdag"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}},"stand-alone":{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. kvartal",2:"2. kvartal",3:"3. kvartal",4:"4. kvartal"}}},dayPeriods:{format:{abbreviated:{am:"a.m.",pm:"p.m."},narrow:{am:"a",pm:"p"},wide:{am:"a.m.",pm:"p.m."}},"stand-alone":{abbreviated:{am:"a.m.",pm:"p.m."},narrow:{am:"a",pm:"p"},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"før vår tidsregning","1-alt-variant":"vår tidsregning"},eraAbbr:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"fvt.","1-alt-variant":"vt."},eraNarrow:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"fvt.","1-alt-variant":"vt"}},dateFormats:{full:"EEEE d. MMMM y","long":"d. MMMM y",medium:"d. MMM y","short":"dd.MM.yy"},timeFormats:{full:"HH.mm.ss zzzz","long":"HH.mm.ss z",medium:"HH.mm.ss","short":"HH.mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} 'kl.' {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d.",Ed:"E d.",Ehm:"E h.mm a",EHm:"E HH.mm",Ehms:"E h.mm.ss a",EHms:"E HH.mm.ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d. MMM y G",GyMMMEd:"E d. MMM y G",h:"h a",H:"HH",hm:"h.mm a",Hm:"HH.mm",hms:"h.mm.ss a",Hms:"HH.mm.ss",M:"L.",Md:"d.M.",MEd:"E d.M",MMdd:"d.M.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"E d. MMM",ms:"mm.ss",y:"y",yM:"M.y",yMd:"d.M.y",yMEd:"E d.MM.y",yMM:"MM.y",yMMM:"MMM y",yMMMd:"d. MMM y",yMMMEd:"E d. MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}–{1}",d:{d:"d.–d."},h:{a:"H–H",h:"H–H"},H:{H:"HH–HH"},hm:{a:"H.mm–H.mm",h:"H.mm–H.mm",m:"H.mm–H.mm"},Hm:{H:"HH.mm–HH.mm",m:"HH.mm–HH.mm"},hmv:{a:"H.mm–H.mm v",h:"H.mm–H.mm v",m:"H.mm–H.mm v"},Hmv:{H:"HH.mm–HH.mm v",m:"HH.mm–HH.mm v"},hv:{a:"H–H v",h:"H–H v"},Hv:{H:"HH–HH v"},M:{M:"M.–M."},Md:{d:"dd.MM.–dd.MM.",M:"dd.MM.–dd.MM."},MEd:{d:"E dd.MM.–E dd.MM.",M:"E dd.MM.–E dd.MM."},MMM:{M:"MMM–MMM"},MMMd:{d:"d.–d. MMM",M:"d. MMM–d. MMM"},MMMEd:{d:"E d.–E d. MMM",M:"E d. MMM–E d. MMM"},y:{y:"y–y"},yM:{M:"MM.y–MM.y",y:"MM.y–MM.y"},yMd:{d:"dd.MM.y–dd.MM.y",M:"dd.MM.y–dd.MM.y",y:"dd.MM.y–dd.MM.y"},yMEd:{d:"E dd.MM.y–E dd.MM.y",M:"E dd.MM.y–E dd.MM.y",y:"E dd.MM.y–E dd.MM.y"},yMMM:{M:"MMM–MMM y",y:"MMM y–MMM y"},yMMMd:{d:"d.–d. MMM y",M:"d. MMM–d. MMM y",y:"d. MMM y–d. MMM y"},yMMMEd:{d:"E d.–E d. MMM y",M:"E d. MMM–E d. MMM y",y:"E d. MMM y–E d. MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y–MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH.mm;-HH.mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"tidssone for {0}","regionFormat-type-daylight":"sommertid – {0}","regionFormat-type-standard":"normaltid – {0}",fallbackFormat:"{1} ({0})"}}},nl:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"feb.",3:"mrt.",4:"apr.",5:"mei",6:"jun.",7:"jul.",8:"aug.",9:"sep.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januari",2:"februari",3:"maart",4:"april",5:"mei",6:"juni",7:"juli",8:"augustus",9:"september",10:"oktober",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mrt",4:"apr",5:"mei",6:"jun",7:"jul",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januari",2:"februari",3:"maart",4:"april",5:"mei",6:"juni",7:"juli",8:"augustus",9:"september",10:"oktober",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"zo",mon:"ma",tue:"di",wed:"wo",thu:"do",fri:"vr",sat:"za"},narrow:{sun:"Z",mon:"M",tue:"D",wed:"W",thu:"D",fri:"V",sat:"Z"},"short":{sun:"zo",mon:"ma",tue:"di",wed:"wo",thu:"do",fri:"vr",sat:"za"},wide:{sun:"zondag",mon:"maandag",tue:"dinsdag",wed:"woensdag",thu:"donderdag",fri:"vrijdag",sat:"zaterdag"}},"stand-alone":{abbreviated:{sun:"zo",mon:"ma",tue:"di",wed:"wo",thu:"do",fri:"vr",sat:"za"},narrow:{sun:"Z",mon:"M",tue:"D",wed:"W",thu:"D",fri:"V",sat:"Z"},"short":{sun:"zo",mon:"ma",tue:"di",wed:"wo",thu:"do",fri:"vr",sat:"za"},wide:{sun:"zondag",mon:"maandag",tue:"dinsdag",wed:"woensdag",thu:"donderdag",fri:"vrijdag",sat:"zaterdag"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1e kwartaal",2:"2e kwartaal",3:"3e kwartaal",4:"4e kwartaal"}},"stand-alone":{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1e kwartaal",2:"2e kwartaal",3:"3e kwartaal",4:"4e kwartaal"}}},dayPeriods:{format:{abbreviated:{am:"AM",noon:"12 uur 's middags",pm:"PM"},narrow:{am:"AM",noon:"n",pm:"PM"},wide:{am:"AM",noon:"12 uur 's middags",pm:"PM"}},"stand-alone":{abbreviated:{am:"a.m.",noon:"12 uur 's middags",pm:"p.m."},narrow:{am:"AM",noon:"n",pm:"PM"},wide:{am:"voormiddag",noon:"12 uur 's middags",pm:"p.m."}}},eras:{eraNames:{0:"Voor Christus",1:"na Christus","0-alt-variant":"vóór gewone jaartelling","1-alt-variant":"gewone jaartelling"},eraAbbr:{0:"v.Chr.",1:"n.Chr.","0-alt-variant":"v.g.j.","1-alt-variant":"g.j."},eraNarrow:{0:"v.C.",1:"n.C.","0-alt-variant":"vgj","1-alt-variant":"gj"}},dateFormats:{full:"EEEE d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd-MM-yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d-M",MEd:"E d-M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"M-y",yMd:"d-M-y",yMEd:"E d-M-y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH v"},M:{M:"M-M"},Md:{d:"dd-MM - dd-MM",M:"dd-MM - dd-MM"},MEd:{d:"E dd-MM - E dd-MM",M:"E dd-MM - E dd-MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E d - E d MMM",M:"E d MMM - E d MMM"},MMMM:{M:"MMMM–MMMM"},y:{y:"y-y"},yM:{M:"MM-y - MM-y",y:"MM-y - MM-y"},yMd:{d:"dd-MM-y - dd-MM-y",M:"dd-MM-y - dd-MM-y",y:"dd-MM-y - dd-MM-y"},yMEd:{d:"E dd-MM-y - E dd-MM-y",M:"E dd-MM-y - E dd-MM-y",y:"E dd-MM-y - E dd-MM-y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E d - E d MMM y",M:"E d MMM - E d MMM y",y:"E d MMM y - E d MMM y"},yMMMM:{M:"MMMM-MMMM y",y:"MMMM y - MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}-tijd","regionFormat-type-daylight":"Zomertijd {0}","regionFormat-type-standard":"Standaardtijd {0}",fallbackFormat:"{1} ({0})"}}},pl:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"sty",2:"lut",3:"mar",4:"kwi",5:"maj",6:"cze",7:"lip",8:"sie",9:"wrz",10:"paź",11:"lis",12:"gru"},narrow:{1:"s",2:"l",3:"m",4:"k",5:"m",6:"c",7:"l",8:"s",9:"w",10:"p",11:"l",12:"g"},wide:{1:"stycznia",2:"lutego",3:"marca",4:"kwietnia",5:"maja",6:"czerwca",7:"lipca",8:"sierpnia",9:"września",10:"października",11:"listopada",12:"grudnia"}},"stand-alone":{abbreviated:{1:"sty",2:"lut",3:"mar",4:"kwi",5:"maj",6:"cze",7:"lip",8:"sie",9:"wrz",10:"paź",11:"lis",12:"gru"},narrow:{1:"s",2:"l",3:"m",4:"k",5:"m",6:"c",7:"l",8:"s",9:"w",10:"p",11:"l",12:"g"},wide:{1:"styczeń",2:"luty",3:"marzec",4:"kwiecień",5:"maj",6:"czerwiec",7:"lipiec",8:"sierpień",9:"wrzesień",10:"październik",11:"listopad",12:"grudzień"}}},days:{format:{abbreviated:{sun:"niedz.",mon:"pon.",tue:"wt.",wed:"śr.",thu:"czw.",fri:"pt.",sat:"sob."},narrow:{sun:"N",mon:"P",tue:"W",wed:"Ś",thu:"C",fri:"P",sat:"S"},"short":{sun:"niedz.",mon:"pon.",tue:"wt.",wed:"śr.",thu:"czw.",fri:"pt.",sat:"sob."},wide:{sun:"niedziela",mon:"poniedziałek",tue:"wtorek",wed:"środa",thu:"czwartek",fri:"piątek",sat:"sobota"}},"stand-alone":{abbreviated:{sun:"niedz.",mon:"pon.",tue:"wt.",wed:"śr.",thu:"czw.",fri:"pt.",sat:"sob."},narrow:{sun:"N",mon:"P",tue:"W",wed:"Ś",thu:"C",fri:"P",sat:"S"},"short":{sun:"niedz.",mon:"pon.",tue:"wt.",wed:"śr.",thu:"czw.",fri:"pt.",sat:"sob."},wide:{sun:"niedziela",mon:"poniedziałek",tue:"wtorek",wed:"środa",thu:"czwartek",fri:"piątek",sat:"sobota"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"I kwartał",2:"II kwartał",3:"III kwartał",4:"IV kwartał"}},"stand-alone":{abbreviated:{1:"1 kw.",2:"2 kw.",3:"3 kw.",4:"4 kw."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"I kwartał",2:"II kwartał",3:"III kwartał",4:"IV kwartał"}}},dayPeriods:{format:{abbreviated:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"},narrow:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"},wide:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"}},"stand-alone":{abbreviated:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"},narrow:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"},wide:{afternoon:"po południu",am:"AM",earlyMorning:"nad ranem",evening:"wieczorem",lateMorning:"przed południem",morning:"rano",night:"w nocy",noon:"w południe",pm:"PM"}}},eras:{eraNames:{0:"p.n.e.",1:"n.e.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"p.n.e.",1:"n.e.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"p.n.e.",1:"n.e.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd.MM.y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E, d",Ehm:"E, h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d.MM",MEd:"E, d.MM",MMdd:"d.MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",ms:"mm:ss",y:"y",yM:"MM.y",yMd:"d.MM.y",yMEd:"E, d.MM.y",yMM:"MM.y",yMMM:"LLL y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"LLLL y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"MM-MM"},Md:{d:"dd.MM–dd.MM",M:"dd.MM–dd.MM"},MEd:{d:"E, dd.MM – E, dd.MM",M:"E, dd.MM – E, dd.MM"},MMM:{M:"LLL–LLL"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E, d MMM – E, d MMM",M:"E, d MMM - E, d MMM"},y:{y:"y–y"},yM:{M:"MM.y - MM.y",y:"MM.y - MM.y"},yMd:{d:"dd-dd.MM.y",M:"dd.MM-dd.MM.y",y:"dd.MM.y-dd.MM.y"},yMEd:{d:"E, dd.MM.y - E, dd.MM.y",M:"E, dd.MM.y - E, dd.MM.y",y:"E, dd.MM.y - E, dd.MM.y"},yMMM:{M:"LLL-LLL y",y:"LLL y - LLL y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E, d - E, d MMM y",M:"E, d MMM - E, d MMM y",y:"E, d MMM y - E, d MMM y"},yMMMM:{M:"LLLL-LLLL y",y:"LLLL y - LLLL y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Czas: {0}","regionFormat-type-daylight":"{0} (czas letni)","regionFormat-type-standard":"{0} (czas standardowy)",fallbackFormat:"{1} ({0})"}}},pt:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan",2:"fev",3:"mar",4:"abr",5:"mai",6:"jun",7:"jul",8:"ago",9:"set",10:"out",11:"nov",12:"dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"janeiro",2:"fevereiro",3:"março",4:"abril",5:"maio",6:"junho",7:"julho",8:"agosto",9:"setembro",10:"outubro",11:"novembro",12:"dezembro"}},"stand-alone":{abbreviated:{1:"jan",2:"fev",3:"mar",4:"abr",5:"mai",6:"jun",7:"jul",8:"ago",9:"set",10:"out",11:"nov",12:"dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"janeiro",2:"fevereiro",3:"março",4:"abril",5:"maio",6:"junho",7:"julho",8:"agosto",9:"setembro",10:"outubro",11:"novembro",12:"dezembro"}}},days:{format:{abbreviated:{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},narrow:{sun:"D",mon:"S",tue:"T",wed:"Q",thu:"Q",fri:"S",sat:"S"},"short":{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},wide:{sun:"domingo",mon:"segunda-feira",tue:"terça-feira",wed:"quarta-feira",thu:"quinta-feira",fri:"sexta-feira",sat:"sábado"}},"stand-alone":{abbreviated:{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},narrow:{sun:"D",mon:"S",tue:"T",wed:"Q",thu:"Q",fri:"S",sat:"S"},"short":{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},wide:{sun:"domingo",mon:"segunda-feira",tue:"terça-feira",wed:"quarta-feira",thu:"quinta-feira",fri:"sexta-feira",sat:"sábado"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1º trimestre",2:"2º trimestre",3:"3º trimestre",4:"4º trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1º trimestre",2:"2º trimestre",3:"3º trimestre",4:"4º trimestre"}}},dayPeriods:{format:{abbreviated:{afternoon:"tarde",am:"AM",morning:"manhã",night:"noite",noon:"meio-dia",pm:"PM"},narrow:{afternoon:"tarde",am:"a",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p"},wide:{afternoon:"tarde",am:"AM",morning:"manhã",night:"noite",noon:"meio-dia",pm:"PM"}},"stand-alone":{abbreviated:{afternoon:"tarde",am:"AM",morning:"manhã",night:"noite",noon:"meia-noite",pm:"PM"},narrow:{afternoon:"tarde",am:"a",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p"},wide:{afternoon:"tarde",am:"AM",morning:"manhã",night:"noite",noon:"meio-dia",pm:"PM"}}},eras:{eraNames:{0:"Antes de Cristo",1:"Ano do Senhor","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"a.C.",1:"d.C.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"a.C.",1:"d.C.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d 'de' MMMM 'de' y","long":"d 'de' MMMM 'de' y",medium:"dd/MM/y","short":"dd/MM/yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E, d",Ehm:"E, h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y G",GyMMM:"MMM 'de' y G",GyMMMd:"d 'de' MMM 'de' y G",GyMMMEd:"E, d 'de' MMM 'de' y G",h:"h a",H:"HH",HHmm:"HH:mm",HHmmss:"HH:mm:ss",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d 'de' MMM",MMMEd:"E, d 'de' MMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"dd/MM/y",yMEd:"E, dd/MM/y",yMM:"MM/y",yMMM:"MMM 'de' y",yMMMd:"d 'de' MMM 'de' y",yMMMEd:"E, d 'de' MMM 'de' y",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h'h' a - h'h' a",h:"h'h' - h'h' a"},H:{H:"HH'h' - HH'h'"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a - h a v",h:"h - h a v"},Hv:{H:"HH - HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E, dd/MM - E, dd/MM",M:"E, dd/MM - E, dd/MM"},MMM:{M:"MMM - MMM"},MMMd:{d:"d-d 'de' MMM",M:"d 'de' MMM - d 'de' MMM"},MMMEd:{d:"E, d - E, d 'de' MMM",M:"E, d 'de' MMM - E, d 'de' MMM"},y:{y:"y - y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E, dd/MM/y - E, dd/MM/y",M:"E, dd/MM/y - E, dd/MM/y",y:"E, dd/MM/y - E, dd/MM/y"},yMMM:{M:"MMM-MMM 'de' y",y:"MMM 'de' y - MMM 'de' y"},yMMMd:{d:"d-d 'de' MMM 'de' y",M:"d 'de' MMM - d 'de' MMM 'de' y",y:"d 'de' MMM 'de' y - d 'de' MMM 'de' y"},yMMMEd:{d:"E, d - E, d 'de' MMM 'de' y",M:"E, d 'de' MMM - E, d 'de' MMM 'de' y",y:"E, d 'de' MMM 'de' y - E, d 'de' MMM 'de' y"},yMMMM:{M:"MMMM - MMMM 'de' y",y:"MMMM 'de' y - MMMM 'de' y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Horário {0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},"pt-PT":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Jan",2:"Fev",3:"Mar",4:"Abr",5:"Mai",6:"Jun",7:"Jul",8:"Ago",9:"Set",10:"Out",11:"Nov",12:"Dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Janeiro",2:"Fevereiro",3:"Março",4:"Abril",5:"Maio",6:"Junho",7:"Julho",8:"Agosto",9:"Setembro",10:"Outubro",11:"Novembro",12:"Dezembro"}},"stand-alone":{abbreviated:{1:"Jan",2:"Fev",3:"Mar",4:"Abr",5:"Mai",6:"Jun",7:"Jul",8:"Ago",9:"Set",10:"Out",11:"Nov",12:"Dez"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Janeiro",2:"Fevereiro",3:"Março",4:"Abril",5:"Maio",6:"Junho",7:"Julho",8:"Agosto",9:"Setembro",10:"Outubro",11:"Novembro",12:"Dezembro"}}},days:{format:{abbreviated:{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},narrow:{sun:"D",mon:"S",tue:"T",wed:"Q",thu:"Q",fri:"S",sat:"S"},"short":{sun:"do",mon:"sg",tue:"te",wed:"qu",thu:"qi",fri:"sx",sat:"sb"},wide:{sun:"domingo",mon:"segunda-feira",tue:"terça-feira",wed:"quarta-feira",thu:"quinta-feira",fri:"sexta-feira",sat:"sábado"}},"stand-alone":{abbreviated:{sun:"dom",mon:"seg",tue:"ter",wed:"qua",thu:"qui",fri:"sex",sat:"sáb"},narrow:{sun:"D",mon:"S",tue:"T",wed:"Q",thu:"Q",fri:"S",sat:"S"},"short":{sun:"do",mon:"sg",tue:"te",wed:"qu",thu:"qi",fri:"sx",sat:"sb"},wide:{sun:"domingo",mon:"segunda-feira",tue:"terça-feira",wed:"quarta-feira",thu:"quinta-feira",fri:"sexta-feira",sat:"sábado"}}},quarters:{format:{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1.º trimestre",2:"2.º trimestre",3:"3.º trimestre",4:"4.º trimestre"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1.º trimestre",2:"2.º trimestre",3:"3.º trimestre",4:"4.º trimestre"}}},dayPeriods:{format:{abbreviated:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p.m."},narrow:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p.m."},wide:{afternoon:"tarde",am:"da manhã",morning:"manhã",night:"noite",noon:"meio-dia",pm:"da tarde"}},"stand-alone":{abbreviated:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meia-noite",pm:"p.m."},narrow:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p.m."},wide:{afternoon:"tarde",am:"a.m.",morning:"manhã",night:"noite",noon:"meio-dia",pm:"p.m."}}},eras:{eraNames:{0:"Antes de Cristo",1:"Ano do Senhor","0-alt-variant":"a.E.C.","1-alt-variant":"E.C."},eraAbbr:{0:"a.C.",1:"d.C.","0-alt-variant":"a.E.C.","1-alt-variant":"E.C."},eraNarrow:{0:"a.C.",1:"d.C.","0-alt-variant":"a.E.C.","1-alt-variant":"E.C."}},dateFormats:{full:"EEEE, d 'de' MMMM 'de' y","long":"d 'de' MMMM 'de' y",medium:"dd/MM/y","short":"dd/MM/yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} 'às' {0}","long":"{1} 'às' {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E, d",Ehm:"E, h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y G",GyMMM:"MMM 'de' y G",GyMMMd:"d 'de' MMM 'de' y G",GyMMMEd:"E, d 'de' MMM 'de' y G",h:"h a",H:"HH",HHmm:"HH:mm",HHmmss:"HH:mm:ss",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E, dd/MM",MMdd:"dd/MM",MMM:"LLL",MMMd:"d/MM",MMMEd:"E, d/MM",MMMMd:"d 'de' MMMM",MMMMEd:"E, d 'de' MMMM",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"dd/MM/y",yMEd:"E, dd/MM/y",yMM:"MM/y",yMMM:"MM/y",yMMMd:"d/MM/y",yMMMEd:"E, d/MM/y",yMMMEEEEd:"EEEE, d/MM/y",yMMMM:"MMMM 'de' y",yMMMMd:"d 'de' MMMM 'de' y",yMMMMEd:"E, d 'de' MMMM 'de' y",yQQQ:"QQQQ 'de' y",yQQQQ:"QQQQ 'de' y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d–d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm - h:mm a",m:"h:mm - h:mm a"},Hm:{H:"HH:mm - HH:mm",m:"HH:mm - HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm - h:mm a v",m:"h:mm - h:mm a v"},Hmv:{H:"HH:mm - HH:mm v",m:"HH:mm - HH:mm v"},hv:{a:"h a - h a v",h:"h - h a v"},Hv:{H:"HH - HH v"},M:{M:"M-M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"E, dd/MM - E, dd/MM",M:"E, dd/MM - E, dd/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d 'de' MMM",M:"d 'de' MMM - d 'de' MMM"},MMMEd:{d:"E, d 'de' MMM - E, d 'de' MMM",M:"E, d 'de' MMM - E, d 'de' MMM"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"E, dd/MM/y - E, dd/MM/y",M:"E, dd/MM/y - E, dd/MM/y",y:"E, dd/MM/y - E, dd/MM/y"},yMMM:{M:"MMM-MMM 'de' y",y:"MMM 'de' y - MMM 'de' y"},yMMMd:{d:"d-d 'de' MMM 'de' y",M:"d 'de' MMM - d 'de' MMM 'de' y",y:"d 'de' MMM 'de' y - d 'de' MMM 'de' y"},yMMMEd:{d:"E, d 'de' MMM - E, d 'de' MMM 'de' y",M:"E, d 'de' MMM - E, d 'de' MMM 'de' y",y:"E, d 'de' MMM 'de' y - E, d 'de' MMM 'de' y"},yMMMM:{M:"MMMM - MMMM 'de' y",y:"MMMM 'de' y - MMMM 'de' y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Hora de {0}","regionFormat-type-daylight":"Hora de Verão de {0}","regionFormat-type-standard":"Hora Padrão de {0}",fallbackFormat:"{1} ({0})"}}},ro:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"ian.",2:"feb.",3:"mar.",4:"apr.",5:"mai",6:"iun.",7:"iul.",8:"aug.",9:"sept.",10:"oct.",11:"nov.",12:"dec."},narrow:{1:"I",2:"F",3:"M",4:"A",5:"M",6:"I",7:"I",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"ianuarie",2:"februarie",3:"martie",4:"aprilie",5:"mai",6:"iunie",7:"iulie",8:"august",9:"septembrie",10:"octombrie",11:"noiembrie",12:"decembrie"}},"stand-alone":{abbreviated:{1:"ian.",2:"feb.",3:"mar.",4:"apr.",5:"mai",6:"iun.",7:"iul.",8:"aug.",9:"sept.",10:"oct.",11:"nov.",12:"dec."},narrow:{1:"I",2:"F",3:"M",4:"A",5:"M",6:"I",7:"I",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"ianuarie",2:"februarie",3:"martie",4:"aprilie",5:"mai",6:"iunie",7:"iulie",8:"august",9:"septembrie",10:"octombrie",11:"noiembrie",12:"decembrie"}}},days:{format:{abbreviated:{sun:"Dum",mon:"Lun",tue:"Mar",wed:"Mie",thu:"Joi",fri:"Vin",sat:"Sâm"},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"Du",mon:"Lu",tue:"Ma",wed:"Mi",thu:"Jo",fri:"Vi",sat:"Sâ"},wide:{sun:"duminică",mon:"luni",tue:"marți",wed:"miercuri",thu:"joi",fri:"vineri",sat:"sâmbătă"}},"stand-alone":{abbreviated:{sun:"Dum",mon:"Lun",tue:"Mar",wed:"Mie",thu:"Joi",fri:"Vin",sat:"Sâm"},narrow:{sun:"D",mon:"L",tue:"M",wed:"M",thu:"J",fri:"V",sat:"S"},"short":{sun:"Du",mon:"Lu",tue:"Ma",wed:"Mi",thu:"Jo",fri:"Vi",sat:"Sâ"},wide:{sun:"duminică",mon:"luni",tue:"marți",wed:"miercuri",thu:"joi",fri:"vineri",sat:"sâmbătă"}}},quarters:{format:{abbreviated:{1:"trim. I",2:"trim. II",3:"trim. III",4:"trim. IV"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"trimestrul I",2:"trimestrul al II-lea",3:"trimestrul al III-lea",4:"trimestrul al IV-lea"}},"stand-alone":{abbreviated:{1:"T1",2:"T2",3:"T3",4:"T4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"trimestrul I",2:"trimestrul al II-lea",3:"trimestrul al III-lea",4:"trimestrul al IV-lea"}}},dayPeriods:{format:{abbreviated:{am:"a.m.",pm:"p.m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a.m.",pm:"p.m."}},"stand-alone":{abbreviated:{am:"a.m.",pm:"p.m."},narrow:{am:"a.m.",pm:"p.m."},wide:{am:"a.m.",pm:"p.m."}}},eras:{eraNames:{0:"înainte de Hristos",1:"după Hristos","0-alt-variant":"î.e.n","1-alt-variant":"e.n."},eraAbbr:{0:"î.Hr.",1:"d.Hr.","0-alt-variant":"î.e.n","1-alt-variant":"e.n."},eraNarrow:{0:"î.Hr.",1:"d.Hr.","0-alt-variant":"î.e.n","1-alt-variant":"e.n."}},dateFormats:{full:"EEEE, d MMMM y","long":"d MMMM y",medium:"d MMM y","short":"dd.MM.y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1}, {0}","long":"{1}, {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"dd.MM",MEd:"E, dd.MM",MMdd:"dd.MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"MM.y",yMd:"dd.MM.y",yMEd:"E, dd.MM.y",yMM:"MM.y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH v"},M:{M:"M-M"},Md:{d:"dd.MM - dd.MM",M:"dd.MM - dd.MM"},MEd:{d:"E, dd.MM - E, dd.MM",M:"E, dd.MM - E, dd.MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E, d MMM - E, d MMM",M:"E, d MMM - E, d MMM"},y:{y:"y-y"},yM:{M:"MM.y - MM.y",y:"MM.y - MM.y"},yMd:{d:"dd.MM.y - dd.MM.y",M:"dd.MM.y - dd.MM.y",y:"dd.MM.y - dd.MM.y"},yMEd:{d:"E, dd.MM.y - E, dd.MM.y",M:"E, dd.MM.y - E, dd.MM.y",y:"E, dd.MM.y - E, dd.MM.y"},yMMM:{M:"MMM-MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E, d MMM - E, d MMM y",M:"E, d MMM - E, d MMM y",y:"E, d MMM y - E, d MMM y"},yMMMM:{M:"MMMM - MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Ora din {0}","regionFormat-type-daylight":"Ora de vară din {0}","regionFormat-type-standard":"Ora standard din {0}",fallbackFormat:"{1} ({0})"}}},root:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"M01",2:"M02",3:"M03",4:"M04",5:"M05",6:"M06",7:"M07",8:"M08",9:"M09",10:"M10",11:"M11",12:"M12"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"M01",2:"M02",3:"M03",4:"M04",5:"M05",6:"M06",7:"M07",8:"M08",9:"M09",10:"M10",11:"M11",12:"M12"}},"stand-alone":{abbreviated:{1:"M01",2:"M02",3:"M03",4:"M04",5:"M05",6:"M06",7:"M07",8:"M08",9:"M09",10:"M10",11:"M11",12:"M12"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"M01",2:"M02",3:"M03",4:"M04",5:"M05",6:"M06",7:"M07",8:"M08",9:"M09",10:"M10",11:"M11",12:"M12"}}},days:{format:{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},wide:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"}},"stand-alone":{abbreviated:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},narrow:{sun:"S",mon:"M",tue:"T",wed:"W",thu:"T",fri:"F",sat:"S"},"short":{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"},wide:{sun:"Sun",mon:"Mon",tue:"Tue",wed:"Wed",thu:"Thu",fri:"Fri",sat:"Sat"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"}}},dayPeriods:{format:{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"BCE",1:"CE","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"BCE",1:"CE","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"BCE",1:"CE","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"y MMMM d, EEEE","long":"y MMMM d",medium:"y MMM d","short":"y-MM-dd"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"d, E",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"G y",GyMMM:"G y MMM",GyMMMd:"G y MMM d",GyMMMEd:"G y MMM d, E",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"MM-dd",MEd:"MM-dd, E",MMM:"LLL",MMMd:"MMM d",MMMEd:"MMM d, E",ms:"mm:ss",y:"y",yM:"y-MM",yMd:"y-MM-dd",yMEd:"y-MM-dd, E",yMMM:"y MMM",yMMMd:"y MMM d",yMMMEd:"y MMM d, E",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"MM–MM"},Md:{d:"MM-dd – MM-dd",M:"MM-dd – MM-dd"},MEd:{d:"MM-dd, E – MM-dd, E",M:"MM-dd, E – MM-dd, E"},MMM:{M:"LLL–LLL"},MMMd:{d:"MMM d–d",M:"MMM d – MMM d"},MMMEd:{d:"MMM d, E – MMM d, E",M:"MMM d, E – MMM d, E"},y:{y:"y–y"},yM:{M:"y-MM – y-MM",y:"y-MM – y-MM"},yMd:{d:"y-MM-dd – y-MM-dd",M:"y-MM-dd – y-MM-dd",y:"y-MM-dd – y-MM-dd"},yMEd:{d:"y-MM-dd, E – y-MM-dd, E",M:"y-MM-dd, E – y-MM-dd, E",y:"y-MM-dd, E – y-MM-dd, E"},yMMM:{M:"y MMM–MMM",y:"y MMM – y MMM"},yMMMd:{d:"y MMM d–d",M:"y MMM d – MMM d",y:"y MMM d – y MMM d"},yMMMEd:{d:"y MMM d, E – MMM d, E",M:"y MMM d, E – MMM d, E",y:"y MMM d, E – y MMM d, E"},yMMMM:{M:"y MMMM–MMMM",y:"y MMMM – y MMMM"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},ru:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"янв.",2:"февр.",3:"марта",4:"апр.",5:"мая",6:"июня",7:"июля",8:"авг.",9:"сент.",10:"окт.",11:"нояб.",12:"дек."},narrow:{1:"Я",2:"Ф",3:"М",4:"А",5:"М",6:"И",7:"И",8:"А",9:"С",10:"О",11:"Н",12:"Д"},wide:{1:"января",2:"февраля",3:"марта",4:"апреля",5:"мая",6:"июня",7:"июля",8:"августа",9:"сентября",10:"октября",11:"ноября",12:"декабря"}},"stand-alone":{abbreviated:{1:"Янв.",2:"Февр.",3:"Март",4:"Апр.",5:"Май",6:"Июнь",7:"Июль",8:"Авг.",9:"Сент.",10:"Окт.",11:"Нояб.",12:"Дек."},narrow:{1:"Я",2:"Ф",3:"М",4:"А",5:"М",6:"И",7:"И",8:"А",9:"С",10:"О",11:"Н",12:"Д"},wide:{1:"Январь",2:"Февраль",3:"Март",4:"Апрель",5:"Май",6:"Июнь",7:"Июль",8:"Август",9:"Сентябрь",10:"Октябрь",11:"Ноябрь",12:"Декабрь"}}},days:{format:{abbreviated:{sun:"вс",mon:"пн",tue:"вт",wed:"ср",thu:"чт",fri:"пт",sat:"сб"},narrow:{sun:"вс",mon:"пн",tue:"вт",wed:"ср",thu:"чт",fri:"пт",sat:"сб"},"short":{sun:"вс",mon:"пн",tue:"вт",wed:"ср",thu:"чт",fri:"пт",sat:"сб"},wide:{sun:"воскресенье",mon:"понедельник",tue:"вторник",wed:"среда",thu:"четверг",fri:"пятница",sat:"суббота"}},"stand-alone":{abbreviated:{sun:"Вс",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},narrow:{sun:"В",mon:"П",tue:"В",wed:"С",thu:"Ч",fri:"П",sat:"С"},"short":{sun:"вс",mon:"пн",tue:"вт",wed:"ср",thu:"чт",fri:"пт",sat:"сб"},wide:{sun:"Воскресенье",mon:"Понедельник",tue:"Вторник",wed:"Среда",thu:"Четверг",fri:"Пятница",sat:"Суббота"}}},quarters:{format:{abbreviated:{1:"1-й кв.",2:"2-й кв.",3:"3-й кв.",4:"4-й кв."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1-й квартал",2:"2-й квартал",3:"3-й квартал",4:"4-й квартал"}},"stand-alone":{abbreviated:{1:"1-й кв.",2:"2-й кв.",3:"3-й кв.",4:"4-й кв."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1-й квартал",2:"2-й квартал",3:"3-й квартал",4:"4-й квартал"}}},dayPeriods:{format:{abbreviated:{am:"до полудня",pm:"после полудня"},narrow:{am:"дп",pm:"пп"},wide:{am:"до полудня",pm:"после полудня"}},"stand-alone":{abbreviated:{am:"до полудня",pm:"после полудня"},narrow:{am:"дп",pm:"пп"},wide:{am:"до полудня",pm:"после полудня"}}},eras:{eraNames:{0:"до н.э.",1:"н.э.","0-alt-variant":"BCE","1-alt-variant":"н.э."},eraAbbr:{0:"до н. э.",1:"н. э.","0-alt-variant":"BCE","1-alt-variant":"н.э."},eraNarrow:{0:"до н.э.",1:"н.э.","0-alt-variant":"BCE","1-alt-variant":"н.э."}},dateFormats:{full:"EEEE, d MMMM y 'г'.","long":"d MMMM y 'г'.",medium:"dd MMM y 'г'.","short":"dd.MM.yy"},timeFormats:{full:"H:mm:ss zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1}, {0}","long":"{1}, {0}",medium:"{1}, {0}","short":"{1}, {0}",availableFormats:{d:"d",E:"ccc",Ed:"ccc, d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d MMM y 'г'. G",GyMMMEd:"E, d MMM y G",h:"h a",H:"H",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L",Md:"dd.MM",MEd:"E, dd.MM",MMdd:"dd.MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"ccc, d MMM",ms:"mm:ss",y:"y",yLLLL:"LLLL y",yM:"MM.y",yMd:"dd.MM.y",yMEd:"ccc, d.MM.y 'г'.",yMM:"MM.y",yMMM:"LLL y",yMMMd:"d MMM y 'г'.",yMMMEd:"E, d MMM y",yMMMM:"LLLL y",yQQQ:"QQQ y 'г'.",yQQQQ:"QQQQ y 'г'."},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"H-H"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"H:mm-H:mm",m:"H:mm-H:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"H:mm-H:mm v",m:"H:mm-H:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"H-H v"},M:{M:"M-M"},Md:{d:"dd.MM - dd.MM",M:"dd.MM - dd.MM"},MEd:{d:"E, dd.MM - E, dd.MM",M:"E, dd.MM - E, dd.MM"},MMM:{M:"LLL-MMM"},MMMd:{d:"d-d MMM",M:"d MMM - d MMM"},MMMEd:{d:"ccc, d - E, d MMM",M:"ccc, d MMM - ccc, d MMM"},MMMM:{M:"LLLL-LLLL"},y:{y:"y-y"},yM:{M:"MM.y - MM.y",y:"MM.y - MM.y"},yMd:{d:"dd.MM.y - dd.MM.y",M:"dd.MM.y - dd.MM.y",y:"dd.MM.y - dd.MM.y"},yMEd:{d:"ccc, dd.MM.y - ccc, dd.MM.y",M:"ccc, dd.MM.y - ccc, dd.MM.y",y:"ccc, dd.MM.y - ccc, dd.MM.y"},yMMM:{M:"LLL-LLL y 'г'.",y:"LLL y - LLL y 'г'."},yMMMd:{d:"d-d MMM y 'г'.",M:"d MMM - d MMM y 'г'.",y:"d MMM y - d MMM y 'г'."},yMMMEd:{d:"ccc, d - ccc, d MMM y 'г'.",M:"ccc, d MMM - ccc, d MMM y 'г'.",y:"ccc, d MMM y - ccc, d MMM y 'г'."},yMMMM:{M:"LLLL-LLLL y 'г'.",y:"LLLL y - LLLL y 'г'."}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} время","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},sk:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"máj",6:"jún",7:"júl",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"j",2:"f",3:"m",4:"a",5:"m",6:"j",7:"j",8:"a",9:"s",10:"o",11:"n",12:"d"},wide:{1:"januára",2:"februára",3:"marca",4:"apríla",5:"mája",6:"júna",7:"júla",8:"augusta",9:"septembra",10:"októbra",11:"novembra",12:"decembra"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"máj",6:"jún",7:"júl",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"j",2:"f",3:"m",4:"a",5:"m",6:"j",7:"j",8:"a",9:"s",10:"o",11:"n",12:"d"},wide:{1:"január",2:"február",3:"marec",4:"apríl",5:"máj",6:"jún",7:"júl",8:"august",9:"september",10:"október",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"ne",mon:"po",tue:"ut",wed:"st",thu:"št",fri:"pi",sat:"so"},narrow:{sun:"N",mon:"P",tue:"U",wed:"S",thu:"Š",fri:"P",sat:"S"},"short":{sun:"Ne",mon:"Po",tue:"Ut",wed:"St",thu:"Št",fri:"Pi",sat:"So"},wide:{sun:"nedeľa",mon:"pondelok",tue:"utorok",wed:"streda",thu:"štvrtok",fri:"piatok",sat:"sobota"}},"stand-alone":{abbreviated:{sun:"ne",mon:"po",tue:"ut",wed:"st",thu:"št",fri:"pi",sat:"so"},narrow:{sun:"N",mon:"P",tue:"U",wed:"S",thu:"Š",fri:"P",sat:"S"},"short":{sun:"Ne",mon:"Po",tue:"Ut",wed:"St",thu:"Št",fri:"Pi",sat:"So"},wide:{sun:"nedeľa",mon:"pondelok",tue:"utorok",wed:"streda",thu:"štvrtok",fri:"piatok",sat:"sobota"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. štvrťrok",2:"2. štvrťrok",3:"3. štvrťrok",4:"4. štvrťrok"}},"stand-alone":{abbreviated:{1:"1Q",2:"2Q",3:"3Q",4:"4Q"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. štvrťrok",2:"2. štvrťrok",3:"3. štvrťrok",4:"4. štvrťrok"}}},dayPeriods:{format:{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}},"stand-alone":{abbreviated:{am:"AM",pm:"PM"},narrow:{am:"AM",pm:"PM"},wide:{am:"AM",pm:"PM"}}},eras:{eraNames:{0:"pred n.l.",1:"n.l.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"pred n.l.",1:"n.l.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"pred n.l.",1:"n.l.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d. MMMM y","long":"d. MMMM y",medium:"d.M.y","short":"d.M.y"},timeFormats:{full:"H:mm:ss zzzz","long":"H:mm:ss z",medium:"H:mm:ss","short":"H:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d.",Ed:"E d.",Ehm:"E h:mm",EHm:"E HH:mm",Ehms:"E h:mm:ss",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d.M.y G",GyMMMEd:"E, d. MMM y G",GyMMMMd:"d. MMMM y G",h:"h a",H:"H",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L.",Md:"d.M.",MEd:"E, d.M.",MMM:"LLL",MMMd:"d. MMM.",MMMEd:"E, d. MMM.",MMMMd:"d. MMMM",MMMMEd:"E, d. MMMM",mmss:"mm:ss",ms:"mm:ss",y:"y",yM:"M.y",yMd:"d.M.y",yMEd:"E d. M. y",yMMM:"LLL y",yMMMd:"d.M.y",yMMMEd:"E, d. MMM y",yMMMM:"LLLL y",yMMMMd:"d. MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d. – d."},h:{a:"h a – h a",h:"h – h a"},H:{H:"HH – HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm - h:mm a",m:"h:mm - h:mm a"},Hm:{H:"H:mm – H:mm",m:"H:mm – H:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm - h:mm a v",m:"h:mm - h:mm a v"},Hmv:{H:"H:mm – H:mm v",m:"H:mm – H:mm v"},hv:{a:"h a - h a v",h:"h – h a v"},Hv:{H:"HH – HH v"},M:{M:"M. – M."},Md:{d:"d.M. - d.M.",M:"d.M. - d.M."},MEd:{d:"E, d.M. - E, d.M.",M:"E, d.M. - E, d.M."},MMM:{M:"LLL – LLL"},MMMd:{d:"d. - d. MMM",M:"d. MMM - d. MMM"},MMMEd:{d:"E, d. - E, d. MMM",M:"E, d. MMM - E, d. MMM"},MMMM:{M:"LLLL-LLLL"},y:{y:"y - y"},yM:{M:"M.y - M.y",y:"M.y - M.y"},yMd:{d:"d.M.y - d.M.y",M:"d.M.y - d.M.y",y:"d.M.y - d.M.y"},yMEd:{d:"E, d.M.y - E, d.M.y",M:"E, d.M.y - E, d.M.y",y:"E, d.M.y - E, d.M.y"},yMMM:{M:"LLL - LLL y",y:"LLL y - LLL y"},yMMMd:{d:"d. - d. MMM y",M:"d. MMM - d. MMM y",y:"d. MMM y - d. MMM y"},yMMMEd:{d:"E, d. - E, d. MMM y",M:"E, d. MMM - E, d. MMM y",y:"E, d. MMM y - E, d. MMM y"},yMMMM:{M:"LLLL - LLLL y",y:"LLLL y - LLLL y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Časové pásmo {0}","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},sl:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan.",2:"feb.",3:"mar.",4:"apr.",5:"maj",6:"jun.",7:"jul.",8:"avg.",9:"sep.",10:"okt.",11:"nov.",12:"dec."},narrow:{1:"j",2:"f",3:"m",4:"a",5:"m",6:"j",7:"j",8:"a",9:"s",10:"o",11:"n",12:"d"},wide:{1:"januar",2:"februar",3:"marec",4:"april",5:"maj",6:"junij",7:"julij",8:"avgust",9:"september",10:"oktober",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"maj",6:"jun",7:"jul",8:"avg",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"j",2:"f",3:"m",4:"a",5:"m",6:"j",7:"j",8:"a",9:"s",10:"o",11:"n",12:"d"},wide:{1:"januar",2:"februar",3:"marec",4:"april",5:"maj",6:"junij",7:"julij",8:"avgust",9:"september",10:"oktober",11:"november",12:"december"}}},days:{format:{abbreviated:{sun:"ned.",mon:"pon.",tue:"tor.",wed:"sre.",thu:"čet.",fri:"pet.",sat:"sob."},narrow:{sun:"n",mon:"p",tue:"t",wed:"s",thu:"č",fri:"p",sat:"s"},"short":{sun:"ned.",mon:"pon.",tue:"tor.",wed:"sre.",thu:"čet.",fri:"pet.",sat:"sob."},wide:{sun:"nedelja",mon:"ponedeljek",tue:"torek",wed:"sreda",thu:"četrtek",fri:"petek",sat:"sobota"}},"stand-alone":{abbreviated:{sun:"ned",mon:"pon",tue:"tor",wed:"sre",thu:"čet",fri:"pet",sat:"sob"},narrow:{sun:"n",mon:"p",tue:"t",wed:"s",thu:"č",fri:"p",sat:"s"},"short":{sun:"ned.",mon:"pon.",tue:"tor.",wed:"sre.",thu:"čet.",fri:"pet.",sat:"sob."},wide:{sun:"nedelja",mon:"ponedeljek",tue:"torek",wed:"sreda",thu:"četrtek",fri:"petek",sat:"sobota"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. četrtletje",2:"2. četrtletje",3:"3. četrtletje",4:"4. četrtletje"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1. četrtletje",2:"2. četrtletje",3:"3. četrtletje",4:"4. četrtletje"}}},dayPeriods:{format:{abbreviated:{am:"dop.",pm:"pop."},narrow:{am:"dop.",pm:"pop."},wide:{am:"dop.",pm:"pop."}},"stand-alone":{abbreviated:{am:"dop.",pm:"pop."},narrow:{am:"dop.",pm:"pop."},wide:{am:"dop.",pm:"pop."}}},eras:{eraNames:{0:"pred našim štetjem",1:"naše štetje","0-alt-variant":"BCE","1-alt-variant":"po n. št."},eraAbbr:{0:"pr. n. št.",1:"po Kr.","0-alt-variant":"BCE","1-alt-variant":"po n. št."},eraNarrow:{0:"pr. n. št.",1:"po Kr.","0-alt-variant":"BCE","1-alt-variant":"po n. št."}},dateFormats:{full:"EEEE, dd. MMMM y","long":"dd. MMMM y",medium:"d. MMM y","short":"d. MM. yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E, d.",Ehm:"E h.mm a",EHm:"E HH.mm",Ehms:"E h.mm.ss a",EHms:"E HH.mm.ss",Gy:"y G",GyM:"M/y G",GyMMM:"MMM y G",GyMMMd:"d. MMM y G",GyMMMEd:"E, d. MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d. M.",MEd:"E, d. MM.",MMM:"LLL",MMMd:"d. MMM",MMMEd:"E, d. MMM",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d. M. y",yMEd:"E, d. M. y",yMMM:"MMM y",yMMMd:"d. MMM y",yMMMEd:"E, d. MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d.–d."},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH.mm–HH.mm",m:"HH.mm–HH.mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH.mm–HH.mm v",m:"HH.mm–HH.mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M.–M."},Md:{d:"d. – d. M.",M:"d. M. – d. M."},MEd:{d:"E, d. – E, d. M.",M:"E, d. M. – E, d. M."},MMM:{M:"MMM–MMM"},MMMd:{d:"d.–d. MMM",M:"d. MMM – d. MMM"},MMMEd:{d:"E, d. – E, d. MMM",M:"E, d. MMM – E, d. MMM"},y:{y:"y–y"},yM:{M:"M.–M. y",y:"M. y – M. y"},yMd:{d:"d. M. y – d. M. y",M:"d. M. – d. M. y",y:"d. M. y – d. M. y"},yMEd:{d:"E, d. – E, d. M. y",M:"E, d. M. – E, d. M. y",y:"E, d. M. y – E, d. M. y"},yMMM:{M:"MMM – MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d.–d. MMM y",M:"d. MMM – d. MMM y",y:"d. MMM y – d. MMM y"},yMMMEd:{d:"E, d. MMM – E, d. MMM y",M:"E, d. MMM – E, d. MMM y",y:"E, d. MMM y – E, d. MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} čas","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1} ({0})"}}},sr:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"јан",2:"феб",3:"мар",4:"апр",5:"мај",6:"јун",7:"јул",8:"авг",9:"сеп",10:"окт",11:"нов",12:"дец"},narrow:{1:"ј",2:"ф",3:"м",4:"а",5:"м",6:"ј",7:"ј",8:"а",9:"с",10:"о",11:"н",12:"д"},wide:{1:"јануар",2:"фебруар",3:"март",4:"април",5:"мај",6:"јун",7:"јул",8:"август",9:"септембар",10:"октобар",11:"новембар",12:"децембар"}},"stand-alone":{abbreviated:{1:"јан",2:"феб",3:"мар",4:"апр",5:"мај",6:"јун",7:"јул",8:"авг",9:"сеп",10:"окт",11:"нов",12:"дец"},narrow:{1:"ј",2:"ф",3:"м",4:"а",5:"м",6:"ј",7:"ј",8:"а",9:"с",10:"о",11:"н",12:"д"},wide:{1:"јануар",2:"фебруар",3:"март",4:"април",5:"мај",6:"јун",7:"јул",8:"август",9:"септембар",10:"октобар",11:"новембар",12:"децембар"}}},days:{format:{abbreviated:{sun:"нед",mon:"пон",tue:"уто",wed:"сре",thu:"чет",fri:"пет",sat:"суб"},narrow:{sun:"н",mon:"п",tue:"у",wed:"с",thu:"ч",fri:"п",sat:"с"},"short":{sun:"нед",mon:"пон",tue:"уто",wed:"сре",thu:"чет",fri:"пет",sat:"суб"},wide:{sun:"недеља",mon:"понедељак",tue:"уторак",wed:"среда",thu:"четвртак",fri:"петак",sat:"субота"}},"stand-alone":{abbreviated:{sun:"нед",mon:"пон",tue:"уто",wed:"сре",thu:"чет",fri:"пет",sat:"суб"},narrow:{sun:"н",mon:"п",tue:"у",wed:"с",thu:"ч",fri:"п",sat:"с"},"short":{sun:"не",mon:"по",tue:"ут",wed:"ср",thu:"че",fri:"пе",sat:"су"},wide:{sun:"недеља",mon:"понедељак",tue:"уторак",wed:"среда",thu:"четвртак",fri:"петак",sat:"субота"}}},quarters:{format:{abbreviated:{1:"К1",2:"К2",3:"К3",4:"К4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"Прво тромесечје",2:"Друго тромесечје",3:"Треће тромесечје",4:"Четврто тромесечје"}},"stand-alone":{abbreviated:{1:"К1",2:"К2",3:"К3",4:"К4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"Прво тромесечје",2:"Друго тромесечје",3:"Треће тромесечје",4:"Четврто тромесечје"}}},dayPeriods:{format:{abbreviated:{am:"пре подне",pm:"поподне"},narrow:{am:"пре подне",pm:"поподне"},wide:{am:"пре подне",pm:"поподне"}},"stand-alone":{abbreviated:{am:"пре подне",pm:"поподне"},narrow:{am:"пре подне",pm:"поподне"},wide:{am:"пре подне",pm:"поподне"}}},eras:{eraNames:{0:"Пре нове ере",1:"Нове ере","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"п. н. е.",1:"н. е.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"п.н.е.",1:"н.е.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, dd. MMMM y.","long":"dd. MMMM y.",medium:"dd.MM.y.","short":"d.M.yy."},timeFormats:{full:"HH.mm.ss zzzz","long":"HH.mm.ss z",medium:"HH.mm.ss","short":"HH.mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d.",Ehm:"E, h:mm a",EHm:"E, HH:mm",Ehms:"E, h:mm:ss a",EHms:"E, HH:mm:ss",Gy:"y. G",GyMMM:"MMM y. G",GyMMMd:"d. MMM y. G",GyMMMEd:"E, d. MMM y. G",h:"hh a",H:"HH",hm:"hh.mm a",Hm:"HH.mm",hms:"hh.mm.ss a",Hms:"HH.mm.ss",M:"L",Md:"d/M",MEd:"E, M-d",MMdd:"MM-dd",MMM:"LLL",MMMd:"d. MMM",MMMdd:"dd.MMM",MMMEd:"E d. MMM",MMMMd:"d. MMMM",MMMMdd:"dd. MMMM",MMMMEd:"E d. MMMM",ms:"mm.ss",y:"y.",yM:"y-M",yMd:"d. M. y.",yMEd:"E, d. M. y.",yMM:"MM.y",yMMdd:"dd.MM.y",yMMM:"MMM y.",yMMMd:"d. MMM y.",yMMMEd:"E, d. MMM y.",yMMMM:"MMMM y.",yQQQ:"QQQ. y",yQQQQ:"QQQQ. y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH-HH"},hm:{a:"h.mm a - h.mm a",h:"h.mm-h.mm a",m:"h.mm-h.mm a"},Hm:{H:"HH.mm-HH.mm",m:"HH.mm-HH.mm"},hmv:{a:"h.mm a - h.mm a v",h:"h.mm-h.mm a v",m:"h.mm-h.mm a v"},Hmv:{H:"HH.mm-HH.mm v",m:"HH.mm-HH.mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH-HH v"},M:{M:"M-M"},Md:{d:"d.M - d.M",M:"d.M - d.M"},MEd:{d:"E, d.M - E, d.M",M:"E, d.M - E, d.M"},MMM:{M:"MMM-MMM"},MMMd:{d:"dd.-dd. MMM",M:"dd. MMM - dd. MMM"},MMMEd:{d:"E, dd. - E, dd. MMM",M:"E, dd. MMM - E, dd. MMM"},y:{y:"y-y"},yM:{M:"y M - M",y:"y M - M"},yMd:{d:"d.M.y. - d.M.y.",M:"d.M.y. - d.M.y.",y:"d.M.y. - d.M.y."},yMEd:{d:"E, d.M.y. - E, d.M.y.",M:"E, d.M.y. - E, d.M.y.",y:"E, d.M.y. - E, d.M.y."},yMMM:{M:"MMM-MMM y.",y:"MMM y. - MMM y."},yMMMd:{d:"dd.-dd. MMM y.",M:"dd. MMM - dd. MMM y.",y:"dd. MMM y. - dd. MMM y."},yMMMEd:{d:"E, dd. - E, dd. MMM y.",M:"E, dd. MMM - E, dd. MMM y.",y:"E, dd. MMM y. - E, dd. MMM y."},yMMMM:{M:"y-MM – MM",y:"y-MM – y-MM"}}}}},timeZoneNames:{hourFormat:"+HHmm;-HHmm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Време у земљи: {0}","regionFormat-type-daylight":"{0}, летње време","regionFormat-type-standard":"{0}, стандардно време",fallbackFormat:"{1} ({0})"}}},sv:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"jan",2:"feb",3:"mar",4:"apr",5:"maj",6:"jun",7:"jul",8:"aug",9:"sep",10:"okt",11:"nov",12:"dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"januari",2:"februari",3:"mars",4:"april",5:"maj",6:"juni",7:"juli",8:"augusti",9:"september",10:"oktober",11:"november",12:"december"}},"stand-alone":{abbreviated:{1:"Jan",2:"Feb",3:"Mar",4:"Apr",5:"Maj",6:"Jun",7:"Jul",8:"Aug",9:"Sep",10:"Okt",11:"Nov",12:"Dec"},narrow:{1:"J",2:"F",3:"M",4:"A",5:"M",6:"J",7:"J",8:"A",9:"S",10:"O",11:"N",12:"D"},wide:{1:"Januari",2:"Februari",3:"Mars",4:"April",5:"Maj",6:"Juni",7:"Juli",8:"Augusti",9:"September",10:"Oktober",11:"November",12:"December"}}},days:{format:{abbreviated:{sun:"sön",mon:"mån",tue:"tis",wed:"ons",thu:"tors",fri:"fre",sat:"lör"},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"sö",mon:"må",tue:"ti",wed:"on",thu:"to",fri:"fr",sat:"lö"},wide:{sun:"söndag",mon:"måndag",tue:"tisdag",wed:"onsdag",thu:"torsdag",fri:"fredag",sat:"lördag"}},"stand-alone":{abbreviated:{sun:"Sön",mon:"Mån",tue:"Tis",wed:"Ons",thu:"Tor",fri:"Fre",sat:"Lör"},narrow:{sun:"S",mon:"M",tue:"T",wed:"O",thu:"T",fri:"F",sat:"L"},"short":{sun:"Sö",mon:"Må",tue:"Ti",wed:"On",thu:"To",fri:"Fr",sat:"Lö"},wide:{sun:"Söndag",mon:"Måndag",tue:"Tisdag",wed:"Onsdag",thu:"Torsdag",fri:"Fredag",sat:"Lördag"}}},quarters:{format:{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1:a kvartalet",2:"2:a kvartalet",3:"3:e kvartalet",4:"4:e kvartalet"}},"stand-alone":{abbreviated:{1:"K1",2:"K2",3:"K3",4:"K4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1:a kvartalet",2:"2:a kvartalet",3:"3:e kvartalet",4:"4:e kvartalet"}}},dayPeriods:{format:{abbreviated:{am:"FM",pm:"EM"},narrow:{am:"f",pm:"e"},wide:{am:"fm",pm:"em"}},"stand-alone":{abbreviated:{am:"fm",pm:"em"},narrow:{am:"f.m.",pm:"e.m."},wide:{am:"förmiddag",pm:"eftermiddag"}}},eras:{eraNames:{0:"före Kristus",1:"efter Kristus","0-alt-variant":"före västerländsk tideräkning","1-alt-variant":"västerländsk tideräkning"},eraAbbr:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"f.v.t.","1-alt-variant":"v.t."},eraNarrow:{0:"f.Kr.",1:"e.Kr.","0-alt-variant":"fvt","1-alt-variant":"vt"}},dateFormats:{full:"EEEE'en' 'den' d:'e' MMMM y","long":"d MMMM y",medium:"d MMM y","short":"y-MM-dd"},timeFormats:{full:"'kl'. HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"MMM y G",GyMMMd:"d MMM y G",GyMMMEd:"E d MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMd:"d/M",MMdd:"dd/MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d:'e' MMMM",MMMMEd:"E d:'e' MMMM",ms:"mm:ss",y:"y",yM:"y-MM",yMd:"y-MM-dd",yMEd:"E, y-MM-dd",yMM:"y-MM",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yQQQ:"y QQQ",yQQQQ:"y QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"d–d/M",M:"d/M – d/M"},MEd:{d:"E d/M – E d/M",M:"E d/M – E d/M"},MMM:{M:"MMM–MMM"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E d – E d MMM",M:"E d MMM – E d MMM"},y:{y:"y–y"},yM:{M:"y-MM – MM",y:"y-MM – y-MM"},yMd:{d:"y-MM-dd – dd",M:"y-MM-dd – MM-dd",y:"y-MM-dd – y-MM-dd"},yMEd:{d:"E, y-MM-dd – E, y-MM-dd",M:"E, y-MM-dd – E, y-MM-dd",y:"E, y-MM-dd – E, y-MM-dd"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM–d MMM y",y:"d MMM y–d MMM y"},yMMMEd:{d:"E dd MMM–E dd MMM y",M:"E dd MMM–E dd MMM y",y:"E dd MMM y–E dd MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;−HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}tid","regionFormat-type-daylight":"{0} (sommartid)","regionFormat-type-standard":"{0} (normaltid)",fallbackFormat:"{1} ({0})"}}},th:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"ม.ค.",2:"ก.พ.",3:"มี.ค.",4:"เม.ย.",5:"พ.ค.",6:"มิ.ย.",7:"ก.ค.",8:"ส.ค.",9:"ก.ย.",10:"ต.ค.",11:"พ.ย.",12:"ธ.ค."},narrow:{1:"ม.ค.",2:"ก.พ.",3:"มี.ค.",4:"เม.ย.",5:"พ.ค.",6:"มิ.ย.",7:"ก.ค.",8:"ส.ค.",9:"ก.ย.",10:"ต.ค.",11:"พ.ย.",12:"ธ.ค."},wide:{1:"มกราคม",2:"กุมภาพันธ์",3:"มีนาคม",4:"เมษายน",5:"พฤษภาคม",6:"มิถุนายน",7:"กรกฎาคม",8:"สิงหาคม",9:"กันยายน",10:"ตุลาคม",11:"พฤศจิกายน",12:"ธันวาคม"}},"stand-alone":{abbreviated:{1:"ม.ค.",2:"ก.พ.",3:"มี.ค.",4:"เม.ย.",5:"พ.ค.",6:"มิ.ย.",7:"ก.ค.",8:"ส.ค.",9:"ก.ย.",10:"ต.ค.",11:"พ.ย.",12:"ธ.ค."},narrow:{1:"ม.ค.",2:"ก.พ.",3:"มี.ค.",4:"เม.ย.",5:"พ.ค.",6:"มิ.ย.",7:"ก.ค.",8:"ส.ค.",9:"ก.ย.",10:"ต.ค.",11:"พ.ย.",12:"ธ.ค."},wide:{1:"มกราคม",2:"กุมภาพันธ์",3:"มีนาคม",4:"เมษายน",5:"พฤษภาคม",6:"มิถุนายน",7:"กรกฎาคม",8:"สิงหาคม",9:"กันยายน",10:"ตุลาคม",11:"พฤศจิกายน",12:"ธันวาคม"}}},days:{format:{abbreviated:{sun:"อา.",mon:"จ.",tue:"อ.",wed:"พ.",thu:"พฤ.",fri:"ศ.",sat:"ส."},narrow:{sun:"อา",mon:"จ",tue:"อ",wed:"พ",thu:"พฤ",fri:"ศ",sat:"ส"},"short":{sun:"อา.",mon:"จ.",tue:"อ.",wed:"พ.",thu:"พฤ.",fri:"ศ.",sat:"ส."},wide:{sun:"วันอาทิตย์",mon:"วันจันทร์",tue:"วันอังคาร",wed:"วันพุธ",thu:"วันพฤหัสบดี",fri:"วันศุกร์",sat:"วันเสาร์"}},"stand-alone":{abbreviated:{sun:"อา.",mon:"จ.",tue:"อ.",wed:"พ.",thu:"พฤ.",fri:"ศ.",sat:"ส."},narrow:{sun:"อา",mon:"จ",tue:"อ",wed:"พ",thu:"พฤ",fri:"ศ",sat:"ส"},"short":{sun:"อา.",mon:"จ.",tue:"อ.",wed:"พ.",thu:"พฤ.",fri:"ศ.",sat:"ส."},wide:{sun:"วันอาทิตย์",mon:"วันจันทร์",tue:"วันอังคาร",wed:"วันพุธ",thu:"วันพฤหัสบดี",fri:"วันศุกร์",sat:"วันเสาร์"}}},quarters:{format:{abbreviated:{1:"ไตรมาส 1",2:"ไตรมาส 2",3:"ไตรมาส 3",4:"ไตรมาส 4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"ไตรมาส 1",2:"ไตรมาส 2",3:"ไตรมาส 3",4:"ไตรมาส 4"}},"stand-alone":{abbreviated:{1:"ไตรมาส 1",2:"ไตรมาส 2",3:"ไตรมาส 3",4:"ไตรมาส 4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"ไตรมาส 1",2:"ไตรมาส 2",3:"ไตรมาส 3",4:"ไตรมาส 4"}}},dayPeriods:{format:{abbreviated:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"},narrow:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"},wide:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"}},"stand-alone":{abbreviated:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"},narrow:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"},wide:{am:"ก่อนเที่ยง",pm:"หลังเที่ยง"}}},eras:{eraNames:{0:"ปีก่อนคริสต์ศักราช",1:"คริสต์ศักราช","0-alt-variant":"ก่อนสามัญศักราช","1-alt-variant":"สามัญศักราช"},eraAbbr:{0:"ปีก่อน ค.ศ.",1:"ค.ศ.","0-alt-variant":"ก.ส.ศ.","1-alt-variant":"ส.ศ."},eraNarrow:{0:"ก่อน ค.ศ.",1:"ค.ศ.","0-alt-variant":"ก.ส.ศ.","1-alt-variant":"ส.ศ."}},dateFormats:{full:"EEEEที่ d MMMM G y","long":"d MMMM y",medium:"d MMM y","short":"d/M/yy"},timeFormats:{full:"H นาฬิกา mm นาที ss วินาที zzzz","long":"H นาฬิกา mm นาที ss วินาที z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"G y",GyMMM:"MMM G y",GyMMMd:"d MMM G y",GyMMMEd:"E d MMM G y",h:"h a",H:"HH",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"d/M",MEd:"E d/M",MMM:"LLL",MMMd:"d MMM",MMMEd:"E d MMM",MMMMd:"d MMMM",MMMMEd:"E d MMMM",mmss:"mm:ss",ms:"mm:ss",y:"y",yM:"M/y",yMd:"d/M/y",yMEd:"E d/M/y",yMMM:"MMM y",yMMMd:"d MMM y",yMMMEd:"E d MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d-d"},h:{a:"h a - h a",h:"h-h a"},H:{H:"HH–HH"},hm:{a:"h:mm a - h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a - h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"H:mm-H:mm v",m:"H:mm-H:mm v"},hv:{a:"h a - h a v",h:"h-h a v"},Hv:{H:"HH–HH v"},M:{M:"M-M"},Md:{d:"d/M - d/M",M:"d/M - d/M"},MEd:{d:"E d - E d/M",M:"E d - E d/M"},MMM:{M:"LLL-LLL"},MMMd:{d:"d - d MMM",M:"d MMM - d MMM"},MMMEd:{d:"E d - E d MMM",M:"E d MMM - E d MMM"},y:{y:"y-y"},yM:{M:"M/y - M/y",y:"M/y - M/y"},yMd:{d:"d-d/M/y",M:"d/M/y - d/M/y",y:"d/M/y - d/M/y"},yMEd:{d:"E d - E d/M/y",M:"E d/M/y - E d/M/y",y:"E d/M/y - E d/M/y"},yMMM:{M:"MMM–MMM y",y:"MMM y - MMM y"},yMMMd:{d:"d-d MMM y",M:"d MMM - d MMM y",y:"d MMM y - d MMM y"},yMMMEd:{d:"E d - E d MMM y",M:"E d MMM - E d MMM y",y:"E d MMM y - E d MMM y"},yMMMM:{M:"MMMM–MMMM y",y:"MMMM y - MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"เวลา{0}","regionFormat-type-daylight":"เวลาออมแสง{0}","regionFormat-type-standard":"เวลามาตรฐาน{0}",fallbackFormat:"{1} ({0})"}}},tr:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"Oca",2:"Şub",3:"Mar",4:"Nis",5:"May",6:"Haz",7:"Tem",8:"Ağu",9:"Eyl",10:"Eki",11:"Kas",12:"Ara"},narrow:{1:"O",2:"Ş",3:"M",4:"N",5:"M",6:"H",7:"T",8:"A",9:"E",10:"E",11:"K",12:"A"},wide:{1:"Ocak",2:"Şubat",3:"Mart",4:"Nisan",5:"Mayıs",6:"Haziran",7:"Temmuz",8:"Ağustos",9:"Eylül",10:"Ekim",11:"Kasım",12:"Aralık"}},"stand-alone":{abbreviated:{1:"Oca",2:"Şub",3:"Mar",4:"Nis",5:"May",6:"Haz",7:"Tem",8:"Ağu",9:"Eyl",10:"Eki",11:"Kas",12:"Ara"},narrow:{1:"O",2:"Ş",3:"M",4:"N",5:"M",6:"H",7:"T",8:"A",9:"E",10:"E",11:"K",12:"A"},wide:{1:"Ocak",2:"Şubat",3:"Mart",4:"Nisan",5:"Mayıs",6:"Haziran",7:"Temmuz",8:"Ağustos",9:"Eylül",10:"Ekim",11:"Kasım",12:"Aralık"}}},days:{format:{abbreviated:{sun:"Paz",mon:"Pzt",tue:"Sal",wed:"Çar",thu:"Per",fri:"Cum",sat:"Cmt"},narrow:{sun:"P",mon:"P",tue:"S",wed:"Ç",thu:"P",fri:"C",sat:"C"},"short":{sun:"Pa",mon:"Pt",tue:"Sa",wed:"Ça",thu:"Pe",fri:"Cu",sat:"Ct"},wide:{sun:"Pazar",mon:"Pazartesi",tue:"Salı",wed:"Çarşamba",thu:"Perşembe",fri:"Cuma",sat:"Cumartesi"}},"stand-alone":{abbreviated:{sun:"Paz",mon:"Pzt",tue:"Sal",wed:"Çar",thu:"Per",fri:"Cum",sat:"Cmt"},narrow:{sun:"P",mon:"P",tue:"S",wed:"Ç",thu:"P",fri:"C",sat:"C"},"short":{sun:"Pa",mon:"Pt",tue:"Sa",wed:"Ça",thu:"Pe",fri:"Cu",sat:"Ct"},wide:{sun:"Pazar",mon:"Pazartesi",tue:"Salı",wed:"Çarşamba",thu:"Perşembe",fri:"Cuma",sat:"Cumartesi"}}},quarters:{format:{abbreviated:{1:"Ç1",2:"Ç2",3:"Ç3",4:"Ç4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. çeyrek",2:"2. çeyrek",3:"3. çeyrek",4:"4. çeyrek"}},"stand-alone":{abbreviated:{1:"Ç1",2:"Ç2",3:"Ç3",4:"Ç4"},narrow:{1:"1.",2:"2.",3:"3.",4:"4."},wide:{1:"1. çeyrek",2:"2. çeyrek",3:"3. çeyrek",4:"4. çeyrek"}}},dayPeriods:{format:{abbreviated:{am:"ÖÖ",pm:"ÖS"},narrow:{am:"ÖÖ",pm:"ÖS"},wide:{am:"ÖÖ",pm:"ÖS"}},"stand-alone":{abbreviated:{am:"ÖÖ",pm:"ÖS"},narrow:{am:"ÖÖ",pm:"ÖS"},wide:{am:"ÖÖ",pm:"ÖS"}}},eras:{eraNames:{0:"Milattan Önce",1:"Milattan Sonra","0-alt-variant":"İÖ","1-alt-variant":"İS"},eraAbbr:{0:"MÖ",1:"MS","0-alt-variant":"İÖ","1-alt-variant":"İS"},eraNarrow:{0:"MÖ",1:"MS","0-alt-variant":"İÖ","1-alt-variant":"İS"}},dateFormats:{full:"d MMMM y EEEE","long":"d MMMM y",medium:"d MMM y","short":"d.MM.y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"d E",Ehm:"E a h:mm",EHm:"E HH:mm",Ehms:"E a h:mm:ss",EHms:"E HH:mm:ss",Gy:"G y",GyMMM:"G MMM y",GyMMMd:"G dd MMM y",GyMMMEd:"G d MMM y E",h:"a h",H:"HH",hm:"a h:mm",Hm:"HH:mm",hms:"a h:mm:ss",Hms:"HH:mm:ss",M:"L",Md:"dd/MM",MEd:"dd/MM E",MMM:"LLL",MMMd:"d MMM",MMMEd:"d MMMM E",MMMMd:"dd MMMM",MMMMEd:"dd MMMM E",mmss:"mm:ss",ms:"mm:ss",y:"y",yM:"MM/y",yMd:"dd.MM.y",yMEd:"dd.MM.y E",yMM:"MM.y",yMMM:"MMM y",yMMMd:"dd MMM y",yMMMEd:"d MMM y E",yMMMM:"MMMM y",yQQQ:"y/QQQ",yQQQQ:"y/QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"a h – a h",h:"a h–h"},H:{H:"HH–HH"},hm:{a:"a h:mm – a h:mm",h:"a h:mm–h:mm",m:"a h:mm–h:mm"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"a h:mm – a h:mm v",h:"a h:mm–h:mm v",m:"a h:mm–h:mm v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"a h – a h v",h:"a h–h v"},Hv:{H:"HH–HH v"},M:{M:"MM–MM"},Md:{d:"dd/MM – dd/MM",M:"dd/MM – dd/MM"},MEd:{d:"dd/MM E – dd/MM E",M:"dd/MM E – dd/MM E"},MMM:{M:"MMM–MMM"},MMMd:{d:"d – d MMM",M:"d MMM – d MMM"},MMMEd:{d:"d MMM E – d MMM E",M:"d MMM E – d MMM E"},y:{y:"y–y"},yM:{M:"MM/y – MM/y",y:"MM/y – MM/y"},yMd:{d:"dd.MM.y – dd.MM.y",M:"dd.MM.y – dd.MM.y",y:"dd.MM.y – dd.MM.y"},yMEd:{d:"dd.MM.y E – dd.MM.y E",M:"dd.MM.y E – dd.MM.y E",y:"dd.MM.y E – dd.MM.y E"},yMMM:{M:"MMM–MMM y",y:"MMM y – MMM y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"d MMM y E – d MMM y E",M:"d MMM y E – d MMM y E",y:"d MMM y E – d MMM y E"},yMMMM:{M:"MMMM – MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0} Saati","regionFormat-type-daylight":"{0} Yaz Saati","regionFormat-type-standard":"{0} Standart Saati",fallbackFormat:"{1} ({0})"}}},uk:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"січ.",2:"лют.",3:"бер.",4:"квіт.",5:"трав.",6:"черв.",7:"лип.",8:"серп.",9:"вер.",10:"жовт.",11:"лист.",12:"груд."},narrow:{1:"С",2:"Л",3:"Б",4:"К",5:"Т",6:"Ч",7:"Л",8:"С",9:"В",10:"Ж",11:"Л",12:"Г"},wide:{1:"січня",2:"лютого",3:"березня",4:"квітня",5:"травня",6:"червня",7:"липня",8:"серпня",9:"вересня",10:"жовтня",11:"листопада",12:"грудня"}},"stand-alone":{abbreviated:{1:"Січ",2:"Лют",3:"Бер",4:"Кві",5:"Тра",6:"Чер",7:"Лип",8:"Сер",9:"Вер",10:"Жов",11:"Лис",12:"Гру"},narrow:{1:"С",2:"Л",3:"Б",4:"К",5:"Т",6:"Ч",7:"Л",8:"С",9:"В",10:"Ж",11:"Л",12:"Г"},wide:{1:"Січень",2:"Лютий",3:"Березень",4:"Квітень",5:"Травень",6:"Червень",7:"Липень",8:"Серпень",9:"Вересень",10:"Жовтень",11:"Листопад",12:"Грудень"}}},days:{format:{abbreviated:{sun:"Нд",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},narrow:{sun:"Н",mon:"П",tue:"В",wed:"С",thu:"Ч",fri:"П",sat:"С"},"short":{sun:"Нд",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},wide:{sun:"неділя",mon:"понеділок",tue:"вівторок",wed:"середа",thu:"четвер",fri:"пʼятниця",sat:"субота"}},"stand-alone":{abbreviated:{sun:"Нд",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},narrow:{sun:"Н",mon:"П",tue:"В",wed:"С",thu:"Ч",fri:"П",sat:"С"},"short":{sun:"Нд",mon:"Пн",tue:"Вт",wed:"Ср",thu:"Чт",fri:"Пт",sat:"Сб"},wide:{sun:"Неділя",mon:"Понеділок",tue:"Вівторок",wed:"Середа",thu:"Четвер",fri:"Пʼятниця",sat:"Субота"}}},quarters:{format:{abbreviated:{1:"I кв.",2:"II кв.",3:"III кв.",4:"IV кв."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"I квартал",2:"II квартал",3:"III квартал",4:"IV квартал"}},"stand-alone":{abbreviated:{1:"1-й кв.",2:"2-й кв.",3:"3-й кв.",4:"4-й кв."},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"1-й квартал",2:"2-й квартал",3:"3-й квартал",4:"4-й квартал"}}},dayPeriods:{format:{abbreviated:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"},narrow:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"},wide:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"}},"stand-alone":{abbreviated:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"},narrow:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"},wide:{afternoon:"дня",am:"дп",evening:"вечора",morning:"ранку",night:"ночі",pm:"пп"}}},eras:{eraNames:{0:"до нашої ери",1:"нашої ери","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"до н.е.",1:"н.е.","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"до н.е.",1:"н.е.","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, d MMMM y 'р'.","long":"d MMMM y 'р'.",medium:"d MMM y","short":"dd.MM.yy"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d",Ed:"E, d",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"y G",GyMMM:"LLL y G",GyMMMd:"d MMM y G",GyMMMEd:"E, d MMM y G",h:"h a",H:"HH",HHmm:"HH:mm",HHmmss:"HH:mm:ss",hm:"h:mm a",Hm:"HH:mm",hms:"h:mm:ss a",Hms:"HH:mm:ss",M:"L",Md:"dd.MM",MEd:"E, dd.MM",MMM:"LLL",MMMd:"d MMM",MMMEd:"E, d MMM",MMMMd:"d MMMM",MMMMEd:"E, d MMMM",ms:"mm:ss",y:"y",yM:"MM.y",yMd:"dd.MM.y",yMEd:"E, dd.MM.y",yMMM:"LLL y",yMMMd:"d MMM y",yMMMEd:"E, d MMM y",yMMMM:"LLLL y",yQQQ:"QQQ y",yQQQQ:"QQQQ y 'р'."},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d"},h:{a:"h a – h a",h:"h–h a"},H:{H:"HH–HH"},hm:{a:"h:mm a – h:mm a",h:"h:mm–h:mm a",m:"h:mm–h:mm a"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm–h:mm a v",m:"h:mm–h:mm a v"},Hmv:{H:"HH:mm–HH:mm v",m:"HH:mm–HH:mm v"},hv:{a:"h a – h a v",h:"h–h a v"},Hv:{H:"HH–HH v"},M:{M:"M–M"},Md:{d:"dd.MM – dd.MM",M:"dd.MM – dd.MM"},MEd:{d:"E, dd.MM – E, dd.MM",M:"E, dd.MM – E, dd.MM"},MMM:{M:"LLL–LLL"},MMMd:{d:"d–d MMM",M:"d MMM – d MMM"},MMMEd:{d:"E, d – E, d MMM",M:"E, d MMM – E, d MMM"},y:{y:"y–y"},yM:{M:"MM.y – MM.y",y:"MM.y – MM.y"},yMd:{d:"dd.MM.y – dd.MM.y",M:"dd.MM.y – dd.MM.y",y:"dd.MM.y – dd.MM.y"},yMEd:{d:"E, dd.MM.y – E, dd.MM.y",M:"E, dd.MM.y – E, dd.MM.y",y:"E, dd.MM.y – E, dd.MM.y"},yMMM:{M:"LLL–LLL y",y:"LLL y – LLL y"},yMMMd:{d:"d–d MMM y",M:"d MMM – d MMM y",y:"d MMM y – d MMM y"},yMMMEd:{d:"E, d – E, d MMM y",M:"E, d MMM – E, d MMM y",y:"E, d MMM y – E, d MMM y"},yMMMM:{M:"LLLL – LLLL y",y:"LLLL y – LLLL y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Час: {0}","regionFormat-type-daylight":"Час: {0}, літній","regionFormat-type-standard":"Час: {0}, стандартний",fallbackFormat:"{1} ({0})"}}},vi:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"thg 1",2:"thg 2",3:"thg 3",4:"thg 4",5:"thg 5",6:"thg 6",7:"thg 7",8:"thg 8",9:"thg 9",10:"thg 10",11:"thg 11",12:"thg 12"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"tháng 1",2:"tháng 2",3:"tháng 3",4:"tháng 4",5:"tháng 5",6:"tháng 6",7:"tháng 7",8:"tháng 8",9:"tháng 9",10:"tháng 10",11:"tháng 11",12:"tháng 12"}},"stand-alone":{abbreviated:{1:"Thg 1",2:"Thg 2",3:"Thg 3",4:"Thg 4",5:"Thg 5",6:"Thg 6",7:"Thg 7",8:"Thg 8",9:"Thg 9",10:"Thg 10",11:"Thg 11",12:"Thg 12"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"Tháng 1",2:"Tháng 2",3:"Tháng 3",4:"Tháng 4",5:"Tháng 5",6:"Tháng 6",7:"Tháng 7",8:"Tháng 8",9:"Tháng 9",10:"Tháng 10",11:"Tháng 11",12:"Tháng 12"}}},days:{format:{abbreviated:{sun:"CN",mon:"Th 2",tue:"Th 3",wed:"Th 4",thu:"Th 5",fri:"Th 6",sat:"Th 7"},narrow:{sun:"CN",mon:"T2",tue:"T3",wed:"T4",thu:"T5",fri:"T6",sat:"T7"},"short":{sun:"CN",mon:"T2",tue:"T3",wed:"T4",thu:"T5",fri:"T6",sat:"T7"},wide:{sun:"Chủ Nhật",mon:"Thứ Hai",tue:"Thứ Ba",wed:"Thứ Tư",thu:"Thứ Năm",fri:"Thứ Sáu",sat:"Thứ Bảy"}},"stand-alone":{abbreviated:{sun:"CN",mon:"Th 2",tue:"Th 3",wed:"Th 4",thu:"Th 5",fri:"Th 6",sat:"Th 7"},narrow:{sun:"CN",mon:"T2",tue:"T3",wed:"T4",thu:"T5",fri:"T6",sat:"T7"},"short":{sun:"CN",mon:"T2",tue:"T3",wed:"T4",thu:"T5",fri:"T6",sat:"T7"},wide:{sun:"Chủ Nhật",mon:"Thứ Hai",tue:"Thứ Ba",wed:"Thứ Tư",thu:"Thứ Năm",fri:"Thứ Sáu",sat:"Thứ Bảy"}}},quarters:{format:{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Quý 1",2:"Quý 2",3:"Quý 3",4:"Quý 4"}},"stand-alone":{abbreviated:{1:"Q1",2:"Q2",3:"Q3",4:"Q4"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"Quý 1",2:"Quý 2",3:"Quý 3",4:"Quý 4"}}},dayPeriods:{format:{abbreviated:{am:"SA",pm:"CH"},narrow:{am:"SA",pm:"CH"},wide:{am:"SA",pm:"CH"}},"stand-alone":{abbreviated:{am:"SA",pm:"CH"},narrow:{am:"SA",pm:"CH"},wide:{am:"SA",pm:"CH"}}},eras:{eraNames:{0:"tr. CN",1:"sau CN","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"tr. CN",1:"sau CN","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"tr. CN",1:"sau CN","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"EEEE, 'ngày' dd MMMM 'năm' y","long":"'Ngày' dd 'tháng' MM 'năm' y",medium:"dd-MM-y","short":"dd/MM/y"},timeFormats:{full:"HH:mm:ss zzzz","long":"HH:mm:ss z",medium:"HH:mm:ss","short":"HH:mm"},dateTimeFormats:{full:"{0} {1}","long":"{0} {1}",medium:"{0} {1}","short":"{0} {1}",availableFormats:{d:"d",Ed:"E, dd",Ehm:"E h:mm a",EHm:"E HH:mm",Ehms:"E h:mm:ss a",EHms:"E HH:mm:ss",Gy:"'Năm' y G",GyMMM:"MMM y G",GyMMMd:"dd MMM, y G",GyMMMEd:"E, dd MMM y G",h:"h a",H:"HH",hm:"h:mm a",Hm:"H:mm",hms:"h:mm:ss a",Hms:"H:mm:ss",M:"L",Md:"dd-M",MEd:"E, dd-M",MMdd:"dd-MM",MMM:"LLL",MMMd:"dd MMM",MMMEd:"E, dd MMM",MMMMd:"dd MMMM",MMMMEd:"E, dd MMMM",mmss:"mm:ss",ms:"mm:ss",y:"'Năm' y",yM:"M/y",yMd:"d/M/y",yMEd:"E, dd-M-y",yMM:"MM-y",yMMM:"MMM y",yMMMd:"dd MMM, y",yMMMEd:"E, dd MMM y",yMMMM:"MMMM y",yQQQ:"QQQ y",yQQQQ:"QQQQ y"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} - {1}",d:{d:"'Ngày' dd-dd"},h:{a:"h'h' a - h'h' a",h:"h'h' - h'h' a"},H:{H:"HH'h' - HH'h'"},hm:{a:"h:mm a – h:mm a",h:"h:mm-h:mm a",m:"h:mm-h:mm a"},Hm:{H:"HH:mm-HH:mm",m:"HH:mm-HH:mm"},hmv:{a:"h:mm a – h:mm a v",h:"h:mm-h:mm a v",m:"h:mm-h:mm a v"},Hmv:{H:"HH:mm-HH:mm v",m:"HH:mm-HH:mm v"},hv:{a:"h'h' a - h'h' a v",h:"h'h'-h'h' a v"},Hv:{H:"HH'h'-HH'h' v"},M:{M:"'Tháng' M - 'Tháng' M"},Md:{d:"dd/MM - dd/MM",M:"dd/MM - dd/MM"},MEd:{d:"EEEE, dd/MM - EEEE, dd/MM",M:"EEEE, dd/MM - EEEE, dd/MM"},MMM:{M:"MMM-MMM"},MMMd:{d:"'Ngày' dd 'tháng' M - 'Ngày' dd 'tháng' M",M:"'Ngày' dd 'tháng' M - 'Ngày' dd 'tháng' M"},MMMEd:{d:"EEEE, 'ngày' dd - EEEE, 'ngày' dd 'tháng' M",M:"EEEE, 'ngày' dd 'tháng' M - EEEE, 'ngày' dd 'tháng' M"},y:{y:"y-y"},yM:{M:"MM/y - MM/y",y:"MM/y - MM/y"},yMd:{d:"dd/MM/y - dd/MM/y",M:"dd/MM/y - dd/MM/y",y:"dd/MM/y - dd/MM/y"},yMEd:{d:"EEEE, dd/MM/y - EEEE, dd/MM/y",M:"EEEE, dd/MM/y - EEEE, dd/MM/y",y:"EEEE, dd/MM/y - EEEE, dd/MM/y"},yMMM:{M:"'Tháng' M - 'Tháng' M 'năm' y",y:"'Tháng' M 'năm' y - 'Tháng' M 'năm' y"},yMMMd:{d:"'Ngày' dd 'tháng' M - 'Ngày' dd 'tháng' M 'năm' y",M:"'Ngày' dd 'tháng' M - 'Ngày' dd 'tháng' M 'năm' y",y:"'Ngày' dd 'tháng' M 'năm' y - 'Ngày' dd 'tháng' M 'năm' y"},yMMMEd:{d:"EEEE, 'ngày' dd MMM - EEEE, 'ngày' dd MMM 'năm' y",M:"E, dd 'tháng' M - E, dd 'tháng' M, y",y:"E, dd 'tháng' M, y - E, dd 'tháng' M, y"},yMMMM:{M:"MMMM-MMMM y",y:"MMMM y – MMMM y"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"Giờ {0}","regionFormat-type-daylight":"Giờ ban ngày {0}","regionFormat-type-standard":"Giờ chuẩn {0}",fallbackFormat:"{1} ({0})"}}},zh:{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"一月",2:"二月",3:"三月",4:"四月",5:"五月",6:"六月",7:"七月",8:"八月",9:"九月",10:"十月",11:"十一月",12:"十二月"}},"stand-alone":{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"一月",2:"二月",3:"三月",4:"四月",5:"五月",6:"六月",7:"七月",8:"八月",9:"九月",10:"十月",11:"十一月",12:"十二月"}}},days:{format:{abbreviated:{sun:"周日",mon:"周一",tue:"周二",wed:"周三",thu:"周四",fri:"周五",sat:"周六"},narrow:{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},"short":{sun:"周日",mon:"周一",tue:"周二",wed:"周三",thu:"周四",fri:"周五",sat:"周六"},wide:{sun:"星期日",mon:"星期一",tue:"星期二",wed:"星期三",thu:"星期四",fri:"星期五",sat:"星期六"}},"stand-alone":{abbreviated:{sun:"周日",mon:"周一",tue:"周二",wed:"周三",thu:"周四",fri:"周五",sat:"周六"},narrow:{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},"short":{sun:"周日",mon:"周一",tue:"周二",wed:"周三",thu:"周四",fri:"周五",sat:"周六"},wide:{sun:"星期日",mon:"星期一",tue:"星期二",wed:"星期三",thu:"星期四",fri:"星期五",sat:"星期六"}}},quarters:{format:{abbreviated:{1:"1季度",2:"2季度",3:"3季度",4:"4季度"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第一季度",2:"第二季度",3:"第三季度",4:"第四季度"}},"stand-alone":{abbreviated:{1:"1季度",2:"2季度",3:"3季度",4:"4季度"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第一季度",2:"第二季度",3:"第三季度",4:"第四季度"}}},dayPeriods:{format:{abbreviated:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},narrow:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},wide:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"}},"stand-alone":{abbreviated:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},narrow:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},wide:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"}}},eras:{eraNames:{0:"公元前",1:"公元","0-alt-variant":"BCE","1-alt-variant":"CE"},eraAbbr:{0:"公元前",1:"公元","0-alt-variant":"BCE","1-alt-variant":"CE"},eraNarrow:{0:"公元前",1:"公元","0-alt-variant":"BCE","1-alt-variant":"CE"}},dateFormats:{full:"y年M月d日EEEE","long":"y年M月d日",medium:"y年M月d日","short":"yy/M/d"},timeFormats:{full:"zzzzah:mm:ss","long":"zah:mm:ss",medium:"ah:mm:ss","short":"ah:mm"},dateTimeFormats:{full:"{1} {0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d日",Ed:"d日E",Ehm:"Eah:mm",EHm:"EHH:mm",Ehms:"Eah:mm:ss",EHms:"EHH:mm:ss",Gy:"Gy年",GyMMM:"Gy年M月",GyMMMd:"Gy年M月d日",GyMMMEd:"Gy年M月d日E",h:"ah时",H:"H时",hm:"ah:mm",Hm:"HH:mm",hms:"ah:mm:ss",Hms:"HH:mm:ss",M:"M月",Md:"M/d",MEd:"M/dE",MMdd:"MM/dd",MMM:"LLL",MMMd:"M月d日",MMMEd:"M月d日E",MMMMdd:"M月dd日",ms:"mm:ss",y:"y年",yM:"y/M",yMd:"y/M/d",yMEd:"y/M/dE",yMM:"y年M月",yMMM:"y年M月",yMMMd:"y年M月d日",yMMMEd:"y年M月d日E",yMMMM:"y年M月",yQQQ:"y年第Q季度",yQQQQ:"y年第Q季度"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{1}{0}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0} – {1}",d:{d:"d–d日"},h:{a:"ah时至ah时",h:"ah时至h时"},H:{H:"HH–HH"},hm:{a:"ah:mm至ah:mm",h:"ah:mm至h:mm",m:"ah:mm至h:mm"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm–HH:mm"},hmv:{a:"vah:mm至ah:mm",h:"vah:mm至h:mm",m:"vah:mm至h:mm"},Hmv:{H:"v HH:mm–HH:mm",m:"v HH:mm–HH:mm"},hv:{a:"vah时至ah时",h:"vah时至h时"},Hv:{H:"v HH–HH"},M:{M:"M–M月"},Md:{d:"M/d – M/d",M:"M/d – M/d"},MEd:{d:"M/dE至M/dE",M:"M/dE至M/dE"},MMM:{M:"LLL至LLL"},MMMd:{d:"M月d日至d日",M:"M月d日至M月d日"},MMMEd:{d:"M月d日E至d日E",M:"M月d日E至M月d日E"},y:{y:"y–y年"},yM:{M:"y年M月至M月",y:"y年M月至y年M月"},yMd:{d:"y/M/d – y/M/d",M:"y/M/d – y/M/d",y:"y/M/d – y/M/d"},yMEd:{d:"y/M/dE至y/M/dE",M:"y/M/dE至y/M/dE",y:"y/M/dE至y/M/dE"},yMMM:{M:"y年M月至M月",y:"y年M月至y年M月"},yMMMd:{d:"y年M月d日至d日",M:"y年M月d日至M月d日",y:"y年M月d日至y年M月d日"},yMMMEd:{d:"y年M月d日E至d日E",M:"y年M月d日E至M月d日E",y:"y年M月d日E至y年M月d日E"},yMMMM:{M:"y年M月至M月",y:"y年M月至y年M月"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}时间","regionFormat-type-daylight":"{0}夏令时间","regionFormat-type-standard":"{0}标准时间",fallbackFormat:"{1}（{0}）"}}},"zh-Hant":{dates:{calendars:{gregorian:{months:{format:{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"}},"stand-alone":{abbreviated:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"},narrow:{1:"1",2:"2",3:"3",4:"4",5:"5",6:"6",7:"7",8:"8",9:"9",10:"10",11:"11",12:"12"},wide:{1:"1月",2:"2月",3:"3月",4:"4月",5:"5月",6:"6月",7:"7月",8:"8月",9:"9月",10:"10月",11:"11月",12:"12月"}}},days:{format:{abbreviated:{sun:"週日",mon:"週一",tue:"週二",wed:"週三",thu:"週四",fri:"週五",sat:"週六"},narrow:{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},"short":{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},wide:{sun:"星期日",mon:"星期一",tue:"星期二",wed:"星期三",thu:"星期四",fri:"星期五",sat:"星期六"}},"stand-alone":{abbreviated:{sun:"週日",mon:"週一",tue:"週二",wed:"週三",thu:"週四",fri:"週五",sat:"週六"},narrow:{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},"short":{sun:"日",mon:"一",tue:"二",wed:"三",thu:"四",fri:"五",sat:"六"},wide:{sun:"星期日",mon:"星期一",tue:"星期二",wed:"星期三",thu:"星期四",fri:"星期五",sat:"星期六"}}},quarters:{format:{abbreviated:{1:"1季",2:"2季",3:"3季",4:"4季"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第1季",2:"第2季",3:"第3季",4:"第4季"}},"stand-alone":{abbreviated:{1:"1季",2:"2季",3:"3季",4:"4季"},narrow:{1:"1",2:"2",3:"3",4:"4"},wide:{1:"第1季",2:"第2季",3:"第3季",4:"第4季"}}},dayPeriods:{format:{abbreviated:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},narrow:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},wide:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"}},"stand-alone":{abbreviated:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},narrow:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"},wide:{afternoon:"下午",am:"上午",earlyMorning:"清晨",midDay:"中午",morning:"上午",night:"晚上",noon:"中午",pm:"下午",weeHours:"凌晨"}}},eras:{eraNames:{0:"西元前",1:"西元","0-alt-variant":"公元前","1-alt-variant":"公元"},eraAbbr:{0:"西元前",1:"西元","0-alt-variant":"公元前","1-alt-variant":"公元"},eraNarrow:{0:"西元前",1:"西元","0-alt-variant":"公元前","1-alt-variant":"公元"}},dateFormats:{full:"y年M月d日EEEE","long":"y年M月d日",medium:"y年M月d日","short":"y/M/d"},timeFormats:{full:"zzzzah時mm分ss秒","long":"zah時mm分ss秒",medium:"ah:mm:ss","short":"ah:mm"},dateTimeFormats:{full:"{1}{0}","long":"{1} {0}",medium:"{1} {0}","short":"{1} {0}",availableFormats:{d:"d日",Ed:"d日（E）",Ehm:"E a h:mm",EHm:"E HH:mm",Ehms:"E a h:mm:ss",EHms:"E HH:mm:ss",Gy:"G y 年",GyMMM:"G y 年 M 月",GyMMMd:"G y 年 M 月 d 日",GyMMMEd:"G y 年 M 月 d 日E",h:"ah時",H:"H時",hm:"ah:mm",Hm:"HH:mm",hms:"ah:mm:ss",Hms:"HH:mm:ss",M:"M月",Md:"M/d",MEd:"M/d（E）",MMdd:"MM/dd",MMM:"LLL",MMMd:"M月d日",MMMEd:"M月d日E",MMMMdd:"M月dd日",ms:"mm:ss",y:"y年",yM:"y/M",yMd:"y/M/d",yMEd:"y/M/d（E）",yMM:"y-MM",yMMM:"y年M月",yMMMd:"y年M月d日",yMMMEd:"y年M月d日E",yMMMM:"y年M月",yQQQ:"y年QQQ",yQQQQ:"y年QQQQ"},appendItems:{Day:"{0} ({2}: {1})","Day-Of-Week":"{0} {1}",Era:"{1} {0}",Hour:"{0} ({2}: {1})",Minute:"{0} ({2}: {1})",Month:"{0} ({2}: {1})",Quarter:"{0} ({2}: {1})",Second:"{0} ({2}: {1})",Timezone:"{0} {1}",Week:"{0} ({2}: {1})",Year:"{1} {0}"},intervalFormats:{intervalFormatFallback:"{0}至{1}",d:{d:"d日至d日"},h:{a:"ah時至ah時",h:"ah時至h時"},H:{H:"HH–HH"},hm:{a:"ah:mm至ah:mm",h:"ah:mm至h:mm",m:"ah:mm至h:mm"},Hm:{H:"HH:mm–HH:mm",m:"HH:mm至HH:mm"},hmv:{a:"a h:mm 至a h:mm [v]",h:"a h:mm 至 h:mm [v]",m:"a h:mm 至 h:mm [v]"},Hmv:{H:"HH:mm–HH:mm [v]",m:"HH:mm–HH:mm [v]"},hv:{a:"a h 時至a h 時 [v]",h:"a h 時至 h 時 [v]"},Hv:{H:"HH–HH [v]"},M:{M:"M月至M月"},Md:{d:"M/d至M/d",M:"M/d至M/d"},MEd:{d:"M/dE至M/dE",M:"M/dE至M/dE"},MMM:{M:"LLL至LLL"},MMMd:{d:"M月d日至d日",M:"M月d日至M月d日"},MMMEd:{d:"M月d日E至d日E",M:"M月d日E至M月d日E"},MMMM:{M:"LLLL至 LLLL"},y:{y:"y至y"},yM:{M:"y/M至y/M",y:"y/M至y/M"},yMd:{d:"y/M/d至y/M/d",M:"y/M/d至y/M/d",y:"y/M/d至y/M/d"},yMEd:{d:"y/M/dE至y/M/dE",M:"y/M/dE至y/M/dE",y:"y/M/dE至y/M/dE"},yMMM:{M:"y年M月至M月",y:"y年M月至y年M月"},yMMMd:{d:"y年M月d日至d日",M:"y年M月d日至M月d日",y:"y年M月d日至y年M月d日"},yMMMEd:{d:"y年M月d日E至d日E",M:"y年M月d日E至M月d日E",y:"y年M月d日E至y年M月d日E"},yMMMM:{M:"y年M月至M月",y:"y年M月至y年M月"}}}}},timeZoneNames:{hourFormat:"+HH:mm;-HH:mm",gmtFormat:"GMT{0}",gmtZeroFormat:"GMT",regionFormat:"{0}時間","regionFormat-type-daylight":"{0} (+1)","regionFormat-type-standard":"{0} (+0)",fallbackFormat:"{1}（{0}）"}}}}),tc.locale("en_GB"),tc
}function S(a,b){if(!l(a)||!l(b))throw new Error;return function(c){function d(a,b){var c,g,h,i,l,m,p=this;if(!(p instanceof d))return new d(a,b);if(a instanceof d){if(x=0,b===c)return p.s=a.s,p.e=a.e,p.c=(a=a.c)?a.slice():a,void 0;a+=""}if("string"!=typeof a&&(a=(h="number"==typeof a||"[object Number]"==Object.prototype.toString.call(a))&&0===a&&0>1/a?"-0":a+""),m=a,b===c&&y.test(a))p.s="-"==a.charAt(0)?(a=a.slice(1),-1):1;else{if(10==b)return j(a,n,o);if(a=z.call(a).replace(/^\+(?!-)/,""),p.s="-"==a.charAt(0)?(a=a.replace(/^-(?!-)/,""),-1):1,null!=b?b!=(0|b)&&t||(k=!(b>=2&&65>b))?(e(b,2),l=y.test(a)):(i="["+w.slice(0,b=0|b)+"]+",a=a.replace(/\.$/,"").replace(/^\./,"0."),(l=new RegExp("^"+i+"(?:\\."+i+")?$",37>b?"i":"").test(a))?(h&&(a.replace(/^0\.0*|\./,"").length>15&&e(m,0),h=!h),a=f(a,10,b,p.s)):"Infinity"!=a&&"NaN"!=a&&(e(m,1,b),a="NaN")):l=y.test(a),!l)return p.c=p.e=null,"Infinity"!=a&&("NaN"!=a&&e(m,3),p.s=null),x=0,void 0}for((c=a.indexOf("."))>-1&&(a=a.replace(".","")),(g=a.search(/e/i))>0?(0>c&&(c=g),c+=+a.slice(g+1),a=a.substring(0,g)):0>c&&(c=a.length),g=0;"0"==a.charAt(g);g++);if(b=a.length,h&&b>15&&a.slice(g).length>15&&e(m,0),x=0,(c-=g+1)>s)p.c=p.e=null;else if(g==b||r>c)p.c=[p.e=0];else{for(;"0"==a.charAt(--b););for(p.e=c,p.c=[],c=0;b>=g;p.c[c++]=+a.charAt(g++));}}function e(a,b,c,d,e,f){if(t){var g,h=["new BigNumber","cmp","div","eq","gt","gte","lt","lte","minus","mod","plus","times","toFr"][x?0>x?-x:x:0>1/x?1:0]+"()",i=k?" out of range":" not a"+(e?" non-zero":"n")+" integer";throw i=([h+" number type has more than 15 significant digits",h+" not a base "+c+" number",h+" base"+i,h+" not a number"][b]||c+"() "+b+(f?" not a boolean or binary digit":i+(d?" or not ["+(k?" negative, positive":" integer, integer")+" ]":"")))+": "+a,k=x=0,g=new Error(i),g.name="BigNumber Error",g}}function f(a,b,c,e){function f(a,d){var e,f,g=0,h=a.length,i=[0];for(d=d||c;h>g;g++){for(f=i.length,e=0;f>e;i[e]*=d,e++);for(i[0]+=w.indexOf(a.charAt(g)),e=0;e<i.length;e++)i[e]>b-1&&(null==i[e+1]&&(i[e+1]=0),i[e+1]+=i[e]/b^0,i[e]%=b)}return i.reverse()}function h(a){for(var b=0,c=a.length,d="";c>b;d+=w.charAt(a[b++]));return d}var i,j,k,l,m,n;if(37>c&&(a=a.toLowerCase()),(i=a.indexOf("."))>-1)if(i=a.length-i-1,j=f(new d(c).pow(i).toF(),10),l=a.split("."),k=f(l[1]),l=f(l[0]),n=g(k,j,k.length-j.length,e,b,1&l[l.length-1]),m=n.c,i=n.e){for(;++i;m.unshift(0));a=h(l)+"."+h(m)}else m[0]?l[i=l.length-1]<b-1?(++l[i],a=h(l)):a=new d(h(l),b).plus(A).toS(b):a=h(l);else a=h(f(a));return a}function g(a,b,c,e,f,g){var h,j,k,l,m,o=b.slice(),p=h=b.length,q=a.length,t=a.slice(0,h),u=t.length,v=new d(A),w=v.c=[],x=0,y=n+(v.e=c)+1;for(v.s=e,e=0>y?0:y;u++<h;t.push(0));o.unshift(0);do{for(k=0;f>k;k++){if(h!=(u=t.length))l=h>u?1:-1;else for(m=-1,l=0;++m<h;)if(b[m]!=t[m]){l=b[m]>t[m]?1:-1;break}if(!(0>l))break;for(j=u==h?b:o;u;){if(t[--u]<j[u]){for(m=u;m&&!t[--m];t[m]=f-1);--t[m],t[u]+=f}t[u]-=j[u]}for(;!t[0];t.shift());}w[x++]=l?k:++k,t[0]&&l?t[u]=a[p]||0:t=[a[p]]}while((p++<q||null!=t[0])&&e--);return w[0]||1==x||(--v.e,w.shift()),x>y&&i(v,n,f,g,null!=t[0]),v.e>s?v.c=v.e=null:v.e<r&&(v.c=[v.e=0]),v}function h(a,b,c){var e=b-(a=new d(a)).e,f=a.c;if(!f)return a.toS();for(f.length>++b&&i(a,e,10),e=0==f[0]?e+1:c?b:a.e+e+1;f.length<e;f.push(0));return e=a.e,1==c||2==c&&(--b<e||p>=e)?(a.s<0&&f[0]?"-":"")+(f.length>1?(f.splice(1,0,"."),f.join("")):f[0])+(0>e?"e":"e+")+e:a.toS()}function i(a,b,c,d,e){var f=a.c,g=a.s<0,h=c/2,i=a.e+b+1,j=f[i],k=e||0>i||null!=f[i+1];if(e=4>o?(null!=j||k)&&(0==o||2==o&&!g||3==o&&g):j>h||j==h&&(4==o||k||6==o&&(1&f[i-1]||!b&&d)||7==o&&!g||8==o&&g),1>i||!f[0])return f.length=0,f.push(0),e?(f[0]=1,a.e=-b):a.e=0,a;if(f.length=i--,e)for(--c;++f[i]>c;)f[i]=0,i--||(++a.e,f.unshift(1));for(i=f.length;!f[--i];f.pop());return a}function j(a,b,c){var e=o;return o=c,a=new d(a),a.c&&i(a,b,10),o=e,a}var k,l=1e9,m=1e6,n=20,o=4,p=-7,q=21,r=-l,s=l,t=!0,u=parseInt,v=d.prototype,w="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ$_",x=0,y=/^-?(\d+(\.\d*)?|\.\d+)(e[+-]?\d+)?$/i,z=String.prototype.trim||function(){return this.replace(/^\s+|\s+$/g,"")},A=d(1);d.ROUND_UP=0,d.ROUND_DOWN=1,d.ROUND_CEIL=2,d.ROUND_FLOOR=3,d.ROUND_HALF_UP=4,d.ROUND_HALF_DOWN=5,d.ROUND_HALF_EVEN=6,d.ROUND_HALF_CEIL=7,d.ROUND_HALF_FLOOR=8,d.config=function(){var a,b,c=0,d={},f=arguments,g=f[0],h="config",i=function(a,b,c){return!((k=b>a||a>c)||u(a)!=a&&0!==a)},j=g&&"object"==typeof g?function(){return g.hasOwnProperty(b)?null!=(a=g[b]):void 0}:function(){return f.length>c?null!=(a=f[c++]):void 0};return j(b="DECIMAL_PLACES")&&(i(a,0,l)?n=0|a:e(a,b,h)),d[b]=n,j(b="ROUNDING_MODE")&&(i(a,0,8)?o=0|a:e(a,b,h)),d[b]=o,j(b="EXPONENTIAL_AT")&&(i(a,-l,l)?p=-(q=~~(0>a?-a:+a)):!k&&a&&i(a[0],-l,0)&&i(a[1],0,l)?(p=~~a[0],q=~~a[1]):e(a,b,h,1)),d[b]=[p,q],j(b="RANGE")&&(i(a,-l,l)&&~~a?r=-(s=~~(0>a?-a:+a)):!k&&a&&i(a[0],-l,-1)&&i(a[1],1,l)?(r=~~a[0],s=~~a[1]):e(a,b,h,1,1)),d[b]=[r,s],j(b="ERRORS")&&(a===!!a||1===a||0===a?(k=x=0,u=(t=!!a)?parseInt:parseFloat):e(a,b,h,0,0,1)),d[b]=t,d},v.abs=v.absoluteValue=function(){var a=new d(this);return a.s<0&&(a.s=1),a},v.ceil=function(){return j(this,0,2)},v.comparedTo=v.cmp=function(a,b){var c,e=this,f=e.c,g=(x=-x,a=new d(a,b)).c,h=e.s,i=a.s,j=e.e,k=a.e;if(!h||!i)return null;if(c=f&&!f[0],b=g&&!g[0],c||b)return c?b?0:-i:h;if(h!=i)return h;if(c=0>h,b=j==k,!f||!g)return b?0:!f^c?1:-1;if(!b)return j>k^c?1:-1;for(h=-1,i=(j=f.length)<(k=g.length)?j:k;++h<i;)if(f[h]!=g[h])return f[h]>g[h]^c?1:-1;return j==k?0:j>k^c?1:-1},v.dividedBy=v.div=function(a,b){var c=this.c,e=this.e,f=this.s,h=(x=2,a=new d(a,b)).c,i=a.e,j=a.s,k=f==j?1:-1;return(e||c&&c[0])&&(i||h&&h[0])?g(c,h,e-i,k,10):new d(f&&j&&(c?!h||c[0]!=h[0]:h)?c&&0==c[0]||!h?0*k:k/0:0/0)},v.equals=v.eq=function(a,b){return x=3,0===this.cmp(a,b)},v.floor=function(){return j(this,0,3)},v.greaterThan=v.gt=function(a,b){return x=4,this.cmp(a,b)>0},v.greaterThanOrEqualTo=v.gte=function(a,b){return x=5,1==(b=this.cmp(a,b))||0===b},v.isFinite=v.isF=function(){return!!this.c},v.isNaN=function(){return!this.s},v.isNegative=v.isNeg=function(){return this.s<0},v.isZero=v.isZ=function(){return!!this.c&&0==this.c[0]},v.lessThan=v.lt=function(a,b){return x=6,this.cmp(a,b)<0},v.lessThanOrEqualTo=v.lte=function(a,b){return x=7,-1==(b=this.cmp(a,b))||0===b},v.minus=function(a,b){var c,e,f,g,h=this,i=h.s;if(b=(x=8,a=new d(a,b)).s,!i||!b)return new d(0/0);if(i!=b)return a.s=-b,h.plus(a);var j=h.c,k=h.e,l=a.c,m=a.e;if(!k||!m){if(!j||!l)return j?(a.s=-b,a):new d(l?h:0/0);if(!j[0]||!l[0])return l[0]?(a.s=-b,a):new d(j[0]?h:3==o?-0:0)}if(j=j.slice(),i=k-m){for(c=(g=0>i)?(i=-i,j):(m=k,l),c.reverse(),b=i;b--;c.push(0));c.reverse()}else for(f=((g=j.length<l.length)?j:l).length,i=b=0;f>b;b++)if(j[b]!=l[b]){g=j[b]<l[b];break}if(g&&(c=j,j=l,l=c,a.s=-a.s),(b=-((f=j.length)-l.length))>0)for(;b--;j[f++]=0);for(b=l.length;b>i;){if(j[--b]<l[b]){for(e=b;e&&!j[--e];j[e]=9);--j[e],j[b]+=10}j[b]-=l[b]}for(;0==j[--f];j.pop());for(;0==j[0];j.shift(),--m);return(r>m||!j[0])&&(j[0]||(a.s=3==o?-1:1),j=[m=0]),a.c=j,a.e=m,a},v.modulo=v.mod=function(a,b){var c=this,e=c.c,f=(x=9,a=new d(a,b)).c,g=c.s,h=a.s;return b=!g||!h||f&&!f[0],b||e&&!e[0]?new d(b?0/0:c):(c.s=a.s=1,b=1==a.cmp(c),c.s=g,a.s=h,b?new d(c):(g=n,h=o,n=0,o=1,c=c.div(a),n=g,o=h,this.minus(c.times(a))))},v.negated=v.neg=function(){var a=new d(this);return a.s=-a.s||null,a},v.plus=function(a,b){var c,e=this,f=e.s;if(b=(x=10,a=new d(a,b)).s,!f||!b)return new d(0/0);if(f!=b)return a.s=-b,e.minus(a);var g=e.e,h=e.c,i=a.e,j=a.c;if(!g||!i){if(!h||!j)return new d(f/0);if(!h[0]||!j[0])return j[0]?a:new d(h[0]?e:0*f)}if(h=h.slice(),f=g-i){for(c=f>0?(i=g,j):(f=-f,h),c.reverse();f--;c.push(0));c.reverse()}for(h.length-j.length<0&&(c=j,j=h,h=c),f=j.length,b=0;f;b=(h[--f]=h[f]+j[f]+b)/10^0,h[f]%=10);for(b&&(h.unshift(b),++i>s&&(h=i=null)),f=h.length;0==h[--f];h.pop());return a.c=h,a.e=i,a},v.toPower=v.pow=function(a){var b=0*a==0?0|a:a,c=new d(this),f=new d(A);if(((k=-m>a||a>m)&&(b=1*a/0)||u(a)!=a&&0!==a&&!(b=0/0))&&!e(a,"exponent","pow")||!b)return new d(Math.pow(c.toS(),b));for(b=0>b?-b:b;1&b&&(f=f.times(c)),b>>=1,b;)c=c.times(c);return 0>a?A.div(f):f},v.round=function(a,b){return a=null==a||((k=0>a||a>l)||u(a)!=a)&&!e(a,"decimal places","round")?0:0|a,b=null==b||((k=0>b||b>8)||u(b)!=b&&0!==b)&&!e(b,"mode","round")?o:0|b,j(this,a,b)},v.squareRoot=v.sqrt=function(){var a,b,c,e,f=this,g=f.c,h=f.s,j=f.e,k=n,l=o,m=new d("0.5");if(1!==h||!g||!g[0])return new d(!h||0>h&&(!g||g[0])?0/0:g?f:1/0);for(h=Math.sqrt(f.toS()),o=1,0==h||h==1/0?(a=g.join(""),a.length+j&1||(a+="0"),b=new d(Math.sqrt(a)+""),b.c||(b.c=[1]),b.e=((j+1)/2|0)-(0>j||1&j)):b=new d(a=h.toString()),c=b.e,h=c+(n+=4),3>h&&(h=0),j=h;;)if(e=b,b=m.times(e.plus(f.div(e))),e.c.slice(0,h).join("")===b.c.slice(0,h).join("")){if(g=b.c,h-=a&&b.e<c,9!=g[h]||9!=g[h-1]||9!=g[h-2]||!(9==g[h-3]||a&&4==g[h-3])){if(!(g[j]||g[j-1]||g[j-2]||g[j-3]&&5!=g[j-3]||(g.length>j-2&&(g.length=j-2),b.times(b).eq(f)))){for(;g.length<j-3;)g.push(0);g[j-3]++}return o=l,i(b,n=k,10),b}if(a&&9==g[h-3]&&(e=b.round(k,0),e.times(e).eq(f)))return o=l,n=k,e;n+=4,h+=4,a=""}},v.times=function(a,b){var c,e=this,f=e.c,g=(x=11,a=new d(a,b)).c,h=e.e,i=a.e,j=e.s;if(a.s=j==(b=a.s)?1:-1,!((h||f&&f[0])&&(i||g&&g[0])))return new d(!j||!b||f&&!f[0]&&!g||g&&!g[0]&&!f?0/0:f&&g?0*a.s:a.s/0);for(a.e=h+i,(j=f.length)<(b=g.length)&&(c=f,f=g,g=c,i=j,j=b,b=i),i=j+b,c=[];i--;c.push(0));for(h=b-1;h>-1;h--){for(b=0,i=j+h;i>h;b=c[i]+g[h]*f[i-h-1]+b,c[i--]=b%10|0,b=b/10|0);b&&(c[i]=(c[i]+b)%10)}for(b&&++a.e,!c[0]&&c.shift(),i=c.length;!c[--i];c.pop());return a.c=a.e>s?a.e=null:a.e<r?[a.e=0]:c,a},v.toExponential=v.toE=function(a){return h(this,(null==a||((k=0>a||a>l)||u(a)!=a&&0!==a)&&!e(a,"decimal places","toE"))&&this.c?this.c.length-1:0|a,1)},v.toFixed=v.toF=function(a){var b,c,d,f=this;return null==a||((k=0>a||a>l)||u(a)!=a&&0!==a)&&!e(a,"decimal places","toF")||(d=f.e+(0|a)),b=p,a=q,p=-(q=1/0),d==c?c=f.toS():(c=h(f,d),f.s<0&&f.c&&(f.c[0]?c.indexOf("-")<0&&(c="-"+c):c=c.replace(/^-/,""))),p=b,q=a,c},v.toFraction=v.toFr=function(a){var b,c,f,g,h,i,j,l=g=new d(A),m=f=new d("0"),p=this,q=p.c,r=s,u=n,v=o,w=new d(A);if(!q)return p.toS();for(j=w.e=q.length-p.e-1,(null==a||(!(x=12,i=new d(a)).s||(k=i.cmp(l)<0||!i.c)||t&&i.e<i.c.length-1)&&!e(a,"max denominator","toFr")||(a=i).cmp(w)>0)&&(a=j>0?w:l),s=1/0,i=new d(q.join("")),n=0,o=1;b=i.div(w),h=g.plus(b.times(m)),1!=h.cmp(a);)g=m,m=h,l=f.plus(b.times(h=l)),f=h,w=i.minus(b.times(h=w)),i=h;return h=a.minus(g).div(m),f=f.plus(h.times(l)),g=g.plus(h.times(m)),f.s=l.s=p.s,n=2*j,o=v,c=l.div(m).minus(p).abs().cmp(f.div(g).minus(p).abs())<1?[l.toS(),m.toS()]:[f.toS(),g.toS()],s=r,n=u,c},v.toPrecision=v.toP=function(a){return null==a||((k=1>a||a>l)||u(a)!=a)&&!e(a,"precision","toP")?this.toS():h(this,0|--a,2)},v.toString=v.toS=function(a){var b,c,d,g=this,i=g.e;if(null===i)c=g.s?"Infinity":"NaN";else{if(a===b&&(p>=i||i>=q))return h(g,g.c.length-1,1);if(c=g.c.join(""),0>i){for(;++i;c="0"+c);c="0."+c}else if(d=c.length,i>0)if(++i>d)for(i-=d;i--;c+="0");else d>i&&(c=c.slice(0,i)+"."+c.slice(i));else if(b=c.charAt(0),d>1)c=b+"."+c.slice(1);else if("0"==b)return b;if(null!=a)if((k=!(a>=2&&65>a))||a!=(0|a)&&t)e(a,"base","toS");else if(c=f(c,0|a,10,g.s),"0"==c)return c}return g.s<0?"-"+c:c},v.valueOf=function(){return this.toS()},"undefined"!=typeof a&&a.exports?a.exports=d:"function"==typeof b&&b.amd?b(function(){return d}):c.BigNumber=d}(this),this.BigNumber}var T,U,V,W,X,Y,Z,$,_,ab,bb,cb,db,eb,fb,gb,hb,ib,jb,kb,lb,mb,nb,ob,pb,qb,rb,sb,tb,ub,vb,wb,xb=Math.pow(2,32),yb=xb-1,zb={},Ab=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],Bb=[],Cb="",Db=0,Eb=!0,Fb="__proto__";U=function(){var a,b=Eb.constructor,c=Db.constructor,d=Cb.constructor;return wb=function(a){var e=s(a);return n(e)?e=new b(e):o(e)?e=new c(e):q(e)&&(e=new d(e)),e},a=null,wb}(),T=function(){var a,b=zb.toString;try{d(b.call(),"[object Undefined]")&&d(b.call(null),"[object Null]")&&(wb=function(a){return b.call(a)})}catch(c){wb=null}return m(wb)&&(wb=function(a){var c;return c=l(a)?"[object Undefined]":m(a)?"[object Null]":b.call(a)}),a=null,wb}(),cb=function(){var a,b=Bb.isArray;return wb=w(b)?b:function(a){return d(T(a),"[object Array]")},a=null,wb}(),qb=function(){var a,b=zb.constructor.is;return wb=w(b)?b:function(a,b){var c;return c=d(a,b)?p(a)?d(1/a,1/b):!0:!d(a,a)&&!d(b,b)},a=null,wb}(),sb=function(){var a,b=Db.constructor.isNaN;return wb=w(b)?b:function(a){return qb(a,0/0)},a=null,wb}(),tb=function(){var a,b=Db.constructor.isFinite;return wb=w(b)?b:function(a){return o(a)&&isFinite(a)},a=null,wb}(),ub=function(){var a,b=Math.sign;return wb=w(b)?b:function(a){var b,d=c(a);return b=p(d)||sb(d)?d:e(d,0)?-1:1},a=null,wb}(),rb=function(){var a,b=Number.toInteger;return wb=w(b)?b:function(a){var b,d=c(a);return b=sb(d)?0:p(d)||!tb(d)?d:ub(d)*Math.floor(Math.abs(d))},a=null,wb}(),jb=function(){function a(a,c,d){var f,g=d.length-2;A(c).replace(a,function(){for(f=1;e(f,g);f+=1)l(arguments[f])&&(c[f]=b)})}var c,f=Cb.split,i=l(/()??/.exec("")[1]);return wb=function(b,c,j){var k,m,n,o,p,q,r,v,w=t(s(b));if(u(c)){for(m="g",c.ignoreCase&&(m+="i"),c.multiline&&(m+="m"),c.extended&&(m+="x"),c.sticky&&(m+="y"),c=new RegExp(c.source,m),i||(o=new RegExp("^"+c.source+"$(?!\\s)",m)),j=l(j)?yb:D(j),k=[],m="g",n=0,p=c.exec(w);p&&(q=p.index+A(p).length,!(q>n&&(k.push(w.slice(n,p.index)),!i&&g(p.length,1)&&a(o,p,arguments),g(p.length,1)&&e(p.index,w.length)&&(k=k.concat(p.slice(1))),r=A(p).length,n=q,h(k.length,j))));)d(c.lastIndex,p.index)&&(c.lastIndex+=1),p=c.exec(w);if(d(n,w.length)?(r||!c.test(""))&&k.push(""):k.push(w.slice(n)),g(k.length,j))return k.slice(0,j);v=k}else v=f.call(b,c,j);return v},c=null,wb}(),ib=function(){function a(b,c){var d,f;return e(c,1)?f="":i(c,2)?f=a(b,c-1)+b:(d=a(b,c/2),f=d+d),f}var b,c=Cb.constructor.repeat;return wb=w(c)?function(a,b){return c.call(a,b)}:function(b,c){var f=t(s(b)),g=rb(c);if(e(g,0)||d(g,1/0))throw new RangeError;return a(f,g)},b=null,wb}(),kb=function(){var a,b=Cb.constructor.contains;return wb=w(b)?function(a,c,d){return b.call(a,c,d)}:function(a,b,c){var e=t(s(a)),f=t(b),g=e.length;return c=l(c)?0:rb(c),!d(Cb.indexOf.call(e,f,j(c,0,g)),-1)},a=null,wb}(),eb=function(){var a,b,c=zb.constructor.getPrototypeOf;return w(c)?wb=c:m(zb.constructor.prototype[Fb])?wb=function(a){return a[Fb]}:(b=zb.constructor.prototype,wb=function(a){if(d(a,b))return null;var c=a.constructor.prototype;return d(a,c)?b:c}),a=null,wb}(),_=function(){var a;return wb=function(a,b){return b in a},a=null,wb}(),ab=function(){function a(a,b){return f&&K(Ab,b)&&_(a,b)&&!d(a[b],eb(a)[b])}var b,c=zb.hasOwnProperty,e=zb.propertyIsEnumerable,f=!0,g={toString:null};for(b in g)d(b,"toString")&&m(g[b])&&(f=!1);return wb=w(c)?function(b,d){return c.call(b,d)||a(b,d)}:w(e)?function(b,c){return e.call(b,c)||a(b,c)}:function(a,b){return _(a,b)&&l(eb(a)[b])},b=null,wb}(),lb=function(){var a,b=zb.constructor("a"),c=!d(b[0],"a")||!_(b,0);return wb=c?function(a){var b;return b=q(a)?jb(a,""):U(a)}:U,a=null,wb}(),mb=function(){var a,b=Bb.forEach;return wb=w(b)?function(a,c,d){return b.call(a,c,d)}:function(a,b,c){var d,f,g=lb(a);if(!w(b))throw new TypeError(b+" is not a function");for(f=0,d=D(g.length);e(f,d);f+=1)_(g,f)&&b.call(c,g[f],f,g)},a=null,wb}(),nb=function(){var a,b=Bb.some;return wb=w(b)?function(a,c,d){return b.call(a,c,d)}:function(a,b,c){var d,f,g,h=lb(a);if(!w(b))throw new TypeError(b+" is not a function");for(f=0,d=D(h.length),g=!1;e(f,d);f+=1)if(_(h,f)&&b.call(c,h[f],f,h)){g=!0;break}return g},a=null,wb}(),ob=function(){var a,b=Bb.map;return wb=w(b)?function(a,c,d){return b.call(a,c,d)}:function(a,b,c){var d,f,g,h=lb(a);if(!w(b))throw new TypeError(b+" is not a function");for(f=0,d=D(h.length),g=[];e(f,d);f+=1)g[f]=b.call(c,h[f],f,h);return g},a=null,wb}(),pb=function(){var a,c=Bb.reduce,d="Reduce of empty array with no initial value";return wb=w(c)?function(a,b,d){return c.call(a,b,d)}:function(a,c,f){var h,i,j,k,l,m=lb(a);if(!w(c))throw new TypeError(c+" is not a function");if(p(h)&&e(arguments.length,3))throw new TypeError(d);if(i=0,g(arguments.length,2))k=f;else{for(i=0,h=D(m.length),l=!1;!l&&e(i,h);i+=1)l=_(m,i),l&&(k=m[i]);if(!l)throw new TypeError(d)}for(j=i;e(j,h);j+=1)_(m,j)&&(k=c.call(b,k,m[j],j,m));return k},a=null,wb}(),hb=function(){var a,b,c,d,e,f,g=Cb.trim,h=[9,10,11,12,13,32,133,160,5760,6158,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8232,8233,8239,8287,12288,65279];return wb=function(a,b){return a+String.fromCharCode(b)},a=pb(h,wb,""),w(g)&&p(g.call(a).length)?wb=function(a){return g.call(a)}:(wb=function(a,b){return a+"\\u"+J(b.toString(16),"0",4)},b=pb(h,wb,""),c=new RegExp("^["+b+"]+|["+b+"]+$","g"),wb=function(a){return t(s(a)).replace(c,"")}),d=null,e=null,f=null,wb}(),W=function(){var a,b=Bb.indexOf;return wb=w(b)&&d(b.call([0,1],1,2),1)?function(a,c,d){return b.call(a,c,d)}:function(a,b,c){var f,i,j,k=lb(a),l=D(k.length);if(p(l))j=-1;else if(c=g(arguments.length,2)?rb(c):0,h(c,l))j=-1;else for(i=h(c,0)?c:l-Math.abs(c),e(i,0)&&(i=0),f=i,j=-1;e(f,l);f+=1)if(_(k,f)&&d(b,k[f])){j=f;break}return j},a=null,wb}(),gb=function(){var a,b=zb.keys;return wb=w(b)?b:function(a){if(!y(a)&&!w(a))throw new TypeError("Object.keys called on a non-object");var b,c=[];for(b in a)ab(a,b)&&c.push(b);return c},a=null,wb}(),X=function(){var a,b,c,d,e=zb.constructor.defineProperty,f="__defineGetter__",g="__defineSetter__";if(w(e))try{c=e({},"sentinel",{value:null}),m(c.sentinel)||(e=null)}catch(h){e=null}return w(e)?wb=e:(a=zb[f],b=zb[g],wb=function(c,d,e){var f;if(!y(c)&&!w(c))throw new TypeError("Object.defineProperty called on non-object");if(!y(e)&&!w(e))throw new TypeError("Property description must be an object");if(ab(e,"value"))m(eb(zb)[Fb])?(f=c[Fb],c[Fb]=eb(zb),delete c[d],c[d]=e.value,c[Fb]=f):c[d]=e.value;else{if(!w(a)||!w(b))throw new TypeError("getters & setters can not be defined on this javascript engine");w(e.get)&&a.call(c,d,e.get),w(e.set)&&b.call(c,d,e.set)}return c}),d=null,wb}(),Y=function(){var a,b=zb.constructor.defineProperties;return wb=w(b)?b:function(a,b){if(!y(a)&&!w(a))throw new TypeError("Object.defineProperties called on non-object");if(!y(b)&&!w(b))throw new TypeError("Property description must be an object");return mb(gb(b),function(c){X(a,c,b[c])}),a},a=null,wb}(),bb=function(){var a,b,c,d,e=zb.constructor.getOwnPropertyDescriptor,f="__lookupGetter__",g="__lookupSetter__";if(w(e))try{c={sentinel:null},m(e(c,"sentinel").value)||(e=null)}catch(h){e=null}return w(e)?wb=e:(a=zb[f],b=zb[g],wb=function(c,d){var e,f,g,h;if(!y(c)&&!w(c))throw new TypeError("Object.getOwnPropertyDescriptor called on a non-object");return ab(c,d)&&(e={enumerable:!0,configurable:!0},w(a)&&w(b)?(f=c[Fb],c[Fb]=eb(zb),g=a.call(c,d),h=b.call(c,d),c[Fb]=f,(w(g)||w(h))&&(w(g)&&(e.get=g),w(h)&&(e.set=h))):(e.value=c[d],e.writable=!0)),e}),d=null,e}(),Z=function(){var a,b=zb.constructor.freeze;return wb=w(b)?b:function(a){if(!y(a)&&!w(a))throw new TypeError("Object.freeze called on non-object");return a},a=null,wb}();try{Z(function(){})}catch(Gb){Z=function(a){var b;return wb=function(b){var c;return c=w(b)?b:a(b)},b=null,wb}(Z)}if($=function(){var a,b=zb.constructor.isFrozen;return wb=w(b)?b:function(a){if(!y(a)&&!w(a))throw new TypeError("Object.isFrozen called on non-object");return!1},a=null,wb}(),db=function(){var a,b=zb.constructor.prototype.isPrototypeOf;return w(b)?wb=function(a,c){if(!w(c))throw new TypeError("Expecting a function in instanceOf check");return b.call(c.prototype,a)}:w(eb)&&(wb=function(a,b){if(!w(b))throw new TypeError("Expecting a function in instanceOf check");for(var c=!1;a;){if(d(a,b.prototype)){c=!0;break}a=eb(a)}return c}),a=null,wb}(),fb=function(){var a,b=eb(zb);return wb=function(a){return v(a)&&d(eb(a),b)},a=null,wb}(),V=function(){var a;return wb=function(a,b){if(!y(a)&&!w(a))throw new TypeError("extend called on a non-object");return mb(gb(b),function(c){X(a,c,bb(b,c))}),a},a=null,wb}(),L(Ab),!y(a))throw new TypeError("Invalid global context");vb=R(S.call({})),"object"==typeof module&&!m(module)&&y(module.exports)?module.exports=vb:"function"==typeof define&&y(define.amd)?define(function(){return vb}):a.AstroDate=vb,wb=null}(this);